2019-01-23  John Beranek  <jberanek@users.sourceforge.net>

	* web/version_num.inc:
	Updated version number to 1.7.3
	[18f184271b18] [tip] <mrbs_17_branch>

2019-01-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Fixed bug introduced in recent changes causing admins to be
	downgraded to users when they edit their details
	[7e35324fef93] <mrbs_17_branch>

	* web/edit_room_handler.php:
	Fixed problem with custom checkboxes - see SF Bugs 429
	[4a8d2affdd74] <mrbs_17_branch>

	* web/edit_users.php:
	Fixed problem with custom checkboxes - see SF Bugs 429
	[13196ce40829] <mrbs_17_branch>

	* web/edit_entry.php:
	Fixed undefined index notice introduced in last change
	[42dd9fe5da99] <mrbs_17_branch>

	* web/edit_entry.php, web/edit_entry_handler.php,
	web/lib/MRBS/Form/Field.php:
	Fixed bug causing checkbox custom fields not to be saved. See SF
	Bugs #429.
	[08664971fea2] <mrbs_17_branch>

2019-01-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php, web/edit_entry_handler.php:
	Fixed bug when a field is disabled in the edit_entry form. See SF
	Support Requests #1664.
	[6072bef5cb35] <mrbs_17_branch>

2019-01-06  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lang/lang.en, web/lang/lang.sr-rs-latin, web/upgrade.inc:
	Made the upgrade message look less like an error message. See SF
	Support Requests #1661.
	[0898131912a1] <mrbs_17_branch>

2019-01-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/Themes/default/header.inc:
	Fixed 'headers already sent' problem when using the 'cookie' session
	scheme.
	[bfc08ee963b5] <mrbs_17_branch>

2018-12-31  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/CAS.php, web/lib/CAS/Client.php:
	Updated to latest phpCAS client to fix problem with '"continue"
	targeting switch is equivalent to "break". Did you mean to use
	"continue 2"?' warning messages in PHP 7.3.0.
	[1f83b4327082] <mrbs_17_branch>

2018-12-30  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/dbsys.inc, web/init.inc, web/upgrade.inc:
	Back-ported the fix for upgrading to schema 56 to the
	mrbs_17_branch. See SF Support Requests #1658.
	[d7712f087b4f] <mrbs_17_branch>

	* web/edit_entry.php:
	Added a maxlength attribute to custom textareas
	[a370e85c27bf] <mrbs_17_branch>

	* web/edit_entry.php:
	Fixed HTML5 validation error
	[37672b58482e] <mrbs_17_branch>

2018-12-29  John Beranek  <jberanek@users.sourceforge.net>

	* web/edit_entry.php:
	Fix for problem editing long custom fields described in [support-
	requests:#1658]
	[4c299f9de44c] <mrbs_17_branch>

2018-12-19  John Beranek  <jberanek@users.sourceforge.net>

	* .hgtags:
	Removed tag mrbs-1_7_2
	[2e25f23ace07] [mrbs-1_7_2]

	* ChangeLog, NEWS:
	Updated ChangeLog and NEWS for 1.7.2 release, again
	[8d661eb972ca]

	* Merge with default
	[dec3a546c58c]

2018-12-08  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/PHPMailer/PHPMailerAutoload.php:
	Corrected typo in message
	[c29599584c21]

2018-12-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/PHPMailer/PHPMailerAutoload.php:
	Got rid of deprecated error in PHP 7.2 and above. This is only a
	temporary fix though as we should really upgrade to PHPMailer V6,
	but that requires PHP 5.5 or later.
	[dbe30938ab6c]

	* web/lib/PHPMailer/VERSION, web/lib/PHPMailer/class.phpmailer.php,
	web/lib/PHPMailer/class.pop3.php, web/lib/PHPMailer/class.smtp.php:
	Upgraded PHPMailer to Version 5.2.27. (Note that the 5.2 branch is
	now deprecated and we should really upgrade to PHPMailer Version 6,
	but that requires PHP 5.5 or greater.)
	[030681ee9968]

2018-12-19  John Beranek  <jberanek@users.sourceforge.net>

	* .hgtags:
	Added tag mrbs-1_7_2 for changeset b02368b8844d
	[5e4478e77b22]

	* ChangeLog, NEWS:
	Updated ChangeLog and NEWS for 1.7.2 release
	[b02368b8844d]

	* web/version_num.inc:
	Update version number to 1.7.2
	[7a4417bb0ed1]

2018-12-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/version.inc:
	Added error suppression to the exec because we are not interested if
	the exec fails, eg with an "unable to fork" message.
	[7b29f40cccbc]

2018-12-03  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/init.inc:
	Set the session.gc_maxlifetime to the same time as
	$auth['session_php']['session_expire_time'] so that users aren't
	logged out by the garbage collector before the session cookie is due
	to expire.
	[8d35130aada1]

2018-12-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/internalconfig.inc.php:
	Fixed typo. See SF Support Requests #1650.
	[90a6965a196a]

2018-12-01  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/config.inc.php-sample:
	Added a note about how to include files from the config file. See SF
	Support Requests #1649.
	[aea1be25006a]

	* web/session/session_cas.inc, web/session/session_cookie.inc,
	web/session/session_joomla.inc, web/session/session_php.inc,
	web/session/session_wordpress.inc:
	Removed the now redundant alternative redirection by a manual link
	instead of a redirection to a relative URL. The alternative link was
	generating errors after logoff because the session had been
	destroyed and the new CSRF token couldn't be stored (with the PHP
	session scheme anyway, but removed from all schemes for
	consistency).
	[ca9871530b5e]

2018-11-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/SessionHandlerDb.php:
	Fixed SQL syntax error in session garbage collection code, which
	looks like it was probably the cause of the "Could not start DB
	sessions" error.
	[99d5eced72ae]

	* web/internalconfig.inc.php:
	Fixed bug which resulted in error reporting being disabled
	[ac56320c2354]

	* web/auth/auth_joomla.inc, web/auth/auth_saml.inc,
	web/auth/auth_wordpress.inc, web/init.inc,
	web/session/session_saml.inc:
	Replaced tabs with spaces in some recent changes that had been made
	after my editor mysteriously reset itself to the default settings.
	At the same time replaced tabs with spaces eleswhere in the MRBS
	code (except for third party libraries). Also brought the formatting
	of the two SAML files in line with MRBS conventions.
	[bd2ead67019b]

2018-11-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/init.inc:
	Added some diagnostic information. I'm occasionally getting the
	message "Could not start DB sessions, trying ordinary PHP sessions",
	but am not sure why.
	[92f364320446]

	* web/lib/MRBS/SessionHandlerDb.php:
	Fixed typo in comment
	[8abe0de4e0c0]

2018-11-25  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php, web/jquery/datatables/js/plugins.js:
	Fixed bug which prevented the name column of the users table being
	sorted by DataTables. (Temporary fix as we really need to move to
	using data-sort).
	[a16a774c7c8a]

2018-11-22  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Changed behaviour so that if you are not a user admin then you are
	only allowed to see the last_updated and last_login times for
	yourself.
	[09212d8584d8]

2018-11-21  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Changed code so that no last updated timestamp is shown if it is 0.
	[0f4c7586e123]

2018-11-19  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Fixed bug preventing DataTables from sorting the last login column
	[b9783ca55ed0]

2018-11-17  John Beranek  <jberanek@users.sourceforge.net>

	* web/upgrade/59/mysql.sql:
	Correct bad merge of DB schema 59 upgrade
	[d5e076e30a01]

	* web/upgrade/59/mysql.sql, web/upgrade/59/pgsql.sql:
	Added missing DB upgrade files
	[5d8128eac356]

	* tables.my.sql, tables.pg.sql, web/auth/auth_db.inc,
	web/edit_users.php, web/lang/lang.en, web/lib/MRBS/DB.php:
	Added 'last login' functionality to 'db' auth scheme
	[4a1bdd38eee6]

2018-11-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* tables.my.sql, tables.pg.sql, web/lib/MRBS/DB.php,
	web/upgrade/58/mysql.sql, web/upgrade/58/pgsql.sql:
	Fixed bug that prevented users with emojis in their usernames from
	logging in when using MySQL.
	[22fbdb9c7427]

2018-11-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc:
	Switched to using the REQUEST_URI instead of PHP_SELF in order to
	get the cookie path. See SF Support Requests #1634.
	[0283e38128d2]

	* web/mincals.inc:
	Removed redundant global declaration
	[4dbe7ca39a42]

	* web/session/session_cookie.inc, web/session/session_php.inc:
	Removed redundant global declarations and simplified code
	[e7b6fb6e6557]

	* web/grab_globals.inc.php:
	Added REQUEST_URI to the list of server variables 'grabbed'.
	[63de505573f6]

	* web/style.inc:
	Got rid of an instance of using $PHP_SELF
	[dabe1b990f9e]

	* web/view_entry.php:
	Removed redundant global declaration
	[cbe145a62771]

2018-11-09  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_auth.inc:
	Removed redundant global declaration
	[ebde3a9da707]

	* web/functions.inc, web/mrbs_auth.inc:
	Revised last change
	[9e4225134589]

	* web/mrbs_auth.inc:
	Added an error trigger if PHP_SELF is empty. See SF Support Requests
	#1633.
	[8d102d0c67ff]

2018-11-08  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	Fixed bug that allowed areas with no enabled rooms to appear in the
	area select. [Fix back-ported from the nav_improvements branch -
	should have fixed it here first].
	[5e120005db86]

2018-11-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc:
	Fixed typo in comment
	[4edb470e4cdc]

	* web/functions.inc:
	Removed redundant code.
	[7037cc9865c4]

	* web/functions.inc:
	Fixed bug in date_default_timezone_set() that was causing it to set
	the current area timnezone rather than the config timezone if no
	timezone was specified.
	[f625b947d9b4]

2018-10-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/language.inc:
	Added comment.
	[a77261240ba0]

	* web/language.inc:
	Fixed problem with date in search results heading being shown in the
	wrong format when using en_GB on Windows. Not a great fix - the
	language and locale handling is much better in the nav_improvements
	branch and this will eventually be merged back into the default
	branch.
	[4804fe8a6f62]

	* web/search.php:
	Fixed problem introduced in last few changes
	[aee149b9f408]

	* web/functions.inc, web/search.php:
	Fixed bug causing "Empty or invalid search string". See SF Bugs
	#421.
	[d34ce063a263]

2018-10-19  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_sql.inc:
	Fixed bug introduced in d21c016bf2ce causing automatic detection of
	scheduling conflicts to fail.
	[3051ac2d89f3]

	* UPGRADE:
	Clarified upgrade instructions. See SF Support Requests #1622.
	[4e705e487f93]

	* web/edit_area_handler.php, web/js/edit_area.js.php:
	Disabled the default duration field on the area form if "All day" is
	checked.
	[112be64422fb]

	* web/view_entry.php:
	Tidied up code
	[242258e754b2]

	* web/pending.php:
	Fixed bug causing series not to be approved. Might be related to SF
	Support Requests #1623
	[1f678d571183]

2018-10-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc, web/systemdefaults.inc.php:
	Changed the code so that it is no longer necessary to include an '@'
	character at the beginning of $mail_settings['domain'] - though
	older config files that do have one will still work.
	[06e705b973d8]

	* web/functions.inc, web/systemdefaults.inc.php:
	Fixed a bug that was causing the username_suffix to be stripped out
	of a username wherever it occurred, rather than just at the end.
	[d24470d34285]

	* web/view_entry.php:
	Fixed a bug (SF Bugs #420) causing an "invalid id" message if you
	try an edit an entry without first having logged in.
	[78bdbdd868ad]

2018-09-24  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php, web/lib/MRBS/Form/Field.php:
	Fixed problem with disabled required fields on the edit_users form.
	See SF Bugs #419.
	[cb2378459f9b]

2018-09-18  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/CAS.php, web/lib/CAS/AuthenticationException.php,
	web/lib/CAS/Autoload.php, web/lib/CAS/Client.php,
	web/lib/CAS/CookieJar.php, web/lib/CAS/Exception.php,
	web/lib/CAS/GracefullTerminationException.php,
	web/lib/CAS/InvalidArgumentException.php, web/lib/CAS/LICENSE,
	web/lib/CAS/Languages/Catalan.php,
	web/lib/CAS/Languages/ChineseSimplified.php,
	web/lib/CAS/Languages/English.php, web/lib/CAS/Languages/French.php,
	web/lib/CAS/Languages/German.php, web/lib/CAS/Languages/Greek.php,
	web/lib/CAS/Languages/Japanese.php,
	web/lib/CAS/Languages/LanguageInterface.php,
	web/lib/CAS/Languages/Spanish.php, web/lib/CAS/NOTICE,
	web/lib/CAS/OutOfSequenceBeforeAuthenticationCallException.php,
	web/lib/CAS/OutOfSequenceBeforeClientException.php,
	web/lib/CAS/OutOfSequenceBeforeProxyException.php,
	web/lib/CAS/OutOfSequenceException.php,
	web/lib/CAS/PGTStorage/AbstractStorage.php,
	web/lib/CAS/PGTStorage/Db.php, web/lib/CAS/PGTStorage/File.php,
	web/lib/CAS/ProxiedService.php,
	web/lib/CAS/ProxiedService/Abstract.php,
	web/lib/CAS/ProxiedService/Exception.php,
	web/lib/CAS/ProxiedService/Http.php,
	web/lib/CAS/ProxiedService/Http/Abstract.php,
	web/lib/CAS/ProxiedService/Http/Get.php,
	web/lib/CAS/ProxiedService/Http/Post.php,
	web/lib/CAS/ProxiedService/Imap.php,
	web/lib/CAS/ProxiedService/Testable.php, web/lib/CAS/ProxyChain.php,
	web/lib/CAS/ProxyChain/AllowedList.php,
	web/lib/CAS/ProxyChain/Any.php,
	web/lib/CAS/ProxyChain/Interface.php,
	web/lib/CAS/ProxyChain/Trusted.php,
	web/lib/CAS/ProxyTicketException.php,
	web/lib/CAS/Request/AbstractRequest.php,
	web/lib/CAS/Request/CurlMultiRequest.php,
	web/lib/CAS/Request/CurlRequest.php,
	web/lib/CAS/Request/Exception.php,
	web/lib/CAS/Request/MultiRequestInterface.php,
	web/lib/CAS/Request/RequestInterface.php,
	web/lib/CAS/TypeMismatchException.php, web/lib/phpCAS.php:
	Updated to latest version of PHP CAS source
	[cacec73c3e52]

2018-09-06  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/Form/Element.php:
	Simplified code
	[6263e4198b99]

	* web/edit_area.php, web/lib/MRBS/Form/Element.php:
	Fixed problem with checkboxes on forms not being filled properly.
	See SF Bugs #418.
	[d246de90a776]

2018-09-01  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_db_ext.inc, web/edit_entry.php,
	web/session/session_cas.inc, web/session/session_cookie.inc,
	web/session/session_joomla.inc, web/session/session_php.inc,
	web/session/session_wordpress.inc:
	Fixed problems with (a) the URL growing longer and longer when
	logging in and logging out and logging in again etc. and (b) the
	Back button on the edit_entry page not working after a login.
	[8adab239fe9d]

2018-08-31  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_db_ext.inc:
	Improved earlier fix.
	[36252600f45c]

	* web/auth/auth_db_ext.inc:
	Fixed bug when using db_ext and
	$auth['db_ext']['column_name_level']. See SF Bugs #417
	[f8a6b6847207]

	* web/auth/auth_db_ext.inc:
	Fixed bug when db_ext password_format is not defined.
	[ce745312dd0c]

2018-08-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js.inc, web/js/admin.js.php, web/js/edit_entry.js.php,
	web/js/multiple.js.php, web/js/report.js.php,
	web/js/resizable.js.php:
	Fixed problems to do with caching of the user level in JavaScript
	code. See SF Bugs #415.
	[5d325f2cabac]

	* web/edit_entry.php, web/js/edit_entry.js.php:
	Fixed bug when multiday bookings are not allowed. See SF Bugs #416.
	[d64d31459af8]

2018-08-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* INSTALL:
	Updated minimum PHP version number. See SF Bugs #414.
	[a882f5f8e6ab]

	* web/js/datepicker.js.php:
	fixed bug causing the datepicker date to be off by one day. See SF
	Support Requests #1591.
	[fa4dd034fd2d]

2018-08-27  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Converted $twentyfourhour_format to a boolean
	[6b20ab7701da]

	* web/init.inc:
	Corrected typo in comment
	[c37243256589]

2018-08-26  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/init.inc:
	Excluded the cookie session scheme from init_sessions().
	[bd17508c9c49]

2018-08-24  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* tables.my.sql, tables.pg.sql, web/lib/MRBS/DB.php,
	web/upgrade/57/mysql.sql, web/upgrade/57/pgsql.sql:
	Increased the length of the id column in the sessions table from 32
	to 255. See SF Feature Requests #158.
	[da7cfbe1c72f]

2018-08-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* help_report.html:
	Updated the report help page to reflect changes to the report
	parameters.
	[9148158f2579]

2018-08-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/language.inc:
	Fixed bug causing language file not to be used when in CLI mode. See
	SF Support Requests 1583.
	[d38a9a861873]

2018-08-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_pop3.inc:
	Rewrote code to avoid the use of the deprecated each() function
	[14513d53856d]

2018-08-01  John Beranek  <jberanek@users.sourceforge.net>

	* web/Mail/mime.php, web/Mail/mimePart.php, web/Net/SMTP.php,
	web/Net/Socket.php, web/PEAR.php:
	Converted files to UniX LF line endings
	[ae8f5fa7cdc6]

2018-08-01  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/Net/Socket.php:
	Updated to version 1.2.2
	[f9c818b70ca4]

	* web/Net/SMTP.php:
	Updated to version 1.8.0
	[65f29cc718d0]

	* web/PEAR.php:
	Updated to version 1.10.5, though the deprecated each() function is
	still used.
	[6559b737b3bd]

	* web/Mail/mime.php, web/Mail/mimePart.php:
	Updated Mail_Mime package to version 1.10.2 to avoid the use of the
	deprecated each() function.
	[4eb7a3ae335d]

	* web/auth/auth_imap.inc:
	Rewrote code to avoid the use of the deprecated each() function
	[19dd80ae04b6]

2018-07-21  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	Fixed bug with confirmation status, introduced during recent
	changes. See SF Support Requests #1562.
	[cf10a82810cd]

2018-07-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php, web/edit_entry_handler.php,
	web/functions_ical.inc, web/functions_mail.inc,
	web/functions_table.inc, web/functions_view.inc, web/import.php,
	web/month.php, web/mrbs_sql.inc, web/report.php, web/view_entry.php:
	Made 'confirmation_status' and 'approval_status' work in
	$edit_entry_field_order for view_entry (see SF Support Requests
	#1562). In the process moved the packing and unpacking of the status
	bits into mrbs_sql.inc.
	[d21c016bf2ce]

	* web/edit_entry.php, web/internalconfig.inc.php,
	web/systemdefaults.inc.php:
	Replaced the values 'areas' and 'rooms' in the config setting
	$edit_entry_field_order with a single value 'room_id' (on the
	assumption that one would always want to have the room field next to
	the area field). This fixes a bug (see SF Support Requests #1562)
	and makes the use of the values consistent with the column names in
	the entry table.
	[c768832f6257]

	* web/edit_entry.php, web/functions_view.inc:
	Added some resilience for the case where an $edit_entry_field_order
	element does not exist.
	[72930c9b9633]

	* web/edit_entry.php, web/internalconfig.inc.php,
	web/systemdefaults.inc.php:
	Replaced the values 'start_date' and 'end_date' in the config
	setting $edit_entry_field_order with 'start_time' and 'end_time'.
	This fixes a bug (see SF Support Requests #1562) and makes the use
	of the values consistent with the column names in the entry table.
	[86abc3cb95ad]

2018-07-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area.php:
	Added some type hinting
	[fa675be35a55]

	* web/admin.php:
	Added HTML escaping of what could be user input
	[55eb3c32ff6a]

2018-07-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/SessionHandlerDb.php:
	Got rid of a few global declarations
	[4015c215529a]

2018-07-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/init.inc, web/lib/MRBS/SessionHandlerDb.php:
	Fixed another problem with upgrading to database sessions. It seems
	that in some versions of PHP (eg 7.0.25) session_start() generates a
	fatal error if the session handler open() returns false. Throwing an
	exception in open() doesn't work either because a try block round
	session_start() won't catch the exception (possibly because the
	open() method is actually a callback??). So instead we test for the
	existence of the session table in the constructor, which allows us
	to catch the exception when the object is created.
	[06c6d4efa46e]

2018-07-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/SessionHandlerDb.php:
	Fixed another Catch 22 problem with upgrading to the new sessions
	table.
	[01f8917322d6]

2018-07-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/init.inc:
	Fixed sessions for both Joomla 2 and Joomla 3
	[7a7783b29ce0]

	* web/init.inc:
	Renamed functions
	[0fe12c27215d]

	* web/init.inc, web/lib/MRBS/Form/Form.php, web/lib/MRBS/JFactory.php,
	web/session/session_joomla.inc:
	Restructured code, removing a global
	[fbff2b19cfe6]

	* web/init.inc, web/session/functions_session.inc,
	web/session/session_joomla.inc, web/systemdefaults.inc.php:
	Fixed operation of new session code with Joomla
	[67384e169be4]

2018-07-10  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/session/session_joomla.inc:
	Fixed a bug when using Joomla authentication
	[0967437642ea]

2018-07-08  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/config.inc.php:
	Merge
	[19ff7493a9de]

	* web/functions.inc:
	Simplified code
	[09eda13d03a4]

	* web/functions.inc:
	Added some sanitization to split_iso_date()
	[6761fce53396]

2018-07-05  John Beranek  <jberanek@users.sourceforge.net>

	* .hgignore:
	Added config.inc.php to the .hgignore
	[2b0952006d9c]

	* INSTALL, UPGRADE, web/config.inc.php, web/config.inc.php-sample:
	Moved config.inc.php to config.inc.php-sample
	[e0652b64fc9b]

2018-07-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_cas.inc, web/systemdefaults.inc.php:
	Implemented filtering by CAS attribute. See SF Support Requests
	1533.
	[54650a43a40a]

2018-07-04  John Beranek  <jberanek@users.sourceforge.net>

	* .hgignore:
	Added web/css/custom.css to .hgignore
	[bbcf7d189640]

	* .hgignore, web/config.inc.php:
	Backed out changeset f3ea15fe5a4a
	[a6739877fde2]

	* .hgignore, web/config.inc.php:
	Added web/css/custom.css to .hgignore
	[f3ea15fe5a4a]

	* .hgignore:
	Added useful pattern to .hgignore
	[27cc8f2a9051]

2018-07-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_auth.inc:
	Converted some functions to return a boolean instead of 0/1.
	[0a3dc02720ca]

	* Merge with db_sessions
	[63d811a36004]

	* Close db_sessions branch
	[72af8a6594c3] <db_sessions>

	* web/init.inc:
	Expanded error message.
	[4062433008b5] <db_sessions>

	* web/functions_error.inc, web/init.inc:
	Fixed bug in error handling code and reverted the now unnecessary
	previous commit.
	[46a88dba5afd] <db_sessions>

2018-07-03  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/init.inc:
	Added a circumvention for strange behaviour in session_start() which
	seems to change the error_reporting level, at least when it fails.
	[1f1c7a2224ad] <db_sessions>

	* web/init.inc, web/lib/MRBS/SessionHandlerDb.php:
	Added some checking to the open() method in the DB session handler
	and then added a fall-back to ordinary PHP sessions if DB sessions
	don't work.
	[e2b0e5e63cd8] <db_sessions>

	* web/upgrade/56/pgsql.sql, web/upgrade/8/pgsql.sql:
	Fixed bug in PostgreSQL updates
	[33bb97c28839] <db_sessions>

2018-07-02  John Beranek  <jberanek@users.sourceforge.net>

	* tables.my.sql, tables.pg.sql, web/upgrade/56/mysql.sql,
	web/upgrade/56/pgsql.sql:
	Added an index to mrbs_sessions table.
	[a451dd8f8ff2] <db_sessions>

2018-07-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/dbsys.inc, web/upgrade.inc:
	Fixed a bug causing the $maxlength global not to be populated
	[c6a7ad8461ec] <db_sessions>

	* web/lib/MRBS/DB.php, web/upgrade.inc:
	Made the db schema version numbers DB class constants
	[c235fed2aa05] <db_sessions>

	* web/upgrade.inc:
	Added comment
	[95158769a239] <db_sessions>

	* web/dbsys.inc, web/defaultincludes.inc, web/upgrade.inc:
	Moved the upgrade code to later in the start-ip sequence to avoid
	protential problems with sessions and the CSRF check failing.
	[1b000fcceb26] <db_sessions>

2018-07-01  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/init.inc, web/internalconfig.inc.php:
	Moved session initialisation code to a more appropriate place
	[5d2a4f78cc48] <db_sessions>

	* web/init.inc, web/lib/MRBS/SessionHandler.php,
	web/lib/MRBS/SessionHandlerDb.php:
	Renamed class
	[9642bdc4bf7a] <db_sessions>

2018-06-30  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/SessionHandler.php:
	Fixed bug in session write() code. (You can't rely on rowCount() to
	tell if the UPDATE worked because if the data being written is
	identical to what's already there rowCount() will return zero.)
	[bd154460a09d] <db_sessions>

	* web/init.inc, web/lib/MRBS/SessionHandler.php:
	Simplified code
	[f36bbb71bcad] <db_sessions>

2018-06-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/init.inc, web/lib/MRBS/SessionHandler.php:
	Now supports $auth["session_php"]["session_expire_time"]
	[f36323c1a0d3] <db_sessions>

2018-06-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/SessionHandler.php:
	Added comment
	[a3e736ee3128] <db_sessions>

	* web/defaultincludes.inc:
	Updated minimum PHP version number
	[3c7582dea12e] <db_sessions>

	* tables.pg.sql, web/upgrade/56/pgsql.sql:
	Added PostgreSQL support
	[629da21b442b] <db_sessions>

	* web/lib/MRBS/SessionHandler.php:
	Fixed bug in destroy() method
	[e3da8ca04b0c] <db_sessions>

	* web/dbsys.inc, web/defaultincludes.inc, web/init.inc,
	web/lib/MRBS/SessionHandler.php:
	First implementation of SessionHandler
	[58f3ed4ea062] <db_sessions>

	* tables.my.sql, web/dbsys.inc, web/upgrade/56/mysql.sql:
	Created new table (MySQL only at this stage)
	[32ed82a812b3] <db_sessions>

	* Created a new named branch for the development of using the database
	to store PHP sessions
	[9636317622cb] <db_sessions>

	* web/auth/auth_cas.inc, web/systemdefaults.inc.php:
	Added in CAS Server CA Certificate validation
	[8e266aa0ecc9]

	* web/session/functions_session.inc:
	Fixed (I hope) problem with MRBS always returning to the admin page
	after successful CAS login
	[65183945fe86]

	* web/session/session_cas.inc:
	Fixed a problem when logging off using CAS authentication
	[c94285a2c10d]

2018-06-24  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_cas.inc, web/session/session_cas.inc:
	Changed lines endings to Unix(LF)
	[2b222ec01044]

	* web/auth/auth_cas.inc, web/session/session_cas.inc:
	Removed closing PHP tags
	[d48e69291d0d]

	* web/session/session_cas.inc:
	Tidied up the code
	[70d6d0a969e8]

	* web/auth/auth_cas.inc:
	Made CAS authentication resilient to the server port number being
	configured as a string.
	[b5098f976420]

2018-06-23  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge with CAS_authentication
	[716b527ca96e]

	* Close CAS_authentication branch
	[f0a25e50d27f] <CAS_authentication>

	* LICENSE, web/lib/CAS/LICENSE, web/lib/CAS/NOTICE:
	Updated the licence information
	[f10703b0a58d] <CAS_authentication>

	* AUTHENTICATION:
	Updated Authentication info with CAS
	[3c967cc8418e] <CAS_authentication>

	* web/auth/auth_cas.inc, web/session/session_cas.inc,
	web/systemdefaults.inc.php:
	Converted session code
	[f7c819176e9e] <CAS_authentication>

	* web/language.inc:
	Fixed typo
	[2a6502dfea3a] <CAS_authentication>

	* web/auth/auth_cas.inc, web/lib/Locale.php:
	Set phpCAS language
	[9e102921f99b] <CAS_authentication>

	* web/auth/auth_cas.inc, web/systemdefaults.inc.php:
	Added some configuration settings
	[8ef6d9125a16] <CAS_authentication>

2018-06-22  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/session/session_cas.inc:
	A bit more conversion of print_logon_box()
	[f0a788a089d3] <CAS_authentication>

	* web/session/session_cas.inc:
	Styarted converting to new style session code
	[25e1ea993621] <CAS_authentication>

	* web/auth/auth_cas.inc:
	Added an authGetUserEmail() function
	[0f93a357315d] <CAS_authentication>

	* web/auth/auth_cas.inc:
	Simplified code
	[377cbbb3c21b] <CAS_authentication>

	* Merge with default
	[01d69168f334] <CAS_authentication>

	* web/auth/auth_auth_basic.inc, web/auth/auth_config.inc,
	web/auth/auth_crypt.inc, web/auth/auth_db_ext.inc,
	web/auth/auth_ext.inc, web/auth/auth_imap.inc,
	web/auth/auth_imap_php.inc, web/auth/auth_ldap.inc,
	web/auth/auth_nis.inc, web/auth/auth_none.inc, web/auth/auth_nw.inc,
	web/auth/auth_pop3.inc, web/auth/auth_smtp.inc, web/mrbs_auth.inc,
	web/view_entry.php:
	Simplified code
	[0338c1dd9f38]

	* web/auth/auth_cas.inc:
	Converted the auth functions to be consistent with the latest code
	[2ba903e63665] <CAS_authentication>

	* web/auth/auth_cas.inc, web/session/session_cas.inc:
	Added MRBS namespace for consistency with other auth and session
	files
	[1651deff2502] <CAS_authentication>

	* web/auth/auth_cas.inc:
	Initialised CAS
	[7cc5855fc185] <CAS_authentication>

	* web/lib/CAS/AuthenticationException.php, web/lib/CAS/Autoload.php,
	web/lib/CAS/Client.php, web/lib/CAS/CookieJar.php,
	web/lib/CAS/Exception.php,
	web/lib/CAS/GracefullTerminationException.php,
	web/lib/CAS/InvalidArgumentException.php,
	web/lib/CAS/Languages/Catalan.php,
	web/lib/CAS/Languages/ChineseSimplified.php,
	web/lib/CAS/Languages/English.php, web/lib/CAS/Languages/French.php,
	web/lib/CAS/Languages/German.php, web/lib/CAS/Languages/Greek.php,
	web/lib/CAS/Languages/Japanese.php,
	web/lib/CAS/Languages/LanguageInterface.php,
	web/lib/CAS/Languages/Spanish.php,
	web/lib/CAS/OutOfSequenceBeforeAuthenticationCallException.php,
	web/lib/CAS/OutOfSequenceBeforeClientException.php,
	web/lib/CAS/OutOfSequenceBeforeProxyException.php,
	web/lib/CAS/OutOfSequenceException.php,
	web/lib/CAS/PGTStorage/AbstractStorage.php,
	web/lib/CAS/PGTStorage/Db.php, web/lib/CAS/PGTStorage/File.php,
	web/lib/CAS/ProxiedService.php,
	web/lib/CAS/ProxiedService/Abstract.php,
	web/lib/CAS/ProxiedService/Exception.php,
	web/lib/CAS/ProxiedService/Http.php,
	web/lib/CAS/ProxiedService/Http/Abstract.php,
	web/lib/CAS/ProxiedService/Http/Get.php,
	web/lib/CAS/ProxiedService/Http/Post.php,
	web/lib/CAS/ProxiedService/Imap.php,
	web/lib/CAS/ProxiedService/Testable.php, web/lib/CAS/ProxyChain.php,
	web/lib/CAS/ProxyChain/AllowedList.php,
	web/lib/CAS/ProxyChain/Any.php,
	web/lib/CAS/ProxyChain/Interface.php,
	web/lib/CAS/ProxyChain/Trusted.php,
	web/lib/CAS/ProxyTicketException.php,
	web/lib/CAS/Request/AbstractRequest.php,
	web/lib/CAS/Request/CurlMultiRequest.php,
	web/lib/CAS/Request/CurlRequest.php,
	web/lib/CAS/Request/Exception.php,
	web/lib/CAS/Request/MultiRequestInterface.php,
	web/lib/CAS/Request/RequestInterface.php,
	web/lib/CAS/TypeMismatchException.php:
	Added main CAS files
	[70ded9347f85] <CAS_authentication>

	* web/lib/CAS.php, web/lib/phpCAS.php:
	Renamed file so that it would autoload
	[e7349f73267d] <CAS_authentication>

	* web/auth/auth_cas.inc, web/lib/CAS.php, web/session/session_cas.inc:
	Initial drop of CAS files
	[30a4759f3baf] <CAS_authentication>

2018-06-21  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Opened a new named branch for the development of CAS authentication
	[c664ea09cb32] <CAS_authentication>

2018-04-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry_handler.php:
	Improved last fix
	[478aa6c5a113]

	* web/edit_entry_handler.php:
	Fixed bug causing edit_entry_handler to go to today when finished
	rather than the day of the srtart of the booking.
	[e2fe8629924d]

2018-04-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Fixed bug whereby the password_hash would be wiped if the password
	field was left blank. The bug was introduced during the
	forms_rewrite.
	[7299f79570ef]

2018-03-31  John Beranek  <jberanek@users.sourceforge.net>

	* web/upgrade/55/mysql.sql:
	Fixed typo in upgrade script comment.
	[30d1fed1cd2c]

	* web/upgrade/55/mysql.sql, web/upgrade/55/pgsql.sql:
	Added missing upgrade files.
	[1f1195ee463d]

2018-03-30  John Beranek  <jberanek@users.sourceforge.net>

	* tables.my.sql:
	Set the zoneinfo table back to utf8.
	[eab5204c3096]

	* README:
	Fixed typo in MySQL version requirement
	[50cd6e51ed97]

	* INSTALL, README, tables.my.sql, tables.pg.sql, web/dbsys.inc,
	web/lib/MRBS/DB.php, web/lib/MRBS/DB_mysql.php:
	Changed MySQL schema/connection to use "utf8mb4" character set, in
	order to support full Unicode. This adds a requirement on MySQL
	5.3.3 or later.
	[35ba41a2d32f]

2018-03-30  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* LICENSE, web/jquery/ui/LICENSE.txt:
	Added licensing information
	[37917179f114]

2018-03-18  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/Form/Form.php, web/report.php, web/search.php:
	Relaxed CSRF token checking, so that the token isn't checked for GET
	requests to read-only pages such as Search and Report.
	[6c481f780b54]

	* web/edit_entry_handler.php:
	Fixed bug when resizing a booking on a day that's not today
	[cd48eeab8e15]

2018-03-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Fixed bug introduced during the forms_rewrite branch preventing the
	creation of a first admin user.
	[18004f9bc608]

2018-03-06  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_error.inc, web/internalconfig.inc.php,
	web/language.inc:
	Moved the advice on what to do about a missing iconv() function out
	of language.inc and into general error handling.
	[3b0c4dd25bc7]

	* web/internalconfig.inc.php:
	Reverted debugging settings which had accidentally been committed
	during the forms_rewrite branch
	[2c6648c400bb]

2018-03-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/language.inc:
	Fixed bug in finding best language file
	[e6a6e1ac51f4]

2018-02-23  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/defaultincludes.inc:
	Changed 'require to 'require_once' for grab_globals.inc.php, as it
	should only be included once since it contains a function
	declaration.
	[4702e7fd216e]

2018-02-22  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php, web/lang/lang.en, web/search.php,
	web/systemdefaults.inc.php:
	Added a date to the search results so that it's clear when the
	search started.
	[24ddbbc4ad8d]

	* web/search.php:
	Fixed problem with Search ignoring Search From date
	[5a07192a97dd]

	* web/css/mrbs.css.php, web/search.php:
	Fixed bug with Prev and Next links in Search results, resulting in a
	session expiry because no CSRF token was being passed. Only happens
	when JavaScript is disabled.
	[bea39ec378b7]

2018-02-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Added trimming of input fields on the Edit User form to remove
	accidental whitespace
	[607e279cf800]

	* web/edit_users.php:
	Fixed a bug causing the warning about editing the last admin always
	to be shown. (This bug was introduced in the forms_rewrite branch
	and was not present in MRBS 1.7.1).
	[cc21e05e5cb6]

2018-02-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_auth.inc:
	Fixed bug introduced in a recent restructuring of mrbs_auth.inc
	[e55b1fbdb569]

	* web/css/mrbs.css.php:
	Fixed problem with text inputs and textarea widths not being the
	same in some browsers, eg Firefox
	[6a1c009fa69f]

	* web/systemdefaults.inc.php:
	Updated the list of authentication types and session schemes.
	[1af76bfaf8ac]

	* web/auth/auth_joomla.inc, web/auth/auth_wordpress.inc,
	web/mrbs_auth.inc:
	Added checks to make sure that the session scheme is set correctly
	when using joomla or wordpress authentication.
	[b69a9bb73c5b]

	* web/auth/auth_auth_basic.inc, web/auth/auth_config.inc,
	web/auth/auth_crypt.inc, web/auth/auth_ext.inc,
	web/auth/auth_imap.inc, web/auth/auth_ldap.inc,
	web/auth/auth_nis.inc, web/auth/auth_nw.inc, web/auth/auth_pop3.inc,
	web/auth/auth_smtp.inc, web/mrbs_auth.inc:
	Moved setting of the default session scheme to mrbs_auth.inc and
	changed the default from 'http' to 'php', except for the 'joomla',
	'saml' and 'wordpress' auth types.
	[574c446d3dde]

2018-02-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/tzurl/zoneinfo-outlook/Africa/Abidjan.ics, web/tzurl/zoneinfo-
	outlook/Africa/Accra.ics, web/tzurl/zoneinfo-
	outlook/Africa/Addis_Ababa.ics, web/tzurl/zoneinfo-
	outlook/Africa/Algiers.ics, web/tzurl/zoneinfo-
	outlook/Africa/Asmara.ics, web/tzurl/zoneinfo-
	outlook/Africa/Bamako.ics, web/tzurl/zoneinfo-
	outlook/Africa/Bangui.ics, web/tzurl/zoneinfo-
	outlook/Africa/Banjul.ics, web/tzurl/zoneinfo-
	outlook/Africa/Bissau.ics, web/tzurl/zoneinfo-
	outlook/Africa/Blantyre.ics, web/tzurl/zoneinfo-
	outlook/Africa/Brazzaville.ics, web/tzurl/zoneinfo-
	outlook/Africa/Bujumbura.ics, web/tzurl/zoneinfo-
	outlook/Africa/Cairo.ics, web/tzurl/zoneinfo-
	outlook/Africa/Casablanca.ics, web/tzurl/zoneinfo-
	outlook/Africa/Ceuta.ics, web/tzurl/zoneinfo-
	outlook/Africa/Conakry.ics, web/tzurl/zoneinfo-
	outlook/Africa/Dakar.ics, web/tzurl/zoneinfo-
	outlook/Africa/Dar_es_Salaam.ics, web/tzurl/zoneinfo-
	outlook/Africa/Djibouti.ics, web/tzurl/zoneinfo-
	outlook/Africa/Douala.ics, web/tzurl/zoneinfo-
	outlook/Africa/El_Aaiun.ics, web/tzurl/zoneinfo-
	outlook/Africa/Freetown.ics, web/tzurl/zoneinfo-
	outlook/Africa/Gaborone.ics, web/tzurl/zoneinfo-
	outlook/Africa/Harare.ics, web/tzurl/zoneinfo-
	outlook/Africa/Johannesburg.ics, web/tzurl/zoneinfo-
	outlook/Africa/Juba.ics, web/tzurl/zoneinfo-
	outlook/Africa/Kampala.ics, web/tzurl/zoneinfo-
	outlook/Africa/Khartoum.ics, web/tzurl/zoneinfo-
	outlook/Africa/Kigali.ics, web/tzurl/zoneinfo-
	outlook/Africa/Kinshasa.ics, web/tzurl/zoneinfo-
	outlook/Africa/Lagos.ics, web/tzurl/zoneinfo-
	outlook/Africa/Libreville.ics, web/tzurl/zoneinfo-
	outlook/Africa/Lome.ics, web/tzurl/zoneinfo-
	outlook/Africa/Luanda.ics, web/tzurl/zoneinfo-
	outlook/Africa/Lubumbashi.ics, web/tzurl/zoneinfo-
	outlook/Africa/Lusaka.ics, web/tzurl/zoneinfo-
	outlook/Africa/Malabo.ics, web/tzurl/zoneinfo-
	outlook/Africa/Maputo.ics, web/tzurl/zoneinfo-
	outlook/Africa/Maseru.ics, web/tzurl/zoneinfo-
	outlook/Africa/Mbabane.ics, web/tzurl/zoneinfo-
	outlook/Africa/Mogadishu.ics, web/tzurl/zoneinfo-
	outlook/Africa/Monrovia.ics, web/tzurl/zoneinfo-
	outlook/Africa/Nairobi.ics, web/tzurl/zoneinfo-
	outlook/Africa/Ndjamena.ics, web/tzurl/zoneinfo-
	outlook/Africa/Niamey.ics, web/tzurl/zoneinfo-
	outlook/Africa/Nouakchott.ics, web/tzurl/zoneinfo-
	outlook/Africa/Ouagadougou.ics, web/tzurl/zoneinfo-outlook/Africa
	/Porto-Novo.ics, web/tzurl/zoneinfo-outlook/Africa/Sao_Tome.ics,
	web/tzurl/zoneinfo-outlook/Africa/Tripoli.ics, web/tzurl/zoneinfo-
	outlook/Africa/Tunis.ics, web/tzurl/zoneinfo-
	outlook/Africa/Windhoek.ics, web/tzurl/zoneinfo-
	outlook/America/Adak.ics, web/tzurl/zoneinfo-
	outlook/America/Anchorage.ics, web/tzurl/zoneinfo-
	outlook/America/Anguilla.ics, web/tzurl/zoneinfo-
	outlook/America/Antigua.ics, web/tzurl/zoneinfo-
	outlook/America/Araguaina.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Buenos_Aires.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Catamarca.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Cordoba.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Jujuy.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/La_Rioja.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Mendoza.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Rio_Gallegos.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Salta.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/San_Juan.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/San_Luis.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Tucuman.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Ushuaia.ics, web/tzurl/zoneinfo-
	outlook/America/Aruba.ics, web/tzurl/zoneinfo-
	outlook/America/Asuncion.ics, web/tzurl/zoneinfo-
	outlook/America/Atikokan.ics, web/tzurl/zoneinfo-
	outlook/America/Bahia.ics, web/tzurl/zoneinfo-
	outlook/America/Bahia_Banderas.ics, web/tzurl/zoneinfo-
	outlook/America/Barbados.ics, web/tzurl/zoneinfo-
	outlook/America/Belem.ics, web/tzurl/zoneinfo-
	outlook/America/Belize.ics, web/tzurl/zoneinfo-outlook/America
	/Blanc-Sablon.ics, web/tzurl/zoneinfo-outlook/America/Boa_Vista.ics,
	web/tzurl/zoneinfo-outlook/America/Bogota.ics, web/tzurl/zoneinfo-
	outlook/America/Boise.ics, web/tzurl/zoneinfo-
	outlook/America/Cambridge_Bay.ics, web/tzurl/zoneinfo-
	outlook/America/Campo_Grande.ics, web/tzurl/zoneinfo-
	outlook/America/Cancun.ics, web/tzurl/zoneinfo-
	outlook/America/Caracas.ics, web/tzurl/zoneinfo-
	outlook/America/Cayenne.ics, web/tzurl/zoneinfo-
	outlook/America/Cayman.ics, web/tzurl/zoneinfo-
	outlook/America/Chicago.ics, web/tzurl/zoneinfo-
	outlook/America/Chihuahua.ics, web/tzurl/zoneinfo-
	outlook/America/Costa_Rica.ics, web/tzurl/zoneinfo-
	outlook/America/Creston.ics, web/tzurl/zoneinfo-
	outlook/America/Cuiaba.ics, web/tzurl/zoneinfo-
	outlook/America/Curacao.ics, web/tzurl/zoneinfo-
	outlook/America/Danmarkshavn.ics, web/tzurl/zoneinfo-
	outlook/America/Dawson.ics, web/tzurl/zoneinfo-
	outlook/America/Dawson_Creek.ics, web/tzurl/zoneinfo-
	outlook/America/Denver.ics, web/tzurl/zoneinfo-
	outlook/America/Detroit.ics, web/tzurl/zoneinfo-
	outlook/America/Dominica.ics, web/tzurl/zoneinfo-
	outlook/America/Edmonton.ics, web/tzurl/zoneinfo-
	outlook/America/Eirunepe.ics, web/tzurl/zoneinfo-
	outlook/America/El_Salvador.ics, web/tzurl/zoneinfo-
	outlook/America/Fort_Nelson.ics, web/tzurl/zoneinfo-
	outlook/America/Fortaleza.ics, web/tzurl/zoneinfo-
	outlook/America/Glace_Bay.ics, web/tzurl/zoneinfo-
	outlook/America/Godthab.ics, web/tzurl/zoneinfo-
	outlook/America/Goose_Bay.ics, web/tzurl/zoneinfo-
	outlook/America/Grand_Turk.ics, web/tzurl/zoneinfo-
	outlook/America/Grenada.ics, web/tzurl/zoneinfo-
	outlook/America/Guadeloupe.ics, web/tzurl/zoneinfo-
	outlook/America/Guatemala.ics, web/tzurl/zoneinfo-
	outlook/America/Guayaquil.ics, web/tzurl/zoneinfo-
	outlook/America/Guyana.ics, web/tzurl/zoneinfo-
	outlook/America/Halifax.ics, web/tzurl/zoneinfo-
	outlook/America/Havana.ics, web/tzurl/zoneinfo-
	outlook/America/Hermosillo.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Indianapolis.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Knox.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Marengo.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Petersburg.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Tell_City.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Vevay.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Vincennes.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Winamac.ics, web/tzurl/zoneinfo-
	outlook/America/Inuvik.ics, web/tzurl/zoneinfo-
	outlook/America/Iqaluit.ics, web/tzurl/zoneinfo-
	outlook/America/Juneau.ics, web/tzurl/zoneinfo-
	outlook/America/Kentucky/Louisville.ics, web/tzurl/zoneinfo-
	outlook/America/Kentucky/Monticello.ics, web/tzurl/zoneinfo-
	outlook/America/Kralendijk.ics, web/tzurl/zoneinfo-
	outlook/America/La_Paz.ics, web/tzurl/zoneinfo-
	outlook/America/Lima.ics, web/tzurl/zoneinfo-
	outlook/America/Los_Angeles.ics, web/tzurl/zoneinfo-
	outlook/America/Lower_Princes.ics, web/tzurl/zoneinfo-
	outlook/America/Maceio.ics, web/tzurl/zoneinfo-
	outlook/America/Managua.ics, web/tzurl/zoneinfo-
	outlook/America/Manaus.ics, web/tzurl/zoneinfo-
	outlook/America/Marigot.ics, web/tzurl/zoneinfo-
	outlook/America/Martinique.ics, web/tzurl/zoneinfo-
	outlook/America/Matamoros.ics, web/tzurl/zoneinfo-
	outlook/America/Mazatlan.ics, web/tzurl/zoneinfo-
	outlook/America/Menominee.ics, web/tzurl/zoneinfo-
	outlook/America/Merida.ics, web/tzurl/zoneinfo-
	outlook/America/Metlakatla.ics, web/tzurl/zoneinfo-
	outlook/America/Mexico_City.ics, web/tzurl/zoneinfo-
	outlook/America/Miquelon.ics, web/tzurl/zoneinfo-
	outlook/America/Moncton.ics, web/tzurl/zoneinfo-
	outlook/America/Monterrey.ics, web/tzurl/zoneinfo-
	outlook/America/Montevideo.ics, web/tzurl/zoneinfo-
	outlook/America/Montserrat.ics, web/tzurl/zoneinfo-
	outlook/America/Nassau.ics, web/tzurl/zoneinfo-
	outlook/America/New_York.ics, web/tzurl/zoneinfo-
	outlook/America/Nipigon.ics, web/tzurl/zoneinfo-
	outlook/America/Nome.ics, web/tzurl/zoneinfo-
	outlook/America/Noronha.ics, web/tzurl/zoneinfo-
	outlook/America/Ojinaga.ics, web/tzurl/zoneinfo-
	outlook/America/Panama.ics, web/tzurl/zoneinfo-
	outlook/America/Pangnirtung.ics, web/tzurl/zoneinfo-
	outlook/America/Paramaribo.ics, web/tzurl/zoneinfo-
	outlook/America/Phoenix.ics, web/tzurl/zoneinfo-outlook/America
	/Port-au-Prince.ics, web/tzurl/zoneinfo-
	outlook/America/Port_of_Spain.ics, web/tzurl/zoneinfo-
	outlook/America/Porto_Velho.ics, web/tzurl/zoneinfo-
	outlook/America/Puerto_Rico.ics, web/tzurl/zoneinfo-
	outlook/America/Punta_Arenas.ics, web/tzurl/zoneinfo-
	outlook/America/Rainy_River.ics, web/tzurl/zoneinfo-
	outlook/America/Rankin_Inlet.ics, web/tzurl/zoneinfo-
	outlook/America/Recife.ics, web/tzurl/zoneinfo-
	outlook/America/Regina.ics, web/tzurl/zoneinfo-
	outlook/America/Resolute.ics, web/tzurl/zoneinfo-
	outlook/America/Rio_Branco.ics, web/tzurl/zoneinfo-
	outlook/America/Santa_Isabel.ics, web/tzurl/zoneinfo-
	outlook/America/Santarem.ics, web/tzurl/zoneinfo-
	outlook/America/Santiago.ics, web/tzurl/zoneinfo-
	outlook/America/Santo_Domingo.ics, web/tzurl/zoneinfo-
	outlook/America/Sao_Paulo.ics, web/tzurl/zoneinfo-
	outlook/America/Scoresbysund.ics, web/tzurl/zoneinfo-
	outlook/America/Sitka.ics, web/tzurl/zoneinfo-
	outlook/America/St_Barthelemy.ics, web/tzurl/zoneinfo-
	outlook/America/St_Johns.ics, web/tzurl/zoneinfo-
	outlook/America/St_Kitts.ics, web/tzurl/zoneinfo-
	outlook/America/St_Lucia.ics, web/tzurl/zoneinfo-
	outlook/America/St_Thomas.ics, web/tzurl/zoneinfo-
	outlook/America/St_Vincent.ics, web/tzurl/zoneinfo-
	outlook/America/Swift_Current.ics, web/tzurl/zoneinfo-
	outlook/America/Tegucigalpa.ics, web/tzurl/zoneinfo-
	outlook/America/Thule.ics, web/tzurl/zoneinfo-
	outlook/America/Thunder_Bay.ics, web/tzurl/zoneinfo-
	outlook/America/Tijuana.ics, web/tzurl/zoneinfo-
	outlook/America/Toronto.ics, web/tzurl/zoneinfo-
	outlook/America/Tortola.ics, web/tzurl/zoneinfo-
	outlook/America/Vancouver.ics, web/tzurl/zoneinfo-
	outlook/America/Whitehorse.ics, web/tzurl/zoneinfo-
	outlook/America/Winnipeg.ics, web/tzurl/zoneinfo-
	outlook/America/Yakutat.ics, web/tzurl/zoneinfo-
	outlook/America/Yellowknife.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/Casey.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/Davis.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/DumontDUrville.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/Macquarie.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/Mawson.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/McMurdo.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/Palmer.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/Rothera.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/Syowa.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/Troll.ics, web/tzurl/zoneinfo-
	outlook/Antarctica/Vostok.ics, web/tzurl/zoneinfo-
	outlook/Arctic/Longyearbyen.ics, web/tzurl/zoneinfo-
	outlook/Asia/Aden.ics, web/tzurl/zoneinfo-outlook/Asia/Almaty.ics,
	web/tzurl/zoneinfo-outlook/Asia/Amman.ics, web/tzurl/zoneinfo-
	outlook/Asia/Anadyr.ics, web/tzurl/zoneinfo-outlook/Asia/Aqtau.ics,
	web/tzurl/zoneinfo-outlook/Asia/Aqtobe.ics, web/tzurl/zoneinfo-
	outlook/Asia/Ashgabat.ics, web/tzurl/zoneinfo-
	outlook/Asia/Atyrau.ics, web/tzurl/zoneinfo-
	outlook/Asia/Baghdad.ics, web/tzurl/zoneinfo-
	outlook/Asia/Bahrain.ics, web/tzurl/zoneinfo-outlook/Asia/Baku.ics,
	web/tzurl/zoneinfo-outlook/Asia/Bangkok.ics, web/tzurl/zoneinfo-
	outlook/Asia/Barnaul.ics, web/tzurl/zoneinfo-
	outlook/Asia/Beirut.ics, web/tzurl/zoneinfo-
	outlook/Asia/Bishkek.ics, web/tzurl/zoneinfo-
	outlook/Asia/Brunei.ics, web/tzurl/zoneinfo-outlook/Asia/Chita.ics,
	web/tzurl/zoneinfo-outlook/Asia/Choibalsan.ics, web/tzurl/zoneinfo-
	outlook/Asia/Colombo.ics, web/tzurl/zoneinfo-
	outlook/Asia/Damascus.ics, web/tzurl/zoneinfo-
	outlook/Asia/Dhaka.ics, web/tzurl/zoneinfo-outlook/Asia/Dili.ics,
	web/tzurl/zoneinfo-outlook/Asia/Dubai.ics, web/tzurl/zoneinfo-
	outlook/Asia/Dushanbe.ics, web/tzurl/zoneinfo-
	outlook/Asia/Famagusta.ics, web/tzurl/zoneinfo-
	outlook/Asia/Gaza.ics, web/tzurl/zoneinfo-outlook/Asia/Hebron.ics,
	web/tzurl/zoneinfo-outlook/Asia/Ho_Chi_Minh.ics, web/tzurl/zoneinfo-
	outlook/Asia/Hong_Kong.ics, web/tzurl/zoneinfo-
	outlook/Asia/Hovd.ics, web/tzurl/zoneinfo-outlook/Asia/Irkutsk.ics,
	web/tzurl/zoneinfo-outlook/Asia/Istanbul.ics, web/tzurl/zoneinfo-
	outlook/Asia/Jakarta.ics, web/tzurl/zoneinfo-
	outlook/Asia/Jayapura.ics, web/tzurl/zoneinfo-
	outlook/Asia/Jerusalem.ics, web/tzurl/zoneinfo-
	outlook/Asia/Kabul.ics, web/tzurl/zoneinfo-
	outlook/Asia/Kamchatka.ics, web/tzurl/zoneinfo-
	outlook/Asia/Karachi.ics, web/tzurl/zoneinfo-
	outlook/Asia/Kashgar.ics, web/tzurl/zoneinfo-
	outlook/Asia/Kathmandu.ics, web/tzurl/zoneinfo-
	outlook/Asia/Khandyga.ics, web/tzurl/zoneinfo-
	outlook/Asia/Kolkata.ics, web/tzurl/zoneinfo-
	outlook/Asia/Krasnoyarsk.ics, web/tzurl/zoneinfo-
	outlook/Asia/Kuala_Lumpur.ics, web/tzurl/zoneinfo-
	outlook/Asia/Kuching.ics, web/tzurl/zoneinfo-
	outlook/Asia/Kuwait.ics, web/tzurl/zoneinfo-outlook/Asia/Macau.ics,
	web/tzurl/zoneinfo-outlook/Asia/Magadan.ics, web/tzurl/zoneinfo-
	outlook/Asia/Makassar.ics, web/tzurl/zoneinfo-
	outlook/Asia/Manila.ics, web/tzurl/zoneinfo-outlook/Asia/Muscat.ics,
	web/tzurl/zoneinfo-outlook/Asia/Nicosia.ics, web/tzurl/zoneinfo-
	outlook/Asia/Novokuznetsk.ics, web/tzurl/zoneinfo-
	outlook/Asia/Novosibirsk.ics, web/tzurl/zoneinfo-
	outlook/Asia/Omsk.ics, web/tzurl/zoneinfo-outlook/Asia/Oral.ics,
	web/tzurl/zoneinfo-outlook/Asia/Phnom_Penh.ics, web/tzurl/zoneinfo-
	outlook/Asia/Pontianak.ics, web/tzurl/zoneinfo-
	outlook/Asia/Pyongyang.ics, web/tzurl/zoneinfo-
	outlook/Asia/Qatar.ics, web/tzurl/zoneinfo-
	outlook/Asia/Qyzylorda.ics, web/tzurl/zoneinfo-
	outlook/Asia/Rangoon.ics, web/tzurl/zoneinfo-
	outlook/Asia/Riyadh.ics, web/tzurl/zoneinfo-
	outlook/Asia/Sakhalin.ics, web/tzurl/zoneinfo-
	outlook/Asia/Samarkand.ics, web/tzurl/zoneinfo-
	outlook/Asia/Seoul.ics, web/tzurl/zoneinfo-
	outlook/Asia/Shanghai.ics, web/tzurl/zoneinfo-
	outlook/Asia/Singapore.ics, web/tzurl/zoneinfo-
	outlook/Asia/Srednekolymsk.ics, web/tzurl/zoneinfo-
	outlook/Asia/Taipei.ics, web/tzurl/zoneinfo-
	outlook/Asia/Tashkent.ics, web/tzurl/zoneinfo-
	outlook/Asia/Tbilisi.ics, web/tzurl/zoneinfo-
	outlook/Asia/Tehran.ics, web/tzurl/zoneinfo-
	outlook/Asia/Thimphu.ics, web/tzurl/zoneinfo-outlook/Asia/Tokyo.ics,
	web/tzurl/zoneinfo-outlook/Asia/Tomsk.ics, web/tzurl/zoneinfo-
	outlook/Asia/Ulaanbaatar.ics, web/tzurl/zoneinfo-
	outlook/Asia/Urumqi.ics, web/tzurl/zoneinfo-outlook/Asia/Ust-
	Nera.ics, web/tzurl/zoneinfo-outlook/Asia/Vientiane.ics, web/tzurl
	/zoneinfo-outlook/Asia/Vladivostok.ics, web/tzurl/zoneinfo-
	outlook/Asia/Yakutsk.ics, web/tzurl/zoneinfo-
	outlook/Asia/Yangon.ics, web/tzurl/zoneinfo-
	outlook/Asia/Yekaterinburg.ics, web/tzurl/zoneinfo-
	outlook/Asia/Yerevan.ics, web/tzurl/zoneinfo-
	outlook/Atlantic/Azores.ics, web/tzurl/zoneinfo-
	outlook/Atlantic/Bermuda.ics, web/tzurl/zoneinfo-
	outlook/Atlantic/Canary.ics, web/tzurl/zoneinfo-
	outlook/Atlantic/Cape_Verde.ics, web/tzurl/zoneinfo-
	outlook/Atlantic/Faroe.ics, web/tzurl/zoneinfo-
	outlook/Atlantic/Madeira.ics, web/tzurl/zoneinfo-
	outlook/Atlantic/Reykjavik.ics, web/tzurl/zoneinfo-
	outlook/Atlantic/South_Georgia.ics, web/tzurl/zoneinfo-
	outlook/Atlantic/St_Helena.ics, web/tzurl/zoneinfo-
	outlook/Atlantic/Stanley.ics, web/tzurl/zoneinfo-
	outlook/Australia/Adelaide.ics, web/tzurl/zoneinfo-
	outlook/Australia/Currie.ics, web/tzurl/zoneinfo-
	outlook/Australia/Darwin.ics, web/tzurl/zoneinfo-
	outlook/Australia/Eucla.ics, web/tzurl/zoneinfo-
	outlook/Australia/Hobart.ics, web/tzurl/zoneinfo-
	outlook/Australia/Lindeman.ics, web/tzurl/zoneinfo-
	outlook/Australia/Lord_Howe.ics, web/tzurl/zoneinfo-
	outlook/Australia/Melbourne.ics, web/tzurl/zoneinfo-
	outlook/Australia/Perth.ics, web/tzurl/zoneinfo-
	outlook/Australia/Sydney.ics, web/tzurl/zoneinfo-
	outlook/Europe/Amsterdam.ics, web/tzurl/zoneinfo-
	outlook/Europe/Andorra.ics, web/tzurl/zoneinfo-
	outlook/Europe/Astrakhan.ics, web/tzurl/zoneinfo-
	outlook/Europe/Athens.ics, web/tzurl/zoneinfo-
	outlook/Europe/Belgrade.ics, web/tzurl/zoneinfo-
	outlook/Europe/Berlin.ics, web/tzurl/zoneinfo-
	outlook/Europe/Bratislava.ics, web/tzurl/zoneinfo-
	outlook/Europe/Brussels.ics, web/tzurl/zoneinfo-
	outlook/Europe/Bucharest.ics, web/tzurl/zoneinfo-
	outlook/Europe/Budapest.ics, web/tzurl/zoneinfo-
	outlook/Europe/Busingen.ics, web/tzurl/zoneinfo-
	outlook/Europe/Chisinau.ics, web/tzurl/zoneinfo-
	outlook/Europe/Copenhagen.ics, web/tzurl/zoneinfo-
	outlook/Europe/Dublin.ics, web/tzurl/zoneinfo-
	outlook/Europe/Gibraltar.ics, web/tzurl/zoneinfo-
	outlook/Europe/Guernsey.ics, web/tzurl/zoneinfo-
	outlook/Europe/Helsinki.ics, web/tzurl/zoneinfo-
	outlook/Europe/Isle_of_Man.ics, web/tzurl/zoneinfo-
	outlook/Europe/Istanbul.ics, web/tzurl/zoneinfo-
	outlook/Europe/Jersey.ics, web/tzurl/zoneinfo-
	outlook/Europe/Kaliningrad.ics, web/tzurl/zoneinfo-
	outlook/Europe/Kiev.ics, web/tzurl/zoneinfo-
	outlook/Europe/Kirov.ics, web/tzurl/zoneinfo-
	outlook/Europe/Lisbon.ics, web/tzurl/zoneinfo-
	outlook/Europe/Ljubljana.ics, web/tzurl/zoneinfo-
	outlook/Europe/London.ics, web/tzurl/zoneinfo-
	outlook/Europe/Luxembourg.ics, web/tzurl/zoneinfo-
	outlook/Europe/Madrid.ics, web/tzurl/zoneinfo-
	outlook/Europe/Malta.ics, web/tzurl/zoneinfo-
	outlook/Europe/Mariehamn.ics, web/tzurl/zoneinfo-
	outlook/Europe/Minsk.ics, web/tzurl/zoneinfo-
	outlook/Europe/Monaco.ics, web/tzurl/zoneinfo-
	outlook/Europe/Moscow.ics, web/tzurl/zoneinfo-
	outlook/Europe/Nicosia.ics, web/tzurl/zoneinfo-
	outlook/Europe/Oslo.ics, web/tzurl/zoneinfo-
	outlook/Europe/Paris.ics, web/tzurl/zoneinfo-
	outlook/Europe/Podgorica.ics, web/tzurl/zoneinfo-
	outlook/Europe/Prague.ics, web/tzurl/zoneinfo-
	outlook/Europe/Riga.ics, web/tzurl/zoneinfo-outlook/Europe/Rome.ics,
	web/tzurl/zoneinfo-outlook/Europe/Samara.ics, web/tzurl/zoneinfo-
	outlook/Europe/San_Marino.ics, web/tzurl/zoneinfo-
	outlook/Europe/Sarajevo.ics, web/tzurl/zoneinfo-
	outlook/Europe/Saratov.ics, web/tzurl/zoneinfo-
	outlook/Europe/Simferopol.ics, web/tzurl/zoneinfo-
	outlook/Europe/Skopje.ics, web/tzurl/zoneinfo-
	outlook/Europe/Sofia.ics, web/tzurl/zoneinfo-
	outlook/Europe/Stockholm.ics, web/tzurl/zoneinfo-
	outlook/Europe/Tallinn.ics, web/tzurl/zoneinfo-
	outlook/Europe/Ulyanovsk.ics, web/tzurl/zoneinfo-
	outlook/Europe/Uzhgorod.ics, web/tzurl/zoneinfo-
	outlook/Europe/Vaduz.ics, web/tzurl/zoneinfo-
	outlook/Europe/Vatican.ics, web/tzurl/zoneinfo-
	outlook/Europe/Vienna.ics, web/tzurl/zoneinfo-
	outlook/Europe/Vilnius.ics, web/tzurl/zoneinfo-
	outlook/Europe/Volgograd.ics, web/tzurl/zoneinfo-
	outlook/Europe/Warsaw.ics, web/tzurl/zoneinfo-
	outlook/Europe/Zagreb.ics, web/tzurl/zoneinfo-
	outlook/Europe/Zaporozhye.ics, web/tzurl/zoneinfo-
	outlook/Europe/Zurich.ics, web/tzurl/zoneinfo-
	outlook/Indian/Antananarivo.ics, web/tzurl/zoneinfo-
	outlook/Indian/Chagos.ics, web/tzurl/zoneinfo-
	outlook/Indian/Christmas.ics, web/tzurl/zoneinfo-
	outlook/Indian/Cocos.ics, web/tzurl/zoneinfo-
	outlook/Indian/Comoro.ics, web/tzurl/zoneinfo-
	outlook/Indian/Kerguelen.ics, web/tzurl/zoneinfo-
	outlook/Indian/Mahe.ics, web/tzurl/zoneinfo-
	outlook/Indian/Maldives.ics, web/tzurl/zoneinfo-
	outlook/Indian/Mauritius.ics, web/tzurl/zoneinfo-
	outlook/Indian/Mayotte.ics, web/tzurl/zoneinfo-
	outlook/Indian/Reunion.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Apia.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Auckland.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Bougainville.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Chatham.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Chuuk.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Easter.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Efate.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Enderbury.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Fakaofo.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Fiji.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Funafuti.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Galapagos.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Gambier.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Guadalcanal.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Guam.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Honolulu.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Johnston.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Kiritimati.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Kosrae.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Kwajalein.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Majuro.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Marquesas.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Midway.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Nauru.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Niue.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Norfolk.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Noumea.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Pago_Pago.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Palau.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Pitcairn.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Pohnpei.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Port_Moresby.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Rarotonga.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Saipan.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Tahiti.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Tarawa.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Tongatapu.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Wake.ics, web/tzurl/zoneinfo-
	outlook/Pacific/Wallis.ics, web/tzurl/zoneinfo/Africa/Abidjan.ics,
	web/tzurl/zoneinfo/Africa/Accra.ics,
	web/tzurl/zoneinfo/Africa/Addis_Ababa.ics,
	web/tzurl/zoneinfo/Africa/Algiers.ics,
	web/tzurl/zoneinfo/Africa/Asmara.ics,
	web/tzurl/zoneinfo/Africa/Bamako.ics,
	web/tzurl/zoneinfo/Africa/Bangui.ics,
	web/tzurl/zoneinfo/Africa/Banjul.ics,
	web/tzurl/zoneinfo/Africa/Bissau.ics,
	web/tzurl/zoneinfo/Africa/Blantyre.ics,
	web/tzurl/zoneinfo/Africa/Brazzaville.ics,
	web/tzurl/zoneinfo/Africa/Bujumbura.ics,
	web/tzurl/zoneinfo/Africa/Cairo.ics,
	web/tzurl/zoneinfo/Africa/Casablanca.ics,
	web/tzurl/zoneinfo/Africa/Ceuta.ics,
	web/tzurl/zoneinfo/Africa/Conakry.ics,
	web/tzurl/zoneinfo/Africa/Dakar.ics,
	web/tzurl/zoneinfo/Africa/Dar_es_Salaam.ics,
	web/tzurl/zoneinfo/Africa/Djibouti.ics,
	web/tzurl/zoneinfo/Africa/Douala.ics,
	web/tzurl/zoneinfo/Africa/El_Aaiun.ics,
	web/tzurl/zoneinfo/Africa/Freetown.ics,
	web/tzurl/zoneinfo/Africa/Gaborone.ics,
	web/tzurl/zoneinfo/Africa/Harare.ics,
	web/tzurl/zoneinfo/Africa/Johannesburg.ics,
	web/tzurl/zoneinfo/Africa/Juba.ics,
	web/tzurl/zoneinfo/Africa/Kampala.ics,
	web/tzurl/zoneinfo/Africa/Khartoum.ics,
	web/tzurl/zoneinfo/Africa/Kigali.ics,
	web/tzurl/zoneinfo/Africa/Kinshasa.ics,
	web/tzurl/zoneinfo/Africa/Lagos.ics,
	web/tzurl/zoneinfo/Africa/Libreville.ics,
	web/tzurl/zoneinfo/Africa/Lome.ics,
	web/tzurl/zoneinfo/Africa/Luanda.ics,
	web/tzurl/zoneinfo/Africa/Lubumbashi.ics,
	web/tzurl/zoneinfo/Africa/Lusaka.ics,
	web/tzurl/zoneinfo/Africa/Malabo.ics,
	web/tzurl/zoneinfo/Africa/Maputo.ics,
	web/tzurl/zoneinfo/Africa/Maseru.ics,
	web/tzurl/zoneinfo/Africa/Mbabane.ics,
	web/tzurl/zoneinfo/Africa/Mogadishu.ics,
	web/tzurl/zoneinfo/Africa/Monrovia.ics,
	web/tzurl/zoneinfo/Africa/Nairobi.ics,
	web/tzurl/zoneinfo/Africa/Ndjamena.ics,
	web/tzurl/zoneinfo/Africa/Niamey.ics,
	web/tzurl/zoneinfo/Africa/Nouakchott.ics,
	web/tzurl/zoneinfo/Africa/Ouagadougou.ics, web/tzurl/zoneinfo/Africa
	/Porto-Novo.ics, web/tzurl/zoneinfo/Africa/Sao_Tome.ics,
	web/tzurl/zoneinfo/Africa/Tripoli.ics,
	web/tzurl/zoneinfo/Africa/Tunis.ics,
	web/tzurl/zoneinfo/Africa/Windhoek.ics,
	web/tzurl/zoneinfo/America/Adak.ics,
	web/tzurl/zoneinfo/America/Anchorage.ics,
	web/tzurl/zoneinfo/America/Anguilla.ics,
	web/tzurl/zoneinfo/America/Antigua.ics,
	web/tzurl/zoneinfo/America/Araguaina.ics,
	web/tzurl/zoneinfo/America/Argentina/Buenos_Aires.ics,
	web/tzurl/zoneinfo/America/Argentina/Catamarca.ics,
	web/tzurl/zoneinfo/America/Argentina/Cordoba.ics,
	web/tzurl/zoneinfo/America/Argentina/Jujuy.ics,
	web/tzurl/zoneinfo/America/Argentina/La_Rioja.ics,
	web/tzurl/zoneinfo/America/Argentina/Mendoza.ics,
	web/tzurl/zoneinfo/America/Argentina/Rio_Gallegos.ics,
	web/tzurl/zoneinfo/America/Argentina/Salta.ics,
	web/tzurl/zoneinfo/America/Argentina/San_Juan.ics,
	web/tzurl/zoneinfo/America/Argentina/San_Luis.ics,
	web/tzurl/zoneinfo/America/Argentina/Tucuman.ics,
	web/tzurl/zoneinfo/America/Argentina/Ushuaia.ics,
	web/tzurl/zoneinfo/America/Aruba.ics,
	web/tzurl/zoneinfo/America/Asuncion.ics,
	web/tzurl/zoneinfo/America/Atikokan.ics,
	web/tzurl/zoneinfo/America/Bahia.ics,
	web/tzurl/zoneinfo/America/Bahia_Banderas.ics,
	web/tzurl/zoneinfo/America/Barbados.ics,
	web/tzurl/zoneinfo/America/Belem.ics,
	web/tzurl/zoneinfo/America/Belize.ics, web/tzurl/zoneinfo/America
	/Blanc-Sablon.ics, web/tzurl/zoneinfo/America/Boa_Vista.ics,
	web/tzurl/zoneinfo/America/Bogota.ics,
	web/tzurl/zoneinfo/America/Boise.ics,
	web/tzurl/zoneinfo/America/Cambridge_Bay.ics,
	web/tzurl/zoneinfo/America/Campo_Grande.ics,
	web/tzurl/zoneinfo/America/Cancun.ics,
	web/tzurl/zoneinfo/America/Caracas.ics,
	web/tzurl/zoneinfo/America/Cayenne.ics,
	web/tzurl/zoneinfo/America/Cayman.ics,
	web/tzurl/zoneinfo/America/Chicago.ics,
	web/tzurl/zoneinfo/America/Chihuahua.ics,
	web/tzurl/zoneinfo/America/Costa_Rica.ics,
	web/tzurl/zoneinfo/America/Creston.ics,
	web/tzurl/zoneinfo/America/Cuiaba.ics,
	web/tzurl/zoneinfo/America/Curacao.ics,
	web/tzurl/zoneinfo/America/Danmarkshavn.ics,
	web/tzurl/zoneinfo/America/Dawson.ics,
	web/tzurl/zoneinfo/America/Dawson_Creek.ics,
	web/tzurl/zoneinfo/America/Denver.ics,
	web/tzurl/zoneinfo/America/Detroit.ics,
	web/tzurl/zoneinfo/America/Dominica.ics,
	web/tzurl/zoneinfo/America/Edmonton.ics,
	web/tzurl/zoneinfo/America/Eirunepe.ics,
	web/tzurl/zoneinfo/America/El_Salvador.ics,
	web/tzurl/zoneinfo/America/Fort_Nelson.ics,
	web/tzurl/zoneinfo/America/Fortaleza.ics,
	web/tzurl/zoneinfo/America/Glace_Bay.ics,
	web/tzurl/zoneinfo/America/Godthab.ics,
	web/tzurl/zoneinfo/America/Goose_Bay.ics,
	web/tzurl/zoneinfo/America/Grand_Turk.ics,
	web/tzurl/zoneinfo/America/Grenada.ics,
	web/tzurl/zoneinfo/America/Guadeloupe.ics,
	web/tzurl/zoneinfo/America/Guatemala.ics,
	web/tzurl/zoneinfo/America/Guayaquil.ics,
	web/tzurl/zoneinfo/America/Guyana.ics,
	web/tzurl/zoneinfo/America/Halifax.ics,
	web/tzurl/zoneinfo/America/Havana.ics,
	web/tzurl/zoneinfo/America/Hermosillo.ics,
	web/tzurl/zoneinfo/America/Indiana/Indianapolis.ics,
	web/tzurl/zoneinfo/America/Indiana/Knox.ics,
	web/tzurl/zoneinfo/America/Indiana/Marengo.ics,
	web/tzurl/zoneinfo/America/Indiana/Petersburg.ics,
	web/tzurl/zoneinfo/America/Indiana/Tell_City.ics,
	web/tzurl/zoneinfo/America/Indiana/Vevay.ics,
	web/tzurl/zoneinfo/America/Indiana/Vincennes.ics,
	web/tzurl/zoneinfo/America/Indiana/Winamac.ics,
	web/tzurl/zoneinfo/America/Inuvik.ics,
	web/tzurl/zoneinfo/America/Iqaluit.ics,
	web/tzurl/zoneinfo/America/Juneau.ics,
	web/tzurl/zoneinfo/America/Kentucky/Louisville.ics,
	web/tzurl/zoneinfo/America/Kentucky/Monticello.ics,
	web/tzurl/zoneinfo/America/Kralendijk.ics,
	web/tzurl/zoneinfo/America/La_Paz.ics,
	web/tzurl/zoneinfo/America/Lima.ics,
	web/tzurl/zoneinfo/America/Los_Angeles.ics,
	web/tzurl/zoneinfo/America/Lower_Princes.ics,
	web/tzurl/zoneinfo/America/Maceio.ics,
	web/tzurl/zoneinfo/America/Managua.ics,
	web/tzurl/zoneinfo/America/Manaus.ics,
	web/tzurl/zoneinfo/America/Marigot.ics,
	web/tzurl/zoneinfo/America/Martinique.ics,
	web/tzurl/zoneinfo/America/Matamoros.ics,
	web/tzurl/zoneinfo/America/Mazatlan.ics,
	web/tzurl/zoneinfo/America/Menominee.ics,
	web/tzurl/zoneinfo/America/Merida.ics,
	web/tzurl/zoneinfo/America/Metlakatla.ics,
	web/tzurl/zoneinfo/America/Mexico_City.ics,
	web/tzurl/zoneinfo/America/Miquelon.ics,
	web/tzurl/zoneinfo/America/Moncton.ics,
	web/tzurl/zoneinfo/America/Monterrey.ics,
	web/tzurl/zoneinfo/America/Montevideo.ics,
	web/tzurl/zoneinfo/America/Montserrat.ics,
	web/tzurl/zoneinfo/America/Nassau.ics,
	web/tzurl/zoneinfo/America/New_York.ics,
	web/tzurl/zoneinfo/America/Nipigon.ics,
	web/tzurl/zoneinfo/America/Nome.ics,
	web/tzurl/zoneinfo/America/Noronha.ics,
	web/tzurl/zoneinfo/America/North_Dakota/Beulah.ics,
	web/tzurl/zoneinfo/America/North_Dakota/Center.ics,
	web/tzurl/zoneinfo/America/North_Dakota/New_Salem.ics,
	web/tzurl/zoneinfo/America/Ojinaga.ics,
	web/tzurl/zoneinfo/America/Panama.ics,
	web/tzurl/zoneinfo/America/Pangnirtung.ics,
	web/tzurl/zoneinfo/America/Paramaribo.ics,
	web/tzurl/zoneinfo/America/Phoenix.ics, web/tzurl/zoneinfo/America
	/Port-au-Prince.ics, web/tzurl/zoneinfo/America/Port_of_Spain.ics,
	web/tzurl/zoneinfo/America/Porto_Velho.ics,
	web/tzurl/zoneinfo/America/Puerto_Rico.ics,
	web/tzurl/zoneinfo/America/Punta_Arenas.ics,
	web/tzurl/zoneinfo/America/Rainy_River.ics,
	web/tzurl/zoneinfo/America/Rankin_Inlet.ics,
	web/tzurl/zoneinfo/America/Recife.ics,
	web/tzurl/zoneinfo/America/Regina.ics,
	web/tzurl/zoneinfo/America/Resolute.ics,
	web/tzurl/zoneinfo/America/Rio_Branco.ics,
	web/tzurl/zoneinfo/America/Santa_Isabel.ics,
	web/tzurl/zoneinfo/America/Santarem.ics,
	web/tzurl/zoneinfo/America/Santiago.ics,
	web/tzurl/zoneinfo/America/Santo_Domingo.ics,
	web/tzurl/zoneinfo/America/Sao_Paulo.ics,
	web/tzurl/zoneinfo/America/Scoresbysund.ics,
	web/tzurl/zoneinfo/America/Sitka.ics,
	web/tzurl/zoneinfo/America/St_Barthelemy.ics,
	web/tzurl/zoneinfo/America/St_Johns.ics,
	web/tzurl/zoneinfo/America/St_Kitts.ics,
	web/tzurl/zoneinfo/America/St_Lucia.ics,
	web/tzurl/zoneinfo/America/St_Thomas.ics,
	web/tzurl/zoneinfo/America/St_Vincent.ics,
	web/tzurl/zoneinfo/America/Swift_Current.ics,
	web/tzurl/zoneinfo/America/Tegucigalpa.ics,
	web/tzurl/zoneinfo/America/Thule.ics,
	web/tzurl/zoneinfo/America/Thunder_Bay.ics,
	web/tzurl/zoneinfo/America/Tijuana.ics,
	web/tzurl/zoneinfo/America/Toronto.ics,
	web/tzurl/zoneinfo/America/Tortola.ics,
	web/tzurl/zoneinfo/America/Vancouver.ics,
	web/tzurl/zoneinfo/America/Whitehorse.ics,
	web/tzurl/zoneinfo/America/Winnipeg.ics,
	web/tzurl/zoneinfo/America/Yakutat.ics,
	web/tzurl/zoneinfo/America/Yellowknife.ics,
	web/tzurl/zoneinfo/Antarctica/Casey.ics,
	web/tzurl/zoneinfo/Antarctica/Davis.ics,
	web/tzurl/zoneinfo/Antarctica/DumontDUrville.ics,
	web/tzurl/zoneinfo/Antarctica/Macquarie.ics,
	web/tzurl/zoneinfo/Antarctica/Mawson.ics,
	web/tzurl/zoneinfo/Antarctica/McMurdo.ics,
	web/tzurl/zoneinfo/Antarctica/Palmer.ics,
	web/tzurl/zoneinfo/Antarctica/Rothera.ics,
	web/tzurl/zoneinfo/Antarctica/Syowa.ics,
	web/tzurl/zoneinfo/Antarctica/Troll.ics,
	web/tzurl/zoneinfo/Antarctica/Vostok.ics,
	web/tzurl/zoneinfo/Arctic/Longyearbyen.ics,
	web/tzurl/zoneinfo/Asia/Aden.ics,
	web/tzurl/zoneinfo/Asia/Almaty.ics,
	web/tzurl/zoneinfo/Asia/Amman.ics,
	web/tzurl/zoneinfo/Asia/Anadyr.ics,
	web/tzurl/zoneinfo/Asia/Aqtau.ics,
	web/tzurl/zoneinfo/Asia/Aqtobe.ics,
	web/tzurl/zoneinfo/Asia/Ashgabat.ics,
	web/tzurl/zoneinfo/Asia/Atyrau.ics,
	web/tzurl/zoneinfo/Asia/Baghdad.ics,
	web/tzurl/zoneinfo/Asia/Bahrain.ics,
	web/tzurl/zoneinfo/Asia/Baku.ics,
	web/tzurl/zoneinfo/Asia/Bangkok.ics,
	web/tzurl/zoneinfo/Asia/Barnaul.ics,
	web/tzurl/zoneinfo/Asia/Beirut.ics,
	web/tzurl/zoneinfo/Asia/Bishkek.ics,
	web/tzurl/zoneinfo/Asia/Brunei.ics,
	web/tzurl/zoneinfo/Asia/Chita.ics,
	web/tzurl/zoneinfo/Asia/Choibalsan.ics,
	web/tzurl/zoneinfo/Asia/Colombo.ics,
	web/tzurl/zoneinfo/Asia/Damascus.ics,
	web/tzurl/zoneinfo/Asia/Dhaka.ics, web/tzurl/zoneinfo/Asia/Dili.ics,
	web/tzurl/zoneinfo/Asia/Dubai.ics,
	web/tzurl/zoneinfo/Asia/Dushanbe.ics,
	web/tzurl/zoneinfo/Asia/Famagusta.ics,
	web/tzurl/zoneinfo/Asia/Gaza.ics,
	web/tzurl/zoneinfo/Asia/Hebron.ics,
	web/tzurl/zoneinfo/Asia/Ho_Chi_Minh.ics,
	web/tzurl/zoneinfo/Asia/Hong_Kong.ics,
	web/tzurl/zoneinfo/Asia/Hovd.ics,
	web/tzurl/zoneinfo/Asia/Irkutsk.ics,
	web/tzurl/zoneinfo/Asia/Istanbul.ics,
	web/tzurl/zoneinfo/Asia/Jakarta.ics,
	web/tzurl/zoneinfo/Asia/Jayapura.ics,
	web/tzurl/zoneinfo/Asia/Jerusalem.ics,
	web/tzurl/zoneinfo/Asia/Kabul.ics,
	web/tzurl/zoneinfo/Asia/Kamchatka.ics,
	web/tzurl/zoneinfo/Asia/Karachi.ics,
	web/tzurl/zoneinfo/Asia/Kashgar.ics,
	web/tzurl/zoneinfo/Asia/Kathmandu.ics,
	web/tzurl/zoneinfo/Asia/Khandyga.ics,
	web/tzurl/zoneinfo/Asia/Kolkata.ics,
	web/tzurl/zoneinfo/Asia/Krasnoyarsk.ics,
	web/tzurl/zoneinfo/Asia/Kuala_Lumpur.ics,
	web/tzurl/zoneinfo/Asia/Kuching.ics,
	web/tzurl/zoneinfo/Asia/Kuwait.ics,
	web/tzurl/zoneinfo/Asia/Macau.ics,
	web/tzurl/zoneinfo/Asia/Magadan.ics,
	web/tzurl/zoneinfo/Asia/Makassar.ics,
	web/tzurl/zoneinfo/Asia/Manila.ics,
	web/tzurl/zoneinfo/Asia/Muscat.ics,
	web/tzurl/zoneinfo/Asia/Nicosia.ics,
	web/tzurl/zoneinfo/Asia/Novokuznetsk.ics,
	web/tzurl/zoneinfo/Asia/Novosibirsk.ics,
	web/tzurl/zoneinfo/Asia/Omsk.ics, web/tzurl/zoneinfo/Asia/Oral.ics,
	web/tzurl/zoneinfo/Asia/Phnom_Penh.ics,
	web/tzurl/zoneinfo/Asia/Pontianak.ics,
	web/tzurl/zoneinfo/Asia/Pyongyang.ics,
	web/tzurl/zoneinfo/Asia/Qatar.ics,
	web/tzurl/zoneinfo/Asia/Qyzylorda.ics,
	web/tzurl/zoneinfo/Asia/Rangoon.ics,
	web/tzurl/zoneinfo/Asia/Riyadh.ics,
	web/tzurl/zoneinfo/Asia/Sakhalin.ics,
	web/tzurl/zoneinfo/Asia/Samarkand.ics,
	web/tzurl/zoneinfo/Asia/Seoul.ics,
	web/tzurl/zoneinfo/Asia/Shanghai.ics,
	web/tzurl/zoneinfo/Asia/Singapore.ics,
	web/tzurl/zoneinfo/Asia/Srednekolymsk.ics,
	web/tzurl/zoneinfo/Asia/Taipei.ics,
	web/tzurl/zoneinfo/Asia/Tashkent.ics,
	web/tzurl/zoneinfo/Asia/Tbilisi.ics,
	web/tzurl/zoneinfo/Asia/Tehran.ics,
	web/tzurl/zoneinfo/Asia/Thimphu.ics,
	web/tzurl/zoneinfo/Asia/Tokyo.ics,
	web/tzurl/zoneinfo/Asia/Tomsk.ics,
	web/tzurl/zoneinfo/Asia/Ulaanbaatar.ics,
	web/tzurl/zoneinfo/Asia/Urumqi.ics, web/tzurl/zoneinfo/Asia/Ust-
	Nera.ics, web/tzurl/zoneinfo/Asia/Vientiane.ics,
	web/tzurl/zoneinfo/Asia/Vladivostok.ics,
	web/tzurl/zoneinfo/Asia/Yakutsk.ics,
	web/tzurl/zoneinfo/Asia/Yangon.ics,
	web/tzurl/zoneinfo/Asia/Yekaterinburg.ics,
	web/tzurl/zoneinfo/Asia/Yerevan.ics,
	web/tzurl/zoneinfo/Atlantic/Azores.ics,
	web/tzurl/zoneinfo/Atlantic/Bermuda.ics,
	web/tzurl/zoneinfo/Atlantic/Canary.ics,
	web/tzurl/zoneinfo/Atlantic/Cape_Verde.ics,
	web/tzurl/zoneinfo/Atlantic/Faroe.ics,
	web/tzurl/zoneinfo/Atlantic/Madeira.ics,
	web/tzurl/zoneinfo/Atlantic/Reykjavik.ics,
	web/tzurl/zoneinfo/Atlantic/South_Georgia.ics,
	web/tzurl/zoneinfo/Atlantic/St_Helena.ics,
	web/tzurl/zoneinfo/Atlantic/Stanley.ics,
	web/tzurl/zoneinfo/Australia/Adelaide.ics,
	web/tzurl/zoneinfo/Australia/Brisbane.ics,
	web/tzurl/zoneinfo/Australia/Currie.ics,
	web/tzurl/zoneinfo/Australia/Darwin.ics,
	web/tzurl/zoneinfo/Australia/Eucla.ics,
	web/tzurl/zoneinfo/Australia/Hobart.ics,
	web/tzurl/zoneinfo/Australia/Lindeman.ics,
	web/tzurl/zoneinfo/Australia/Lord_Howe.ics,
	web/tzurl/zoneinfo/Australia/Melbourne.ics,
	web/tzurl/zoneinfo/Australia/Perth.ics,
	web/tzurl/zoneinfo/Australia/Sydney.ics,
	web/tzurl/zoneinfo/Europe/Amsterdam.ics,
	web/tzurl/zoneinfo/Europe/Andorra.ics,
	web/tzurl/zoneinfo/Europe/Astrakhan.ics,
	web/tzurl/zoneinfo/Europe/Athens.ics,
	web/tzurl/zoneinfo/Europe/Belgrade.ics,
	web/tzurl/zoneinfo/Europe/Berlin.ics,
	web/tzurl/zoneinfo/Europe/Bratislava.ics,
	web/tzurl/zoneinfo/Europe/Brussels.ics,
	web/tzurl/zoneinfo/Europe/Bucharest.ics,
	web/tzurl/zoneinfo/Europe/Budapest.ics,
	web/tzurl/zoneinfo/Europe/Busingen.ics,
	web/tzurl/zoneinfo/Europe/Chisinau.ics,
	web/tzurl/zoneinfo/Europe/Copenhagen.ics,
	web/tzurl/zoneinfo/Europe/Dublin.ics,
	web/tzurl/zoneinfo/Europe/Gibraltar.ics,
	web/tzurl/zoneinfo/Europe/Guernsey.ics,
	web/tzurl/zoneinfo/Europe/Helsinki.ics,
	web/tzurl/zoneinfo/Europe/Isle_of_Man.ics,
	web/tzurl/zoneinfo/Europe/Istanbul.ics,
	web/tzurl/zoneinfo/Europe/Jersey.ics,
	web/tzurl/zoneinfo/Europe/Kaliningrad.ics,
	web/tzurl/zoneinfo/Europe/Kiev.ics,
	web/tzurl/zoneinfo/Europe/Kirov.ics,
	web/tzurl/zoneinfo/Europe/Lisbon.ics,
	web/tzurl/zoneinfo/Europe/Ljubljana.ics,
	web/tzurl/zoneinfo/Europe/London.ics,
	web/tzurl/zoneinfo/Europe/Luxembourg.ics,
	web/tzurl/zoneinfo/Europe/Madrid.ics,
	web/tzurl/zoneinfo/Europe/Malta.ics,
	web/tzurl/zoneinfo/Europe/Mariehamn.ics,
	web/tzurl/zoneinfo/Europe/Minsk.ics,
	web/tzurl/zoneinfo/Europe/Monaco.ics,
	web/tzurl/zoneinfo/Europe/Moscow.ics,
	web/tzurl/zoneinfo/Europe/Nicosia.ics,
	web/tzurl/zoneinfo/Europe/Oslo.ics,
	web/tzurl/zoneinfo/Europe/Paris.ics,
	web/tzurl/zoneinfo/Europe/Podgorica.ics,
	web/tzurl/zoneinfo/Europe/Prague.ics,
	web/tzurl/zoneinfo/Europe/Riga.ics,
	web/tzurl/zoneinfo/Europe/Rome.ics,
	web/tzurl/zoneinfo/Europe/Samara.ics,
	web/tzurl/zoneinfo/Europe/San_Marino.ics,
	web/tzurl/zoneinfo/Europe/Sarajevo.ics,
	web/tzurl/zoneinfo/Europe/Saratov.ics,
	web/tzurl/zoneinfo/Europe/Simferopol.ics,
	web/tzurl/zoneinfo/Europe/Skopje.ics,
	web/tzurl/zoneinfo/Europe/Sofia.ics,
	web/tzurl/zoneinfo/Europe/Stockholm.ics,
	web/tzurl/zoneinfo/Europe/Tallinn.ics,
	web/tzurl/zoneinfo/Europe/Ulyanovsk.ics,
	web/tzurl/zoneinfo/Europe/Uzhgorod.ics,
	web/tzurl/zoneinfo/Europe/Vaduz.ics,
	web/tzurl/zoneinfo/Europe/Vatican.ics,
	web/tzurl/zoneinfo/Europe/Vienna.ics,
	web/tzurl/zoneinfo/Europe/Vilnius.ics,
	web/tzurl/zoneinfo/Europe/Volgograd.ics,
	web/tzurl/zoneinfo/Europe/Warsaw.ics,
	web/tzurl/zoneinfo/Europe/Zagreb.ics,
	web/tzurl/zoneinfo/Europe/Zaporozhye.ics,
	web/tzurl/zoneinfo/Europe/Zurich.ics,
	web/tzurl/zoneinfo/Indian/Antananarivo.ics,
	web/tzurl/zoneinfo/Indian/Chagos.ics,
	web/tzurl/zoneinfo/Indian/Christmas.ics,
	web/tzurl/zoneinfo/Indian/Cocos.ics,
	web/tzurl/zoneinfo/Indian/Comoro.ics,
	web/tzurl/zoneinfo/Indian/Kerguelen.ics,
	web/tzurl/zoneinfo/Indian/Mahe.ics,
	web/tzurl/zoneinfo/Indian/Maldives.ics,
	web/tzurl/zoneinfo/Indian/Mauritius.ics,
	web/tzurl/zoneinfo/Indian/Mayotte.ics,
	web/tzurl/zoneinfo/Indian/Reunion.ics,
	web/tzurl/zoneinfo/Pacific/Apia.ics,
	web/tzurl/zoneinfo/Pacific/Auckland.ics,
	web/tzurl/zoneinfo/Pacific/Bougainville.ics,
	web/tzurl/zoneinfo/Pacific/Chatham.ics,
	web/tzurl/zoneinfo/Pacific/Chuuk.ics,
	web/tzurl/zoneinfo/Pacific/Easter.ics,
	web/tzurl/zoneinfo/Pacific/Efate.ics,
	web/tzurl/zoneinfo/Pacific/Enderbury.ics,
	web/tzurl/zoneinfo/Pacific/Fakaofo.ics,
	web/tzurl/zoneinfo/Pacific/Fiji.ics,
	web/tzurl/zoneinfo/Pacific/Funafuti.ics,
	web/tzurl/zoneinfo/Pacific/Galapagos.ics,
	web/tzurl/zoneinfo/Pacific/Gambier.ics,
	web/tzurl/zoneinfo/Pacific/Guadalcanal.ics,
	web/tzurl/zoneinfo/Pacific/Guam.ics,
	web/tzurl/zoneinfo/Pacific/Honolulu.ics,
	web/tzurl/zoneinfo/Pacific/Johnston.ics,
	web/tzurl/zoneinfo/Pacific/Kiritimati.ics,
	web/tzurl/zoneinfo/Pacific/Kosrae.ics,
	web/tzurl/zoneinfo/Pacific/Kwajalein.ics,
	web/tzurl/zoneinfo/Pacific/Majuro.ics,
	web/tzurl/zoneinfo/Pacific/Marquesas.ics,
	web/tzurl/zoneinfo/Pacific/Midway.ics,
	web/tzurl/zoneinfo/Pacific/Nauru.ics,
	web/tzurl/zoneinfo/Pacific/Niue.ics,
	web/tzurl/zoneinfo/Pacific/Norfolk.ics,
	web/tzurl/zoneinfo/Pacific/Noumea.ics,
	web/tzurl/zoneinfo/Pacific/Pago_Pago.ics,
	web/tzurl/zoneinfo/Pacific/Palau.ics,
	web/tzurl/zoneinfo/Pacific/Pitcairn.ics,
	web/tzurl/zoneinfo/Pacific/Pohnpei.ics,
	web/tzurl/zoneinfo/Pacific/Port_Moresby.ics,
	web/tzurl/zoneinfo/Pacific/Rarotonga.ics,
	web/tzurl/zoneinfo/Pacific/Saipan.ics,
	web/tzurl/zoneinfo/Pacific/Tahiti.ics,
	web/tzurl/zoneinfo/Pacific/Tarawa.ics,
	web/tzurl/zoneinfo/Pacific/Tongatapu.ics,
	web/tzurl/zoneinfo/Pacific/Wake.ics,
	web/tzurl/zoneinfo/Pacific/Wallis.ics:
	Updated timezone definitions
	[8b7286cae097]

	* web/jquery/ui/css/jquery-ui.structure.min.css,
	web/jquery/ui/css/sunny/images/ui-bg_diagonals-
	medium_20_d34d17_40x40.png, web/jquery/ui/css/sunny/images/ui-
	bg_gloss-wave_45_817865_500x100.png, web/jquery/ui/css/sunny/images
	/ui-bg_gloss-wave_60_fece2f_500x100.png,
	web/jquery/ui/css/sunny/images/ui-bg_gloss-
	wave_70_ffdd57_500x100.png, web/jquery/ui/css/sunny/images/ui-
	bg_gloss-wave_90_fff9e5_500x100.png, web/jquery/ui/css/sunny/images
	/ui-bg_highlight-soft_100_feeebd_1x100.png,
	web/jquery/ui/css/sunny/images/ui-bg_inset-soft_30_ffffff_1x100.png,
	web/jquery/ui/css/sunny/jquery-ui.theme.min.css, web/jquery/ui
	/jquery-ui.js, web/jquery/ui/jquery-ui.min.js, web/js.inc:
	Upgraded to latest version of jQuery UI (1.12.1). Actually, we
	already had version 1.12.1, but this custom download removes support
	for jQuery 1.7.x, which makes the file slightly smaller.
	[5db37760acd9]

	* web/js/resizable.js.php:
	Fixed JQuery Migrate warning about applying an offset to an element
	not conncted to the document.
	[dde5f7cec30a]

	* web/js/resizable.js.php:
	Replaced use of deprecated jQuery method .unbind() with .off()
	[3014073aefe1]

	* web/edit_entry.php:
	Fixed bug causing the end time not to be shown when there is only
	one area. (This was a bug introduced in the forms_rewrite branch and
	is not present in MRBS 1.7.1).
	[6554c0c3ee45]

2018-02-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area_room.php, web/js/edit_area_room.js.php:
	Merge with forms_rewrite
	[94d79405086e]

	* web/systemdefaults.inc.php:
	Merge with default
	[bba4b6e25fec] <forms_rewrite>

2018-02-11  John Beranek  <jberanek@users.sourceforge.net>

	* .hgtags:
	Added tag mrbs-1_7_1 for changeset 86d4c68952c8
	[b5f65f6cb170]

	* ChangeLog, NEWS:
	Updated ChangeLog and NEWS for MRBS 1.7.1 release.
	[86d4c68952c8] [mrbs-1_7_1]

	* web/version_num.inc:
	Incremented version number for release
	[fbaee899064a]

2018-02-10  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge with default
	[1d99ff842e4b] <forms_rewrite>

2018-02-11  John Beranek  <jberanek@users.sourceforge.net>

	* web/auth/auth_ldap.inc, web/systemdefaults.inc.php:
	Added authLdapGetName() function in auth_ldap.inc. This isn't used
	by MRBS currently, but people customising MRBS will be able to use
	it
	[6730bd5f6c3f]

2018-02-09  John Beranek  <jberanek@users.sourceforge.net>

	* web/css/mrbs-mail.css:
	Fixed CSS syntax error.
	[73a20d14fecd]

2018-01-31  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/report.php:
	Restored ids to help CSS. See SF Support Requests #1429.
	[c5f453c97fd2] <forms_rewrite>

	* web/report.php:
	Reverted merge
	[eb0fd459d411] <forms_rewrite>

	* web/report.php:
	Merge with default
	[b4986ae545c7] <forms_rewrite>

	* web/report.php:
	Added and id to custom field divs to make selection in CSS easier.
	See SF Support Requests #1429.
	[ff5095ce9b5e]

2018-01-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Merge with default
	[417ba0598912] <forms_rewrite>

	* web/functions_view.inc, web/systemdefaults.inc.php:
	Made the field order on the view_entry page the same as that on the
	edit_entry page. See SF Support Requests #1426.
	[746d3c95e061]

2018-01-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Merge with default
	[688e4068ed71] <forms_rewrite>

	* web/functions_mail.inc:
	Improved mail debugging information, giving 'From', 'To', 'Cc' and
	'Bcc' addresses.
	[ec9eeaacfd94]

	* web/systemdefaults.inc.php:
	Reorganised mail settings. See SF Support Requests #1412
	[dc4d32e49524]

2018-01-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Merge with default
	[f8817deafc91] <forms_rewrite>

	* web/auth/auth_imap_php.inc, web/systemdefaults.inc.php:
	Added the ability to restrict IMAP authentication to usernames from
	a certain domain, using the new config setting
	$auth['imap_php']['user_domain']. See SF Support Requests #1407.
	[1d72b1c1bcf1]

2018-01-09  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/edit_entry.js.php:
	Removed redundant code
	[35b0b878fe1b] <forms_rewrite>

	* web/js/edit_entry.js.php:
	Fixed problem with conflict checking not happening
	[3c65c4e8386f] <forms_rewrite>

	* web/js/datepicker.js.php, web/js/edit_entry.js.php:
	Fixed problem with slot selectors not being updated when the
	datepickers change
	[679b38e1322d] <forms_rewrite>

2018-01-08  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge with default
	[9ecfd0fc30f1] <forms_rewrite>

2018-01-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/edit_area.js.php:
	Put the new period name input in focus when Add Period is clicked
	[6b0b909d21ff] <forms_rewrite>

	* web/js/edit_area_room.js.php:
	Put the new period name input in focus when Add Period is clicked
	[1e89c26f7d09]

	* web/css/mrbs.css.php:
	Fixed layout problem with repeat type details
	[271943b3a050] <forms_rewrite>

2018-01-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/edit_area.js.php:
	Removed redundant variable
	[6bfa07ce9f89] <forms_rewrite>

	* web/functions.inc:
	Fixed duplicate ID problem
	[d34102636d31] <forms_rewrite>

	* web/js/general.js.php:
	Removed unnecessary semicolon
	[286eae0dcf99] <forms_rewrite>

	* web/js/functions.js.php:
	Fixed JSHint problem
	[221069244578] <forms_rewrite>

	* web/edit_entry_handler.php, web/edit_users.php,
	web/js/edit_entry.js.php, web/js/edit_users.js.php,
	web/js/report.js.php, web/js/resizable.js.php, web/js/search.js.php,
	web/report.php, web/search.php:
	Removed checks on the existence of json_encode(), as it always does
	exist in PHP >= 5.2.0
	[e11314137145] <forms_rewrite>

	* web/mrbs_sql.inc:
	Renamed variables for consistency with the rest of MRBS
	[aa1c6d2a1e9c] <forms_rewrite>

	* web/edit_entry_handler.php:
	Renamed variables for consistency with the rest of MRBS
	[4e994efe2fd2] <forms_rewrite>

	* UPGRADE, tables.my.sql, tables.pg.sql, web/dbsys.inc,
	web/systemdefaults.inc.php, web/upgrade/54/mysql.sql,
	web/upgrade/54/pgsql.sql, web/upgrade/54/post.inc:
	Removed redundant $year_range config variable
	[6030731bccb7] <forms_rewrite>

	* web/js/datepicker.js.php:
	Removed old style datepicker code
	[322655ca7e35] <forms_rewrite>

2018-01-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/admin.php, web/css/mrbs-rtl.css.php, web/css/mrbs.css.php,
	web/edit_room.php:
	Fixed duplicate id problem
	[1ecf646d6ef5] <forms_rewrite>

	* Merge with default
	[ef78ffc75fea] <forms_rewrite>

	* web/view_entry.php:
	Fixed problem with textarea values not being displayed.
	[f0a8bf59939a]

	* web/edit_entry.php, web/edit_users.php:
	Fixed problem with textareas
	[2e68be55ec7f] <forms_rewrite>

	* web/mrbs_sql.inc:
	Renamed variables
	[a847285f1615] <forms_rewrite>

	* web/edit_entry_handler.php:
	Converted Skip and Book button
	[807cc94a1293] <forms_rewrite>

	* web/edit_entry_handler.php:
	Converted back button
	[ec855e65a5f1] <forms_rewrite>

	* web/css/mrbs.css.php:
	Merge with default
	[5e7d84e04524] <forms_rewrite>

	* web/css/mrbs.css.php:
	Fixed bug resulting in unwanted colons appearing after labels in
	dataTables (eg the Report output)
	[5f51a2ac4fce]

	* web/Themes/default/header.inc, web/css/mrbs.css.php:
	Converted search form in header to use Form classes
	[efd54098b887] <forms_rewrite>

2018-01-03  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Removed redundant code
	[7992a6d8c9f8] <forms_rewrite>

2018-01-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge with default
	[8a8a222d1976] <forms_rewrite>

	* web/lib/MRBS/JFactory.php:
	Fixed bug where access was being denied if the Joomla username
	looked like an integer, eg "1234". See SF Bugs #401.
	[add3b82efa00]

	* web/css/mrbs.css.php, web/edit_users.php,
	web/session/functions_session.inc:
	Turned the edit_user links into buttons (styled as links)
	[3c79e58e3c56] <forms_rewrite>

2018-01-01  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Removed redundant globals
	[c6c48c7ffddb] <forms_rewrite>

	* web/functions.inc:
	Removed redundant code
	[26292a8cb5a7] <forms_rewrite>

	* web/edit_users.php:
	Restructured
	[1115764a4f0b] <forms_rewrite>

	* web/edit_users.php:
	Removed old form
	[30a013fbc60f] <forms_rewrite>

	* web/edit_users.php:
	Added delete and back buttons
	[75debc6952ff] <forms_rewrite>

	* web/edit_users.php:
	Removed old error messages
	[3f7438e601d2] <forms_rewrite>

	* web/edit_users.php:
	Added error messages
	[9582dde61a8c] <forms_rewrite>

	* web/edit_users.php:
	Removed old code
	[fe24af52bad6] <forms_rewrite>

	* web/css/mrbs-ie-rtl.css, web/css/mrbs-ie.css, web/css/mrbs-
	rtl.css.php, web/css/mrbs.css.php, web/edit_users.php:
	Removed old code and CSS
	[1e1b28f7c5c8] <forms_rewrite>

	* web/edit_users.php:
	Removed old code
	[1145a0e1f9d0] <forms_rewrite>

	* web/edit_users.php:
	Removed old code
	[69225627924f] <forms_rewrite>

	* web/edit_users.php:
	Added submit button
	[c2fcaca961cc] <forms_rewrite>

	* web/edit_entry.php, web/edit_users.php:
	Added custom fields
	[0e9b91875d26] <forms_rewrite>

2017-12-31  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Updated comments
	[0678e27d33c5] <forms_rewrite>

	* web/edit_users.php:
	Added email field
	[5066758da68b] <forms_rewrite>

	* web/edit_users.php:
	Added a maxlength attribute for the name field
	[deb1ca5029cf] <forms_rewrite>

	* web/edit_users.php:
	Restructured
	[33e290c08fcf] <forms_rewrite>

	* web/edit_users.php:
	Added level field
	[49b25637eecd] <forms_rewrite>

	* web/edit_users.php:
	Converted Add user button
	[3d3ef741e328] <forms_rewrite>

	* web/functions.inc:
	Converted room select form
	[1f08b111e0d7] <forms_rewrite>

	* web/functions.inc:
	Converted the area select form to use the Forms classes
	[e247aeafdbb3] <forms_rewrite>

	* web/css/mrbs-ie.css, web/css/mrbs-rtl.css.php, web/css/mrbs.css.php:
	Removed form_general CSS
	[a94864138131] <forms_rewrite>

	* web/import.php:
	Completed conversion of import form
	[7fc83104ded3] <forms_rewrite>

	* web/css/mrbs.css.php, web/import.php:
	Tweaked CSS
	[5e13d85ef6b8] <forms_rewrite>

	* web/css/mrbs.css.php, web/import.php,
	web/lib/MRBS/Form/ElementInputFile.php,
	web/lib/MRBS/Form/FieldInputFile.php:
	Completed area and room settings
	[c055650891cc] <forms_rewrite>

2017-12-30  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/session/functions_session.inc:
	Converted login form to standard class
	[aa0a3d764481] <forms_rewrite>

	* web/css/mrbs.css.php:
	Fixed CSS
	[348beed410ea] <forms_rewrite>

	* web/css/mrbs.css.php, web/dbsys.inc:
	Converted db upgrade login form to standard class
	[ed6444a1b67c] <forms_rewrite>

	* web/edit_entry.php:
	Fixed HTML5 validation errors
	[b1422a575f27] <forms_rewrite>

	* web/edit_entry.php:
	Fixed bug
	[317b82c86383] <forms_rewrite>

	* web/js.inc, web/js/refresh.js.php, web/js/resizable.js.php:
	Removed redundant code
	[621e0422af68] <forms_rewrite>

	* web/css/mrbs-ie.css, web/edit_entry.php, web/edit_entry_handler.php,
	web/functions_table.inc, web/js.inc, web/js/resizable.js.php:
	Made resizable bookings work
	[6fb9e9146d6c] <forms_rewrite>

	* web/edit_entry.php, web/edit_entry_handler.php,
	web/js/edit_entry.js.php:
	Fixed JavaScript and edit_entry_handler to match new form
	[9de6e97113d4] <forms_rewrite>

	* web/css/mrbs.css.php:
	Tweaked CSS
	[66edeedf61bd] <forms_rewrite>

	* web/css/mrbs-rtl.css.php, web/css/mrbs.css.php:
	Removed redundant CSS
	[81fe9df183d2] <forms_rewrite>

	* web/edit_entry.php:
	Removed redundant code
	[d090e7f29b03] <forms_rewrite>

	* web/edit_entry.php:
	Removed old end date field
	[46594ae9e5af] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_entry.php:
	Fixed CSS
	[57d10ed53f08] <forms_rewrite>

2017-12-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	End date all there now, though the CSS needs fixing
	[dcddeea641ca] <forms_rewrite>

	* web/edit_entry.php:
	Restructured
	[846d3a8ac7b2] <forms_rewrite>

	* web/edit_entry.php:
	Removed old start date
	[160852f350a8] <forms_rewrite>

	* web/lang/lang.cs, web/lang/lang.de, web/lang/lang.en,
	web/lang/lang.es, web/lang/lang.fi, web/lang/lang.id,
	web/lang/lang.it, web/lang/lang.ja, web/lang/lang.pl,
	web/lang/lang.ro, web/lang/lang.sk, web/lang/lang.sr-rs-latin,
	web/lang/lang.sv, web/lang/lang.zh-cn:
	Merge with default
	[dd43b1f9c0cf] <forms_rewrite>

	* web/lang/lang.cs, web/lang/lang.de, web/lang/lang.en,
	web/lang/lang.es, web/lang/lang.fi, web/lang/lang.id,
	web/lang/lang.it, web/lang/lang.ja, web/lang/lang.pl,
	web/lang/lang.ro, web/lang/lang.sk, web/lang/lang.sr-rs-latin,
	web/lang/lang.sv, web/lang/lang.zh-cn, web/mrbs_sql.inc:
	Improved internationalisation of some language tokens
	[211ba99df647]

	* web/mrbs_sql.inc:
	Fixed another date formatting problem
	[e3e695d04ac0]

	* web/mrbs_sql.inc:
	Fixed bug in formatting date for policy violations
	[4e41621e4066]

	* web/css/mrbs-ie.css, web/edit_entry.php:
	Commit before changes
	[4784b900fb8f] <forms_rewrite>

2017-12-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	Removed old full description field
	[658f28a26ac8] <forms_rewrite>

	* web/edit_entry.php:
	Removed old brief description field
	[9f4e83058f4d] <forms_rewrite>

	* web/edit_entry.php:
	Removed old rooms field
	[7325ad43a633] <forms_rewrite>

2017-12-27  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php, web/js/edit_entry.js.php:
	Added conflicts tabs
	[9e77b4597e9e] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_entry.php:
	Added policy and schedule checkmarks
	[8274649e589a] <forms_rewrite>

	* web/edit_entry.php:
	Added submit buttons
	[e125479300d3] <forms_rewrite>

2017-12-26  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	Converted hidden inputs
	[0746573f34dc] <forms_rewrite>

	* web/edit_entry.php:
	Removed old booking controls
	[c10775743d64] <forms_rewrite>

	* web/edit_entry.php:
	Added booking controls
	[00aed6b6ecb2] <forms_rewrite>

	* web/edit_entry.php:
	Removed repeat fieldset
	[955f9d4265f7] <forms_rewrite>

	* web/edit_entry.php:
	Got rid of old monthly repeat details
	[4c98f12ff23b] <forms_rewrite>

	* web/edit_entry.php:
	Removed old repeat end date
	[9b38c9361aec] <forms_rewrite>

	* web/edit_entry.php:
	Removed old skip past conflicts
	[6dd1797b4048] <forms_rewrite>

	* web/edit_entry.php:
	Completed repeat fieldset
	[896a32998520] <forms_rewrite>

	* web/css/mrbs.css.php:
	Tweaked CSS
	[3ec7def01b8b] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_entry.php, web/js/general.js.php:
	Improved layoutof repeat details
	[c92edd181f9e] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_entry.php:
	Commit before changes
	[55ceb909e255] <forms_rewrite>

	* web/edit_entry.php, web/lib/MRBS/Form/ElementInputRadio.php,
	web/lib/MRBS/Form/FieldInputCheckboxGroup.php:
	Added repeat type details
	[b5dcc6138d2b] <forms_rewrite>

2017-12-24  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php, web/lib/MRBS/Form/Element.php:
	Added rep_day
	[266bc39c11ce] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_entry.php:
	Added repeat type
	[ba7f32d87a41] <forms_rewrite>

	* web/edit_entry.php:
	Started on repeats
	[9e7bb6ed818b] <forms_rewrite>

	* web/edit_entry.php:
	Deleted old style custom fields
	[935e9985e46c] <forms_rewrite>

	* web/edit_entry.php:
	Deleted old style privacy status
	[7892fe088687] <forms_rewrite>

	* web/css/mrbs-ie.css, web/edit_entry.php:
	Got rid of old style confirmation status
	[a6e808891429] <forms_rewrite>

	* web/edit_entry.php:
	Got rid of old type field
	[7d61f82c1f5b] <forms_rewrite>

	* web/edit_entry.php:
	Completed custom fields
	[7df05a192684] <forms_rewrite>

	* web/edit_entry.php:
	Added textarea custom fields
	[fd0a99c84535] <forms_rewrite>

	* web/edit_entry.php:
	Added boolean custom
	[41e834a0a902] <forms_rewrite>

	* web/edit_entry.php:
	Added privacy status
	[77ac62970091] <forms_rewrite>

	* web/edit_entry.php:
	Added confirmation status
	[9239c111fa1c] <forms_rewrite>

	* web/edit_entry.php:
	Added type
	[02932af3f04f] <forms_rewrite>

	* web/edit_entry.php, web/lib/MRBS/Form/Element.php:
	Added rooms
	[770984e10500] <forms_rewrite>

2017-12-23  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	Added full description
	[cb14cc6790d7] <forms_rewrite>

2017-12-22  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	Added brief description field
	[2bf1e9285242] <forms_rewrite>

	* web/admin.php, web/edit_area.php, web/edit_entry.php,
	web/edit_room.php, web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/ElementInputDatalist.php,
	web/lib/MRBS/Form/FieldInputCheckboxGroup.php,
	web/lib/MRBS/Form/FieldInputDatalist.php,
	web/lib/MRBS/Form/FieldInputRadioGroup.php,
	web/lib/MRBS/Form/FieldSelect.php, web/report.php:
	Changed the way the $associative parameter works
	[e8d9050fee0f] <forms_rewrite>

	* web/edit_entry.php:
	Commit before changes
	[b5bcecb8a4f0] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_entry.php:
	Started on edit_entry
	[ca232cc32f61] <forms_rewrite>

2017-12-21  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs-rtl.css.php, web/css/mrbs.css.php:
	Removed redundant CSS
	[b28127e2a5b5] <forms_rewrite>

	* web/css/mrbs.css.php, web/lib/MRBS/Form/ElementInputSearch.php,
	web/lib/MRBS/Form/FieldInputSearch.php, web/search.php:
	Converted search form
	[f6b416b9781f] <forms_rewrite>

	* web/css/mrbs.css.php, web/js/datepicker.js.php:
	Fixed widths of date and datepicker inputs to stop the layout moving
	around while the datepickers are being generated.
	[57cbfd05a03b] <forms_rewrite>

	* web/Themes/default/header.inc, web/js/datepicker.js.php:
	Made the goto datepicker submit on select.
	[968e9b5f961a] <forms_rewrite>

	* web/standard_vars.inc.php:
	Made goto date selector send you to the correct page
	[ed69b74a2e53] <forms_rewrite>

2017-12-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php:
	Fixed merge problem
	[d207017cbf2a] <forms_rewrite>

	* convert_db_to_utf8.php, web/css/mrbs.css.php, web/lang/lang.ca,
	web/lang/lang.cs, web/lang/lang.da, web/lang/lang.de,
	web/lang/lang.el, web/lang/lang.en, web/lang/lang.es,
	web/lang/lang.eu, web/lang/lang.fi, web/lang/lang.fr,
	web/lang/lang.he, web/lang/lang.hu, web/lang/lang.id,
	web/lang/lang.it, web/lang/lang.ja, web/lang/lang.ko,
	web/lang/lang.nb, web/lang/lang.nl, web/lang/lang.nn,
	web/lang/lang.no, web/lang/lang.pl, web/lang/lang.pt, web/lang/lang
	.pt-br, web/lang/lang.ro, web/lang/lang.ru, web/lang/lang.sk,
	web/lang/lang.sl, web/lang/lang.sr-rs-latin, web/lang/lang.sv,
	web/lang/lang.th, web/lang/lang.tr, web/lang/lang.zh-cn,
	web/lang/lang.zh-tw, web/session/functions_session.inc:
	Merge with default
	[9ee65be53648] <forms_rewrite>

	* web/lang/lang.ca, web/lang/lang.cs, web/lang/lang.da,
	web/lang/lang.de, web/lang/lang.el, web/lang/lang.en,
	web/lang/lang.es, web/lang/lang.eu, web/lang/lang.fi,
	web/lang/lang.fr, web/lang/lang.he, web/lang/lang.hu,
	web/lang/lang.id, web/lang/lang.it, web/lang/lang.ja,
	web/lang/lang.ko, web/lang/lang.nb, web/lang/lang.nl,
	web/lang/lang.nn, web/lang/lang.no, web/lang/lang.pl,
	web/lang/lang.pt, web/lang/lang.pt-br, web/lang/lang.ro,
	web/lang/lang.ru, web/lang/lang.sk, web/lang/lang.sl, web/lang/lang
	.sr-rs-latin, web/lang/lang.sv, web/lang/lang.th, web/lang/lang.tr,
	web/lang/lang.zh-cn, web/lang/lang.zh-tw,
	web/session/functions_session.inc:
	Removed "You are " text from "You are xxx" link. See SF Support
	Requests #1393
	[a8b22ce4903d]

	* web/css/mrbs.css.php, web/session/functions_session.inc:
	Fixed bug resulting in a "session expired" message when the "You are
	xxx" link is clicked. See SF Support Requests #1393.
	[9c9546380027]

	* web/Themes/default/header.inc, web/css/mrbs.css.php,
	web/functions.inc, web/js/general.js.php, web/report.php:
	Started converting the "Goto" date selector
	[894d772b533b] <forms_rewrite>

2017-12-19  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/datepicker.js.php:
	New datepickers basically working
	[ba1fe8bef951] <forms_rewrite>

	* web/css/mrbs.css.php, web/js/datepicker.js.php:
	Started on turning new date inputs into datepickers
	[dfac7204c92c] <forms_rewrite>

	* web/js/datepicker.js.php:
	Restructured defaukt datepicker settings so that the defaults are
	common for old and new style datepickers
	[91955ec7f2c8] <forms_rewrite>

2017-12-18  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php, web/report.php:
	Reports now working (though date inputs still need to be turned into
	datepickers)
	[d3f527138db7] <forms_rewrite>

	* web/css/mrbs.css.php:
	Removed redundant CSS
	[072f25ef4624] <forms_rewrite>

	* web/report.php:
	Removed old form
	[ed036a2427dd] <forms_rewrite>

	* web/report.php:
	Added submit button
	[645c89a8714d] <forms_rewrite>

	* web/report.php:
	Added sumby field
	[a8abdb093843] <forms_rewrite>

	* web/report.php:
	Added sortby field
	[4a3e0cd338bc] <forms_rewrite>

	* web/report.php:
	Added output format
	[1aaf6fb52e6e] <forms_rewrite>

	* web/report.php:
	Added output field
	[ecba890fddfc] <forms_rewrite>

	* web/report.php:
	Added presentation options shell
	[8e0e1972bd2f] <forms_rewrite>

	* web/report.php:
	Added custom fields
	[38d24da27ed9] <forms_rewrite>

	* web/report.php:
	Added approval status
	[318a12dd1398] <forms_rewrite>

	* web/report.php:
	Added confirmation status
	[76bcfdcb567e] <forms_rewrite>

	* web/report.php:
	Added privacy status
	[843ed148133b] <forms_rewrite>

	* web/report.php:
	Added created by
	[5abcf9d3253e] <forms_rewrite>

	* web/report.php:
	Added full description
	[52244486ec56] <forms_rewrite>

	* web/report.php:
	Added brief description
	[9462eb5d109a] <forms_rewrite>

2017-12-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/Form/Element.php, web/report.php:
	Added type match field
	[057129faaf4c] <forms_rewrite>

	* web/report.php:
	Added Match room
	[fdf0434263d6] <forms_rewrite>

	* web/lib/MRBS/Form/Field.php,
	web/lib/MRBS/Form/FieldInputCheckboxGroup.php,
	web/lib/MRBS/Form/FieldInputRadioGroup.php:
	Automatically associated a label with a control by using the name
	attibute as the id if no id is supplied
	[7b76589b07c5] <forms_rewrite>

	* web/lib/MRBS/Form/Element.php:
	Changed behaviour so that attributes aren't output if they are null
	or an empty string.
	[b639f8780cd9] <forms_rewrite>

	* web/lib/MRBS/Form/ElementDatalist.php,
	web/lib/MRBS/Form/ElementInputDatalist.php,
	web/lib/MRBS/Form/FieldDatalist.php,
	web/lib/MRBS/Form/FieldInputDatalist.php, web/report.php:
	Datalist now largely working
	[a6b577834574] <forms_rewrite>

	* web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/ElementDatalist.php,
	web/lib/MRBS/Form/ElementInputDatalist.php,
	web/lib/MRBS/Form/FieldDatalist.php,
	web/lib/MRBS/Form/FieldInputDatalist.php, web/report.php:
	Commit before changes
	[1622618e3105] <forms_rewrite>

	* web/js/general.js.php, web/lib/MRBS/Form/ElementDatalist.php,
	web/lib/MRBS/Form/ElementInputDatalist.php,
	web/lib/MRBS/Form/ElementInputDate.php,
	web/lib/MRBS/Form/FieldInputDatalist.php,
	web/lib/MRBS/Form/FieldInputDate.php, web/report.php:
	Commit before changes
	[9462bb2ae4ce] <forms_rewrite>

2017-12-16  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/edit_area_room.js.php:
	Removed redundant file
	[8f029b721aca] <forms_rewrite>

	* web/js/edit_area.js.php:
	Stopped end slot being calculated when no resolution is given
	[5443de9d6e8b] <forms_rewrite>

	* web/edit_area.php:
	Made resolution and default duration required
	[f5ad55f727a0] <forms_rewrite>

	* web/edit_area.php, web/lib/MRBS/Form/ElementInputTime.php:
	Reverted previous change and made the the first and last slot times
	required
	[33b3803d8765] <forms_rewrite>

2017-12-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/Form/ElementInputTime.php:
	Made all time inputs required
	[af62242d944b] <forms_rewrite>

	* web/edit_area_handler.php, web/internalconfig.inc.php,
	web/js/edit_area.js.php, web/js/general.js.php:
	Made the regex pattern for the hh:mm format a constant
	[954102d89087] <forms_rewrite>

	* web/js/edit_area.js.php, web/js/general.js.php:
	Added fallback for browsers that do not support the HTML5 time
	input. Also improved validation of the time input
	[5c52f57c3ef9] <forms_rewrite>

	* web/edit_area_handler.php, web/lang/lang.en, web/report.php:
	Added server side checking of time formats
	[f091911e8b2c] <forms_rewrite>

	* web/lib/MRBS/Form/ElementFieldset.php:
	Fixed HTML5 validation error
	[cf24732b1838] <forms_rewrite>

2017-12-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs-ie-rtl.css, web/css/mrbs-rtl.css.php,
	web/css/mrbs.css.php, web/lang/lang.pl, web/mrbs_auth.inc,
	web/systemdefaults.inc.php:
	Removed redundant code
	[1f5e4fe473dc] <forms_rewrite>

	* web/admin.php, web/edit_area_room.php:
	Removed edit_area_room.php
	[e3e13a3a8eb0] <forms_rewrite>

	* web/edit_area_handler.php, web/edit_room_handler.php,
	web/functions.inc:
	Edit room handler now working
	[e0b46f2865fa] <forms_rewrite>

	* web/edit_room_handler.php:
	Started the handler for edit_room.php
	[7ed91094ecdc] <forms_rewrite>

	* web/edit_room.php:
	Added comment
	[acbbbadb3320] <forms_rewrite>

	* web/css/mrbs.css.php:
	Fixed CSS for custom HTML
	[9b67e1dc50dd] <forms_rewrite>

	* web/edit_room.php:
	Removed commented out lines
	[865de398919a] <forms_rewrite>

	* web/admin.php, web/edit_room.php:
	Added the custom HTML display
	[cfec2aa86418] <forms_rewrite>

	* web/edit_room.php, web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/Field.php:
	Added submit buttons and fixed problem with custom fields
	[b9c68c1ccf39] <forms_rewrite>

	* web/edit_room.php, web/lib/MRBS/Form/Element.php:
	Added custom fields
	[f8ee217d2e8f] <forms_rewrite>

	* web/edit_area.php, web/edit_area_handler.php, web/edit_room.php:
	Added the Custom HTML field
	[5fcefee3f23b] <forms_rewrite>

	* web/admin.php, web/css/mrbs.css.php:
	Changed forms on admin page to be standard class
	[f734e5d81f1e] <forms_rewrite>

	* web/admin.php, web/edit_area.php, web/edit_room.php:
	Made the room and area names required fields
	[25bbbcdbeee2] <forms_rewrite>

	* web/admin.php, web/edit_area.php, web/edit_room.php,
	web/lang/lang.en, web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/FieldInputRadioGroup.php,
	web/session/functions_session.inc:
	Completed standard fields
	[5f315e190c65] <forms_rewrite>

2017-12-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_room.php:
	Added more fields
	[064e956cb39a] <forms_rewrite>

	* convert_db_to_utf8.php:
	Fixed problem with updating users table. See SF Support Requests
	#1390.
	[805cd01dcb5f]

	* convert_db_to_utf8.php:
	Fixed problem with converting users table. See SF Support requests
	#1390.
	[43b130be1a8b] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_area.php, web/lang/lang.ca,
	web/lang/lang.cs, web/lang/lang.da, web/lang/lang.de,
	web/lang/lang.el, web/lang/lang.en, web/lang/lang.es,
	web/lang/lang.eu, web/lang/lang.fi, web/lang/lang.fr,
	web/lang/lang.he, web/lang/lang.hu, web/lang/lang.id,
	web/lang/lang.it, web/lang/lang.ja, web/lang/lang.ko,
	web/lang/lang.nb, web/lang/lang.nl, web/lang/lang.nn,
	web/lang/lang.no, web/lang/lang.pl, web/lang/lang.pt, web/lang/lang
	.pt-br, web/lang/lang.ro, web/lang/lang.ru, web/lang/lang.sk,
	web/lang/lang.sl, web/lang/lang.sr-rs-latin, web/lang/lang.sv,
	web/lang/lang.th, web/lang/lang.tr, web/lang/lang.zh-cn,
	web/lang/lang.zh-tw, web/mrbs_auth.inc:
	Started on edit_room form
	[9bf8fb0e7eed] <forms_rewrite>

	* web/admin.php:
	Added a new link to edit_room.php
	[3117761ffc31] <forms_rewrite>

	* web/js/edit_area.js.php:
	Simplified code
	[0059974ada73] <forms_rewrite>

	* web/js/edit_area.js.php:
	Removed redundant code
	[a4fa52d797ea] <forms_rewrite>

	* convert_db_to_utf8.php:
	Fixed bug resulting in a function not found error. See SF Support
	Requests #1390.
	[1b4540552b1a]

2017-12-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/edit_area.js.php:
	Added JavaScript for edit_area.php
	[d7f128ba08ad] <forms_rewrite>

	* web/js/general.js.php:
	Fixed left hand column on resizing
	[041f0049f469] <forms_rewrite>

	* web/js/general.js.php:
	Tidied up code
	[4c4dab4567b4] <forms_rewrite>

	* web/js/general.js.php:
	Made the left column in the standard form a constant width.
	[35cf61026d62] <forms_rewrite>

2017-12-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area.php, web/edit_area_handler.php, web/mrbs_auth.inc:
	Added the handler for the edit_area form
	[ff69f8a36b98] <forms_rewrite>

2017-12-10  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area.php:
	Removed unnecessary function parameters
	[ddcff6979daf] <forms_rewrite>

	* web/edit_area.php, web/lib/MRBS/Form/Field.php:
	Added submit buttons
	[ad40f6a311fd] <forms_rewrite>

	* web/lib/MRBS/Form/Field.php:
	Changed default method parameters in line with recent change for
	boolean attributes
	[9cf46715b934] <forms_rewrite>

	* web/edit_area.php, web/lib/MRBS/Form/Field.php:
	Added note as title
	[81ceceaa8a52] <forms_rewrite>

	* web/edit_area.php, web/lib/MRBS/Form/Field.php:
	Got rid of colon in label
	[18a3d81cac69] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_area.php:
	Fixed CSS for multiline groups
	[e1d41cead7b0] <forms_rewrite>

	* web/dbsys.inc, web/edit_area.php, web/lib/MRBS/Form/Element.php:
	Changed use of setAttribute method for boolean attributes
	[445dca1b7c88] <forms_rewrite>

	* web/edit_area.php, web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/Field.php:
	Added an addClass() method
	[0659f670ed0b] <forms_rewrite>

	* web/edit_area.php:
	Added privacy display settings
	[b1faa8e03135] <forms_rewrite>

	* web/edit_area.php:
	Added privacy settings
	[6fe246ef983b] <forms_rewrite>

	* web/edit_area.php:
	Added approval settings
	[8c084d404327] <forms_rewrite>

2017-12-09  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area.php, web/lib/MRBS/Form/Element.php:
	Made use of setChecked() method
	[3e74acde58d8] <forms_rewrite>

	* web/edit_area.php, web/internalconfig.inc.php,
	web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/ElementInputCheckbox.php,
	web/lib/MRBS/Form/FieldInputCheckbox.php:
	Added setChecked() method
	[920d1ac1248a] <forms_rewrite>

	* web/edit_area.php:
	Added confirmation settings fieldset
	[09cbd34efa0e] <forms_rewrite>

2017-12-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry_handler.php:
	Improved fix for SF Patches #62
	[2dc6c2eb300b]

	* web/edit_entry_handler.php:
	Improved fix for SF Patches #62
	[cfbf9b403f2a] <forms_rewrite>

2017-11-27  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area.php:
	Simplified code
	[db75be1bf23e] <forms_rewrite>

	* web/edit_area.php:
	Added max durations fieldset
	[8dcec9f86faf] <forms_rewrite>

	* web/css/mrbs.css.php:
	Simplified CSS
	[64c67dbe33c5] <forms_rewrite>

	* web/css/mrbs.css.php:
	Tweaked CSS
	[b0cc34ba5305] <forms_rewrite>

	* web/css/mrbs.css.php:
	Tweaked CSS
	[ec89179f9886] <forms_rewrite>

2017-11-26  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php:
	Tweaked CSS
	[bf10779a8e76] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_area.php:
	Tweaked CSS
	[bf2b5dd3bf65] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_area.php:
	Fixed CSS
	[7ff811828c9d] <forms_rewrite>

	* web/css/mrbs.css.php, web/edit_area.php:
	Added maximum number fieldset
	[4c764537553d] <forms_rewrite>

2017-11-24  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php, web/edit_area.php,
	web/lib/MRBS/Form/ElementInputNumber.php,
	web/lib/MRBS/Form/Field.php, web/lib/MRBS/Form/FieldDiv.php,
	web/lib/MRBS/Form/FieldInputCheckbox.php,
	web/lib/MRBS/Form/FieldInputNumber.php:
	Added booking creation and deletion fieldsets
	[c93e10d93921] <forms_rewrite>

	* web/edit_area.php, web/lib/MRBS/Form/FieldSpan.php:
	Added booking policies note
	[8ff983084042] <forms_rewrite>

	* web/edit_area.php:
	Added booking policies fieldset shell
	[8762c1547a8f] <forms_rewrite>

	* web/admin.php, web/edit_area.php, web/lib/MRBS/Form/FieldButton.php:
	Added periods fieldset to edit_area form
	[ec42a8d59c4d] <forms_rewrite>

	* Merge with default
	[7916ab09c8f4] <forms_rewrite>

2017-11-23  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/init.inc:
	Improved error reporting when PHP sessions aren't working. See SF
	Support Requests #1364.
	[c7697b62319f]

2017-11-21  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/PHPMailer/LICENSE, web/lib/PHPMailer/VERSION,
	web/lib/PHPMailer/class.phpmailer.php,
	web/lib/PHPMailer/class.pop3.php, web/lib/PHPMailer/class.smtp.php,
	web/lib/PHPMailer/language/phpmailer.lang-ba.php,
	web/lib/PHPMailer/language/phpmailer.lang-cs.php,
	web/lib/PHPMailer/language/phpmailer.lang-nb.php,
	web/lib/PHPMailer/language/phpmailer.lang-pt_br.php,
	web/lib/PHPMailer/language/phpmailer.lang-rs.php,
	web/lib/PHPMailer/language/phpmailer.lang-tr.php,
	web/lib/PHPMailer/language/phpmailer.lang-zh_cn.php:
	Updated PHPMailer to use latest code (5.2.5+) from the 5.2-stable
	branch. Note that MRBS cannot yet use PHPMailer Version 6.0+ because
	that requires PHP 5.5 or later.
	[6d2dc783a874]

2017-11-16  John Beranek  <jberanek@users.sourceforge.net>

	* web/edit_entry_handler.php:
	Merge
	[6a29bc5d27a5]

	* web/internalconfig.inc.php:
	Merge
	[c83727fc6754]

	* .hgtags:
	Added tag mrbs-1_7_0 for changeset 7e3d9a105985
	[7971783f7888]

	* NEWS:
	Fixed release date in NEWS
	[7e3d9a105985] [mrbs-1_7_0]

	* ChangeLog, NEWS:
	Updated NEWS and VersionNum for release
	[20000e689d79]

	* web/version_num.inc:
	Updated version number for release
	[8417b7c732b3]

2017-11-16  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge with default
	[4aeb5f75a7bd] <forms_rewrite>

	* web/lib/MRBS/Form/Form.php:
	Corrected the order of parameters supplied to hash_equals().
	[4754cfbf5b83]

	* Merge with default
	[91c4695f20c6] <forms_rewrite>

	* web/lib/MRBS/Form/Form.php:
	Fixed a problem with a CSRF attack warning being incorrectly
	generated if a user session has expired. Bug could be reproduced if
	usingh Joomla and the Joomla user session expires between the form
	being displayed and submitted.
	[d0e6b182403d]

	* web/Themes/default/header.inc:
	Fixed problem with white screen being shown in the event of CSRF
	cookie tampering. (The white screen was caused by an infinite loop
	trying to generate the header).
	[67ffacac7de1]

2017-11-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge with default
	[2a9a550c7c6e] <forms_rewrite>

	* web/css/mrbs.css.php:
	Tweaked CSS
	[63e67c51b55d]

	* web/dbsys.inc:
	Fixed bug when upgrading a database using Joomla authentication
	(headers already sent)
	[9c1226429c2f]

	* web/init.inc:
	Fixed problem that meant that sessions were only being used when
	$auth['session'] was set to 'php'.
	[9cb147aac2f2]

	* tables.my.sql, tables.pg.sql, web/dbsys.inc,
	web/upgrade/53/mysql.sql, web/upgrade/53/pgsql.sql,
	web/upgrade/53/post.inc:
	Added an upgrade step to warn site administrators that custom HTML
	is now disabled by default.
	[84cdb062025c]

2017-11-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/admin.php:
	Merge with default
	[8805589cdee9] <forms_rewrite>

	* web/lib/MRBS/Form/Form.php:
	Added comment
	[cd47871e7ea2]

	* web/lib/MRBS/Form/Form.php, web/session/session_joomla.inc:
	Made tokens work with Joomla authentication
	[03e5b6e3057f]

	* web/css/mrbs.css.php, web/functions.inc:
	Tweaked CSS some more
	[e7e8a0c7f666]

	* web/css/mrbs.css.php:
	Tweaked CSS
	[4e53015ee2b2]

	* web/Themes/default/header.inc:
	Added meta tag to stop IE10 using compatibility mode.
	[09df8e59cdbb]

	* web/admin.php:
	Moved the title attribute to the button element so that it shows up
	in Firefox.
	[1c3dcdae93f6]

	* web/lib/MRBS/Form/ElementButton.php,
	web/lib/MRBS/Form/ElementImg.php:
	Added files that should have been part of the last commit
	[4af770f564b0]

	* web/admin.php, web/css/mrbs.css.php:
	Replaced inputs with buttons as the formaction attribute does not
	seem to work in IE11 and below when the input is of type image. It
	only works with type submit.
	[1a43fc63dd95]

	* web/del.php:
	Fixed bug leading to a blank screen when deleting an area.
	[846d67214062]

2017-11-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge with default
	[e2eee46dc5fa] <forms_rewrite>

	* web/day.php:
	Removed unwanted semicolon from query string
	[1c69cf224e4c]

	* UPGRADE:
	Changed release number
	[671726235e7a]

2017-11-09  John Beranek  <jberanek@users.sourceforge.net>

	* web/lib/MRBS/Form/Form.php:
	Added extra error checking into CSRF cookie code path.
	[b050d529c900]

2017-11-09  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry_handler.php:
	Ported fix from main default branch. See SF Patches #62.
	[f92a6ff2e8ca]

	* web/admin.php, web/css/mrbs-ie8.css, web/css/mrbs-ielte6.css,
	web/css/mrbs-ielte7.css.php, web/css/mrbs-ielte8.css,
	web/jquery/jquery-1.11.0.min.js, web/js/cell_click.js.php:
	Merge with default
	[19250fd97b25] <forms_rewrite>

	* web/lib/MRBS/Form/Form.php:
	Fixed a problem with token mismatches when opening another tab (and
	also when refreshing a page, eg the Report page when it has
	results).
	[9b36a9323e62]

2017-11-08  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* UPGRADE:
	Added a note about custom HTML.
	[94084a09a09c]

	* web/css/mrbs.css.php:
	Removed comment about IE6
	[45f76a48cae4]

	* web/css/mrbs-ie8.css, web/css/mrbs-ielte7.css.php, web/css/mrbs-
	ielte8.css, web/style.inc:
	Removed CSS support for IE7 and IE8
	[268f86c3e6f6]

	* web/css/mrbs-ielte6.css, web/style.inc:
	Removed CSS support for IE6 and below
	[aacabdc2b2ad]

	* web/js.inc:
	Added comment explaining why the HTML5 Shiv is still necessary
	[193c09cbab53]

	* web/js.inc, web/js/admin.js.php, web/js/resizable.js.php:
	Removed JavaScript support for IE8
	[e4846216b315]

	* web/js.inc, web/js/pending.js.php:
	Removed JavaScript support for IE7
	[a670cc0e6ac9]

	* web/js.inc, web/js/datatables.js.php, web/js/general.js.php,
	web/js/report.js.php, web/js/search.js.php:
	Removed JavaScript support for IE6 and below
	[696e8315ca9d]

	* web/js.inc, web/js/cell_click.js.php:
	Removed cell_click.js.php now that we are not supporting IE6 and
	below.
	[fe7d5aea6d2f]

	* web/jquery/jquery-1.11.0.min.js, web/js.inc:
	Removed loading of old jQuery file now that support of IE8 has been
	removed.
	[070fe182678b]

	* web/css/mrbs.css.php:
	Tweaked CSS
	[b1e4a8613127]

	* web/Themes/default/header.inc, web/css/mrbs.css.php,
	web/lang/lang.en:
	Added styling and internationalisation to the unsupported browser
	message.
	[803f9c06061b]

	* web/Themes/default/header.inc, web/css/mrbs.css.php:
	Basic message in place for browsers that we don't support (IE9 and
	less)
	[8c11dab771ef]

2017-11-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/admin.php, web/edit_area_room.php, web/systemdefaults.inc.php:
	Added a new config setting, $auth['allow_custom_html'], to determine
	whether or not custom HTML can be used for areas and rooms. By
	default it is set to false as it presents a potential security risk
	if admins are not trusted.
	[b1d797fb8a7f]

	* web/js/edit_entry.js.php, web/js/functions.js.php,
	web/js/report.js.php, web/js/resizable.js.php, web/js/search.js.php:
	Added CSRF token and checking and created the JavaScript function
	getCSRFToken()
	[0caa01fb03b2]

	* web/del_entry_ajax.php, web/js/report.js.php:
	Added CSRF token and checking
	[523609647b7e]

	* web/check_slot_ajax.php, web/js/edit_entry.js.php:
	Added CSRF token and checking
	[3efeefa3d7b7]

	* web/lib/MRBS/Form/Field.php, web/view_entry.php:
	Completed addition of CSRF tokens to view_entry.php
	[c9927a1710aa]

	* web/del_entry.php, web/edit_entry.php, web/view_entry.php:
	Added CSRF tokens and checking to view_entry.php (not yet complete -
	more to come).
	[06f511ec728c]

	* web/js/general.js.php, web/js/search.js.php, web/search.php,
	web/session/functions_session.inc:
	Used HTML5 autofocus attribute where possible instead of .focus() in
	the JavaScript.
	[c8df70ddbbf4]

	* web/js/search.js.php:
	Simplified code, removing the need for a knowledge of the names of
	the data- attributes.
	[69e210809159]

2017-11-03  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/Themes/default/header.inc, web/js/search.js.php,
	web/lib/MRBS/Form/Form.php, web/search.php:
	Added CSRF token and checking to search.php
	[1dc6c86ca08f]

	* web/init.inc:
	Added a comment explaining earlier fix.
	[854e4db282eb]

	* web/defaultincludes.inc:
	Fixed problem with fatal_error() being called too early if sessions
	don't work.
	[c33122728e3f]

2017-11-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/init.inc:
	Fixed bug when using sessions
	[42e15bbd79ac]

2017-11-01  John Beranek  <jberanek@users.sourceforge.net>

	* Merge
	[c70d23ee7aca]

	* web/init.inc, web/lib/MRBS/Form/Form.php,
	web/systemdefaults.inc.php:
	Proof-of-concept for cookie fallback for CSRF prevention
	[df14882c3971]

2017-11-01  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/report.js.php:
	Tweaked (updated to use the newer 'method' instead of the older
	'type' setting in jQuery.ajax()
	[92086a2f2321]

	* web/js/report.js.php, web/report.php:
	Added CRSF token and checking to report.php
	[e4beafc15868]

2017-10-31  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/approve_entry_handler.php, web/pending.php, web/view_entry.php:
	Added CSRF token and checking for pending.php
	[ba0e54782f61]

	* web/import.php:
	Added CSRF token and checking to import.php
	[39a111ee076a]

	* web/functions.inc:
	Added CSRF tokens to the area and room change selects. (No need
	really as they don't change any data, but it's good practice).
	[18defb0d6258]

	* web/edit_users.php:
	Added CSRF token and checking to edit_users
	[2c7c5949efa4]

	* web/edit_entry.php, web/edit_entry_handler.php:
	Added CSRF token and checking to edit_entry page and handler.
	[80570538efbe]

	* web/dbsys.inc:
	Changed the db schema version back to normal (it had only been
	incremented for testing).
	[2369146e0e9c]

	* web/dbsys.inc:
	Made the database username a required field
	[5d0d95343c5b]

	* web/dbsys.inc:
	Added token checking
	[3c9e56d17ab1]

	* web/dbsys.inc, web/defaultincludes.inc, web/functions.inc,
	web/init.inc, web/lib/MRBS/Form/Form.php,
	web/session/functions_session.inc, web/session/session_php.inc:
	Added a token to the database upgrade form (token checking yet to
	come). Added an init.inc file to make sure that sessions are running
	before we reach the form.
	[0fed1b4e5cda]

	* web/edit_area_room.php, web/lib/MRBS/Form/Form.php:
	Added CSRF tokens and checking to edit_area_room.php
	[82c5dcb9eaae]

	* web/admin.php, web/edit_area.php:
	Restored new edit_area.php file in forms_rewrite branch following
	the merge with default
	[ed1048e5400b] <forms_rewrite>

	* web/edit_area.php:
	Merge with default
	[f71474853079] <forms_rewrite>

	* web/admin.php, web/edit_area.php:
	Removed new edit_area page
	[d66b5e79be4d]

	* web/edit_area.php:
	Reverted previous change
	[f085c4a56866] <forms_rewrite>

	* web/edit_area.php:
	Removed new file
	[d969d16591be] <forms_rewrite>

	* Opened a new named branch for rewriting the MRBS forms code using
	the Form classes.
	[99b4299ec452] <forms_rewrite>

2017-10-30  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php, web/lib/MRBS/Form/FieldTextarea.php:
	Tweaked layout
	[079633e4a09b]

	* web/css/mrbs.css.php:
	Tweaked CSS
	[bd1f65213146]

	* web/css/mrbs.css.php, web/edit_area.php,
	web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/ElementInputCheckbox.php,
	web/lib/MRBS/Form/FieldInputCheckboxGroup.php:
	Completed Times fieldset
	[517589b74c15]

	* web/css/mrbs.css.php, web/edit_area.php,
	web/lib/MRBS/Form/ElementInputNumber.php,
	web/lib/MRBS/Form/ElementInputTime.php,
	web/lib/MRBS/Form/FieldInputNumber.php,
	web/lib/MRBS/Form/FieldInputTime.php:
	Added fields in times fieldset
	[ae9ba0187909]

	* web/edit_area.php, web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/ElementFieldset.php,
	web/lib/MRBS/Form/ElementSpan.php:
	Started on Times fieldset
	[ba3bfc6c2360]

2017-10-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php:
	Tweaked CSS
	[eb0b4dd217e5]

2017-10-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php, web/edit_area.php,
	web/lib/MRBS/Form/ElementTextarea.php, web/lib/MRBS/Form/Field.php,
	web/lib/MRBS/Form/FieldTextarea.php:
	Completed general settings fieldset
	[a3c0e578c7a0]

	* web/admin.php, web/css/mrbs.css.php, web/edit_area.php,
	web/lib/MRBS/Form/Element.php, web/lib/MRBS/Form/ElementDiv.php,
	web/lib/MRBS/Form/ElementInputRadio.php,
	web/lib/MRBS/Form/Field.php,
	web/lib/MRBS/Form/FieldInputRadioGroup.php,
	web/lib/MRBS/Form/FieldSelect.php:
	Added a RadioGroup class. Added a bit more of the new edit_area
	form. Introduced the new 'standard' class for the form which will
	simplify the form CSS.
	[ed66313688a1]

2017-10-27  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/admin.php, web/edit_area.php, web/edit_area_room.php,
	web/lang/lang.ca, web/lang/lang.cs, web/lang/lang.da,
	web/lang/lang.de, web/lang/lang.el, web/lang/lang.en,
	web/lang/lang.es, web/lang/lang.eu, web/lang/lang.fi,
	web/lang/lang.fr, web/lang/lang.he, web/lang/lang.hu,
	web/lang/lang.id, web/lang/lang.it, web/lang/lang.ja,
	web/lang/lang.ko, web/lang/lang.nb, web/lang/lang.nl,
	web/lang/lang.nn, web/lang/lang.no, web/lang/lang.pl,
	web/lang/lang.pt, web/lang/lang.pt-br, web/lang/lang.ro,
	web/lang/lang.ru, web/lang/lang.sk, web/lang/lang.sl, web/lang/lang
	.sr-rs-latin, web/lang/lang.sv, web/lang/lang.th, web/lang/lang.tr,
	web/lang/lang.zh-cn, web/lang/lang.zh-tw,
	web/lib/MRBS/Form/ElementP.php, web/mrbs_auth.inc:
	Decided to split edit_area_room.php into four different files:
	edit_area.php, edit_room.php and handlers for both. Started on
	edit_area.php and put a temporary second Edit button in admin.php
	for testing the new file.
	[39d5c1b80236]

	* web/session/session_cookie.inc, web/session/session_joomla.inc,
	web/session/session_php.inc, web/session/session_wordpress.inc:
	Removed the token checking from the QueryName action (which just
	prints a login form). Otherwise you end up with false CSRF attack
	alerts if you just refresh the browser on the login page.
	[b5744f4b2da1]

	* web/session/session_cookie.inc, web/session/session_joomla.inc,
	web/session/session_php.inc, web/session/session_wordpress.inc:
	Made the order of the QueryName and SetName actions consistent
	[9fd5f916a0f8]

	* web/session/session_cookie.inc, web/session/session_wordpress.inc:
	Moved functions to the top for consistency with the rest of MRBS
	[8b66db6ce727]

	* web/session/session_cookie.inc, web/session/session_joomla.inc,
	web/session/session_wordpress.inc:
	Added token checking
	[faaef842bf44]

	* web/session/session_joomla.inc:
	Moved functions to top for consistency with the rest of MRBS
	[5f1c84fe23ee]

	* web/session/session_php.inc:
	Moved session initialisation code into a function.
	[c8ed4738b405]

	* web/session/session_php.inc:
	Added CSRF token checking
	[2e7f92a6ed19]

	* web/session/functions_session.inc:
	Converted the login button to use the Form classes
	[b053872af204]

	* web/admin.php, web/del.php, web/lib/MRBS/Form/Form.php,
	web/session/functions_session.inc:
	Simplified code by introducing the addHiddenInput() and
	addHiddenInputs() methods.
	[7593e726f0a4]

	* web/admin.php, web/session/functions_session.inc:
	Converted logoff_button to use Form classes
	[6bd8900ff895]

2017-10-26  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php:
	Further simplified the CSS
	[5060b74654c9]

	* web/css/mrbs.css.php:
	Fixed a CSS problem introduced during the last change and further
	simplified the CSS.
	[efaf33525a3d]

	* web/css/mrbs-rtl.css.php, web/css/mrbs.css.php,
	web/session/functions_session.inc:
	Simplified the markup and CSS a little
	[c127d2cf1c7c]

	* web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/ElementInputPassword.php,
	web/lib/MRBS/Form/Field.php,
	web/lib/MRBS/Form/FieldInputPassword.php,
	web/session/functions_session.inc:
	Converted the login form to use the Form classes
	[2c23764fad28]

2017-10-25  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/del.php:
	Corrected typo in comment.
	[46067f72a388]

	* web/del.php, web/functions.inc, web/lang/lang.en:
	Improved the usability of the delete room confirmation page by
	limiting the list of bookings to 20.
	[d6ac68c335c4]

	* web/admin.php, web/css/mrbs.css.php, web/del.php,
	web/lib/MRBS/Form/ElementInputSubmit.php,
	web/lib/MRBS/Form/ElementSubmit.php,
	web/lib/MRBS/Form/FieldInputSubmit.php,
	web/lib/MRBS/Form/FieldSubmit.php:
	Changed the Yes/No confirmation links for deleting a room into forms
	and buttons (and therefore with a CSRF token).
	[06dea91d552c]

	* web/add.php:
	Made all form variables POST only
	[f966e4e74e29]

	* web/admin.php:
	Removed redundant attributes
	[6639c12ba015]

	* web/admin.php:
	Converted the link to delete a room into a form.
	[e2d5418bfb0b]

	* web/admin.php, web/lib/MRBS/Form/Form.php:
	Added the $post_only parameter to Form::check() in order to cater
	for pages that can be accessed by both GET and POST requests, eg
	admin.php.
	[12d44fd9174f]

2017-10-24  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/admin.php:
	Fixed bug introduced in recent changes
	[ee02f83e5c54]

	* web/lib/MRBS/Form/Form.php:
	Tweaked comment
	[e0b7762684db]

	* web/admin.php, web/grab_globals.inc.php, web/lib/MRBS/Form/Form.php:
	Added CSRF token checking to admin.php. (Not strictly necessary as
	admin.php can't do anything by itself, but it's good practice as
	somebody may change its behaviour in the future and forget to check
	the token).

	Also modified token checking so that it is only carried out on POST
	requests. Any other type of request should only be used for safe
	operations that don't modify data.
	[24ed20450713]

	* web/admin.php:
	Tweaked layout and comments
	[85d69a222b0e]

	* web/admin.php:
	Removed redundant code.
	[523e239a3555]

	* web/admin.php:
	Simplified code by using the 'formaction' attribute on buttons.
	[96b7681c58c5]

	* web/css/mrbs.css.php:
	Fixed layout of area change form on admin.php when JavaScript is
	disabled.
	[4c861c7dc73a]

	* web/admin.php, web/lib/MRBS/Form/ElementInputEmail.php,
	web/lib/MRBS/Form/FieldInputEmail.php:
	Upgraded the room_admin_email field to be an HTML 'email' input (ie
	with client side validation).
	[b664ea347260]

	* web/admin.php:
	Converted the Add Room form to use the Form classes
	[c769bad1c42b]

	* web/admin.php:
	Removed some redundant code
	[16b17ef64b40]

	* web/admin.php:
	Renamed the function
	[c49c0b2e213c]

	* web/admin.php:
	Moved the area select form into a function
	[78869925a03d]

	* web/admin.php, web/css/mrbs.css.php, web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/ElementHidden.php,
	web/lib/MRBS/Form/ElementInputHidden.php,
	web/lib/MRBS/Form/ElementInputImage.php,
	web/lib/MRBS/Form/ElementInputText.php,
	web/lib/MRBS/Form/ElementOptgroup.php,
	web/lib/MRBS/Form/ElementOption.php,
	web/lib/MRBS/Form/ElementText.php, web/lib/MRBS/Form/Field.php,
	web/lib/MRBS/Form/FieldInputText.php,
	web/lib/MRBS/Form/FieldSelect.php,
	web/lib/MRBS/Form/FieldSubmit.php, web/lib/MRBS/Form/FieldText.php,
	web/lib/MRBS/Form/Form.php:
	Completed Select Fields and converted the area selector form to use
	the Form classes.
	[0a72ad9911f7]

2017-10-23  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/admin.php, web/css/mrbs-rtl.css.php, web/css/mrbs.css.php,
	web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/ElementFieldset.php,
	web/lib/MRBS/Form/ElementHidden.php,
	web/lib/MRBS/Form/ElementInput.php,
	web/lib/MRBS/Form/ElementLabel.php,
	web/lib/MRBS/Form/ElementLegend.php,
	web/lib/MRBS/Form/ElementSelect.php,
	web/lib/MRBS/Form/ElementSubmit.php,
	web/lib/MRBS/Form/ElementText.php, web/lib/MRBS/Form/Field.php,
	web/lib/MRBS/Form/FieldSelect.php,
	web/lib/MRBS/Form/FieldSubmit.php, web/lib/MRBS/Form/FieldText.php,
	web/lib/MRBS/Form/Form.php:
	Revamped Forms classes to simplify them and also make the
	constructor class signatures identical. Started on select elements.
	[ad3588e04707]

2017-10-22  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/Form/Form.php:
	Made the CSRF token a POST variable. All forms will be POST forms.
	[79d47d0cbd84]

	* web/add.php:
	Swapped the order of token and authorisation checking. Token
	checking is a simple check, whereas authorisation checking goes on
	to invite the user to log in.
	[ae868e028bc4]

2017-10-21  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/session/functions_session.inc, web/session/session_cookie.inc,
	web/session/session_php.inc:
	Restructured
	[0fbb352615c9]

	* web/lib/MRBS/Form/Form.php, web/session/session_cookie.inc,
	web/session/session_joomla.inc, web/session/session_php.inc,
	web/session/session_wordpress.inc:
	Added logging off of the user, when possible, in the event of a CSRF
	token mismatch.
	[b397c6dd2819]

	* web/lang/lang.en, web/lib/MRBS/Form/Form.php:
	Internationalised the token error message.
	[c2f8ee48bcee]

	* web/add.php, web/lib/MRBS/Form/Form.php:
	Added CSRF token checking
	[a5925f75cc41]

2017-10-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/Form/Form.php:
	Made the token a static variable so that the same token is used for
	all forms on a page.
	[7ea46b9376dc]

	* web/lib/MRBS/Form/Element.php, web/lib/MRBS/Form/ElementInput.php,
	web/lib/MRBS/Form/FieldText.php:
	Fixed various bugs
	[83e1f10f4c80]

	* web/lib/MRBS/Form/ElementHidden.php:
	Fixed HTML5 validation error. Made hidden inputs self-closing.
	[b1c386fa4128]

	* web/lib/MRBS/Form/Form.php:
	Trivial change
	[bbedf4ff579b]

	* web/lib/MRBS/Form/Form.php:
	Added a CSRF token (support for sessions only at the moment - will
	need to do do add cookie support later)
	[fcc95c12929b]

	* web/admin.php, web/lib/MRBS/Form/Element.php,
	web/lib/MRBS/Form/ElementFieldset.php,
	web/lib/MRBS/Form/ElementHidden.php,
	web/lib/MRBS/Form/ElementInput.php,
	web/lib/MRBS/Form/ElementLabel.php,
	web/lib/MRBS/Form/ElementLegend.php,
	web/lib/MRBS/Form/ElementSubmit.php,
	web/lib/MRBS/Form/ElementText.php, web/lib/MRBS/Form/Field.php,
	web/lib/MRBS/Form/FieldSubmit.php, web/lib/MRBS/Form/FieldText.php,
	web/lib/MRBS/Form/Form.php:
	Started implementing the Form classes and converted the add_area
	form on the admin page to use them.
	[3c64a25eb762]

2017-10-18  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/internalconfig.inc.php:
	Added comment
	[b1e6c47c32db]

	* web/internalconfig.inc.php:
	Set some ini settings, as a further defence against session
	fixation.
	[079684d944bd]

	* web/session/session_php.inc:
	Regenerated the session id on login, as a defence against session
	fixation.
	[718121fe21c6]

	* web/functions.inc:
	Added missing escaping to datalist value
	[ad6f7079bc0d]

	* Merge
	[89253f8a8594]

2017-10-16  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Trivial change to test set-up.
	[e712cadf6f00]

2017-11-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/day.php:
	Removed unwanted semicolon from query string
	[d65f79f724a8]

2017-11-09  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry_handler.php:
	Fixed bug when using all day checkbox and the day stretches past
	midnight. See SF Patches #62.
	[5c623553b45b]

2017-10-25  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/internalconfig.inc.php, web/js/edit_area_room.js.php:
	Fixed some bugs that occur when $periods is not set
	[0af8a318fedf]

2017-10-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/resizable.js.php:
	Fixed problem with resizable boiokings not working after the upgrade
	to JQuery 3 - caused by the fact that jQuery.fn.offset() now
	requires an element to be connected to a document.
	[d0074dc61378]

	* web/edit_entry.php:
	Tidied up capitalisation when calling genDateSelector() [not a bug,
	as function names are case insensitive]
	[19bc8e13776f]

	* web/js/edit_entry.js.php, web/js/general.js.php,
	web/js/resizable.js.php:
	Replaced use of jQuery .bind (now deprecated) with .on
	[fc11fdf610f8]

2017-10-16  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/datepicker.js.php:
	Put in a proper fix for the NaN problem (see changeset
	8c1f0f3677c8). The problem was caused by timing differences between
	document.ready and window.load.
	[76063f806133]

	* web/lib/MRBS/DB_mysql.php:
	Trivial change to test commit emails
	[e6db28b41868]

	* web/lib/MRBS/DB_mysql.php:
	Very minor enhancement to error messages
	[72b7e7875c65]

	* Merge
	[4b6f0ac3ebaf]

	* web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php:
	Added yet more error checking. See SF Support Requests #1332.
	[6c4733b284bc]

	* web/lib/MRBS/DB_mysql.php:
	Added error checking to mutex_unlock()
	[00fd0297229e]

2017-10-14  John Beranek  <jberanek@users.sourceforge.net>

	* Merged with default
	[475b830cbdff]

	* web/Mail/mime.php, web/Mail/mimePart.php, web/auth/auth_joomla.inc,
	web/auth/cms/joomla.inc, web/auth/cms/wordpress.inc,
	web/functions_error.inc, web/functions_table.inc, web/lang/lang.sr-
	rs-latin, web/lib/MRBS/DBException.php, web/lib/MRBS/Exception.php,
	web/lib/MRBS/JFactory.php, web/lib/MRBS/JUser.php,
	web/session/functions_session.inc, web/session/session_joomla.inc,
	web/session/session_wordpress.inc, web/upgrade/50/post.inc,
	web/upgrade/51/post.inc:
	Converted a few files to UNIX line-endings, to match the rest of the
	files.
	[86318bac8138]

2017-10-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php:
	Added more error reporting to mutex_lock()
	[2db57fb4aa7d]

	* web/mrbs_sql.inc:
	Removed redundant quotes
	[065b57031020]

2017-10-08  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/datepicker.js.php:
	Fixed bug introduced during the upgrade of jQuery UI causing the
	duration on the edit_entry form to be displayed as NaN.
	[8c1f0f3677c8]

	* web/js/datepicker.js.php, web/js/edit_entry.js.php,
	web/js/report.js.php:
	Switched to using .prop instead of .attr/.removeAttr for
	setting/clearing the disabled property (jQuery 3 change)
	[017c08a24cf0]

2017-10-06  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge
	[43288041fe95]

	* web/jquery/jquery-2.2.4.js, web/jquery/jquery-2.2.4.min.js,
	web/jquery/jquery-migrate-1.4.1.js, web/jquery/jquery-
	migrate-1.4.1.min.js, web/jquery/ui/css/sunny/images/ui-
	bg_flat_30_cccccc_40x100.png, web/jquery/ui/css/sunny/images/ui-
	bg_flat_50_5c5c5c_40x100.png:
	Merge with jquery_update
	[f92a4e49899b]

	* Close jquery_update branch
	[3f13f1264789] <jquery_update>

	* web/js.inc:
	Upgraded to jQuery 3.2.1 (missing file from last commit)
	[51783e7bdb35] <jquery_update>

	* web/jquery/jquery-2.2.4.js, web/jquery/jquery-2.2.4.min.js,
	web/jquery/jquery-3.2.1.js, web/jquery/jquery-3.2.1.min.js,
	web/jquery/jquery-migrate-1.4.1.js, web/jquery/jquery-
	migrate-1.4.1.min.js, web/jquery/jquery-migrate-3.0.0.js, web/jquery
	/jquery-migrate-3.0.0.min.js:
	Upgraded to jQuery 3.2.1
	[2ea4d5705073] <jquery_update>

	* web/jquery/ui/i18n/datepicker-af.js, web/jquery/ui/i18n/datepicker-
	ar-DZ.js, web/jquery/ui/i18n/datepicker-ar.js, web/jquery/ui/i18n
	/datepicker-az.js, web/jquery/ui/i18n/datepicker-be.js,
	web/jquery/ui/i18n/datepicker-bg.js, web/jquery/ui/i18n/datepicker-
	bs.js, web/jquery/ui/i18n/datepicker-ca.js, web/jquery/ui/i18n
	/datepicker-cs.js, web/jquery/ui/i18n/datepicker-cy-GB.js,
	web/jquery/ui/i18n/datepicker-da.js, web/jquery/ui/i18n/datepicker-
	de.js, web/jquery/ui/i18n/datepicker-el.js, web/jquery/ui/i18n
	/datepicker-en-AU.js, web/jquery/ui/i18n/datepicker-en-GB.js,
	web/jquery/ui/i18n/datepicker-en-NZ.js, web/jquery/ui/i18n
	/datepicker-eo.js, web/jquery/ui/i18n/datepicker-es.js,
	web/jquery/ui/i18n/datepicker-et.js, web/jquery/ui/i18n/datepicker-
	eu.js, web/jquery/ui/i18n/datepicker-fa.js, web/jquery/ui/i18n
	/datepicker-fi.js, web/jquery/ui/i18n/datepicker-fo.js,
	web/jquery/ui/i18n/datepicker-fr-CA.js, web/jquery/ui/i18n
	/datepicker-fr-CH.js, web/jquery/ui/i18n/datepicker-fr.js,
	web/jquery/ui/i18n/datepicker-gl.js, web/jquery/ui/i18n/datepicker-
	he.js, web/jquery/ui/i18n/datepicker-hi.js, web/jquery/ui/i18n
	/datepicker-hr.js, web/jquery/ui/i18n/datepicker-hu.js,
	web/jquery/ui/i18n/datepicker-hy.js, web/jquery/ui/i18n/datepicker-
	id.js, web/jquery/ui/i18n/datepicker-is.js, web/jquery/ui/i18n
	/datepicker-it-CH.js, web/jquery/ui/i18n/datepicker-it.js,
	web/jquery/ui/i18n/datepicker-ja.js, web/jquery/ui/i18n/datepicker-
	ka.js, web/jquery/ui/i18n/datepicker-kk.js, web/jquery/ui/i18n
	/datepicker-km.js, web/jquery/ui/i18n/datepicker-ko.js,
	web/jquery/ui/i18n/datepicker-ky.js, web/jquery/ui/i18n/datepicker-
	lb.js, web/jquery/ui/i18n/datepicker-lt.js, web/jquery/ui/i18n
	/datepicker-lv.js, web/jquery/ui/i18n/datepicker-mk.js,
	web/jquery/ui/i18n/datepicker-ml.js, web/jquery/ui/i18n/datepicker-
	ms.js, web/jquery/ui/i18n/datepicker-nb.js, web/jquery/ui/i18n
	/datepicker-nl-BE.js, web/jquery/ui/i18n/datepicker-nl.js,
	web/jquery/ui/i18n/datepicker-nn.js, web/jquery/ui/i18n/datepicker-
	no.js, web/jquery/ui/i18n/datepicker-pl.js, web/jquery/ui/i18n
	/datepicker-pt-BR.js, web/jquery/ui/i18n/datepicker-pt.js,
	web/jquery/ui/i18n/datepicker-rm.js, web/jquery/ui/i18n/datepicker-
	ro.js, web/jquery/ui/i18n/datepicker-ru.js, web/jquery/ui/i18n
	/datepicker-sk.js, web/jquery/ui/i18n/datepicker-sl.js,
	web/jquery/ui/i18n/datepicker-sq.js, web/jquery/ui/i18n/datepicker-
	sr-SR.js, web/jquery/ui/i18n/datepicker-sr.js, web/jquery/ui/i18n
	/datepicker-sv.js, web/jquery/ui/i18n/datepicker-ta.js,
	web/jquery/ui/i18n/datepicker-th.js, web/jquery/ui/i18n/datepicker-
	tj.js, web/jquery/ui/i18n/datepicker-tr.js, web/jquery/ui/i18n
	/datepicker-uk.js, web/jquery/ui/i18n/datepicker-vi.js,
	web/jquery/ui/i18n/datepicker-zh-CN.js, web/jquery/ui/i18n
	/datepicker-zh-HK.js, web/jquery/ui/i18n/datepicker-zh-TW.js:
	Updated with latest jQuery UI datepicker i18n files.
	[0a5e06fc7f76] <jquery_update>

	* web/jquery/ui/css/jquery-ui.structure.css, web/jquery/ui/css/jquery-
	ui.structure.min.css, web/jquery/ui/css/sunny/images/ui-
	bg_diagonals-medium_20_d34d17_40x40.png,
	web/jquery/ui/css/sunny/images/ui-bg_flat_30_cccccc_40x100.png,
	web/jquery/ui/css/sunny/images/ui-bg_flat_50_5c5c5c_40x100.png,
	web/jquery/ui/css/sunny/images/ui-bg_gloss-
	wave_45_817865_500x100.png, web/jquery/ui/css/sunny/images/ui-
	bg_gloss-wave_60_fece2f_500x100.png, web/jquery/ui/css/sunny/images
	/ui-bg_gloss-wave_70_ffdd57_500x100.png,
	web/jquery/ui/css/sunny/images/ui-bg_gloss-
	wave_90_fff9e5_500x100.png, web/jquery/ui/css/sunny/images/ui-
	bg_highlight-soft_100_feeebd_1x100.png,
	web/jquery/ui/css/sunny/images/ui-bg_inset-soft_30_ffffff_1x100.png,
	web/jquery/ui/css/sunny/images/ui-icons_3d3d3d_256x240.png,
	web/jquery/ui/css/sunny/images/ui-icons_bd7b00_256x240.png,
	web/jquery/ui/css/sunny/images/ui-icons_d19405_256x240.png,
	web/jquery/ui/css/sunny/images/ui-icons_eb990f_256x240.png,
	web/jquery/ui/css/sunny/images/ui-icons_ed9f26_256x240.png,
	web/jquery/ui/css/sunny/images/ui-icons_fadc7a_256x240.png,
	web/jquery/ui/css/sunny/images/ui-icons_ffe180_256x240.png,
	web/jquery/ui/css/sunny/jquery-ui.theme.css, web/jquery/ui/css/sunny
	/jquery-ui.theme.min.css, web/jquery/ui/jquery-ui.js, web/jquery/ui
	/jquery-ui.min.js:
	Upgraded to jQuery UI v1.12.1. See SF Bugs #392.
	[60ce98cf4580] <jquery_update>

	* Created a new named branch for updating jQuery and jQuery UI
	[7964d2064c06] <jquery_update>

2017-09-27  John Beranek  <john.beranek@pressassociation.com>

	* AUTHENTICATION:
	Fixed a few typos in the SAML auth documentation
	[978e4d044281]

2017-09-25  Jørn Åne  <hg@jornane.no>

	* AUTHENTICATION, web/auth/auth_saml.inc,
	web/session/session_saml.inc:
	Add SAML auth and session schemes
	[31199c4a3a27]

2017-09-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_db.inc:
	Removed redundant global statement
	[8bae804fc677]

	* web/auth/auth_db.inc:
	Fixed bug in password rehashing
	[71c66a212f4b]

2017-09-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Added some error handling in the event of an invalid user id
	[82773ae95b38]

2017-08-18  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc:
	Fixed problem with validation of multiple email addresses - see SF
	Support Requests #1290. [The problem only manifests itself with
	certain values of $patternselect, eg 'php', used in
	PHPMailer::validateAddress()]
	[e54c3241331a]

2017-08-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/language.inc:
	Updated link to Microsoft language codes
	[6e6706430815]

2017-08-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lang/lang.ro, web/language.inc:
	Added a Romanian language trtanslation, thanks to Mihai Andreana.
	See SF Support requests 1285.
	[08e4cce04c5c]

2017-07-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge
	[a9cf8a66e4ff]

	* web/del_entry.php:
	Fixed theoretical bug
	[b6c9c2d547bf]

	* web/view_entry.php:
	Fixed a problem with buttons not appearing if the user is logged in
	with a username in a different case to the creator of the booking.
	[5c160dbec435]

2017-06-23  John Beranek  <jberanek@users.sourceforge.net>

	* tables.pg.sql:
	Corrected name of PostgreSQL trigger in the schema definition.
	[66b4241c362f]

2017-06-06  John Beranek  <jberanek@users.sourceforge.net>

	* web/upgrade/52/post.inc:
	Split the "CREATE LANGUAGE" section of the Postgresql db schema 52
	upgrade into 3 SQL commands.
	[c6cd951e0a44]

2017-06-03  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge
	[372d2538aa69]

	* web/edit_users.php:
	Added sorting by the real date on the timestamp column in the users
	table.
	[836f12a17665]

2017-06-02  John Beranek  <jberanek@users.sourceforge.net>

	* web/upgrade/52/post.inc:
	Upgrade 52 improved to install plpgsql language, if required, before
	creating a plpgsql function.
	[37d6d1f56691]

2017-06-01  John Beranek  <jberanek@users.sourceforge.net>

	* web/edit_users.php:
	Merged with default.
	[666f5a0c7bd3]

	* tables.my.sql, tables.pg.sql, web/dbsys.inc, web/edit_users.php,
	web/lang/lang.en, web/upgrade/52/mysql.sql,
	web/upgrade/52/pgsql.sql, web/upgrade/52/post.inc:
	Added a timestamp column to the users table, and support for viewing
	it.

	Added function and triggers for updating the timestamp columns when
	using PostgreSQL.
	[9b872faec92c]

2017-05-31  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Added an error message which would have helped in debugging SF
	Support Requests #1238.
	[667eae378df5]

	* web/del.php, web/del_entry.php, web/edit_area_room.php,
	web/edit_users.php, web/session/session_http.inc:
	Made all calls to header() use the lowercase version of the function
	name,for consistency within MRBS and with the function declaration.
	[ac4e4b9b927f]

2017-05-30  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Fixed bug causing ordinary users sometimes not to be able to change
	their own passwords. See SF Support Requests #1238.
	[d15543350b4a]

2017-05-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge
	[84a027ad97c1]

	* Merging periods_per_area branch back into the default branch
	[1b132bd10e5d]

	* Closing periods_per_area branch
	[18fdb63faae9] <periods_per_area>

2017-04-25  John Beranek  <jberanek@users.sourceforge.net>

	* web/systemdefaults.inc.php:
	Added a little more description around $ldap_dn_search_dn config
	[d3c2becfe197]

2017-04-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php, web/js/edit_area_room.js.php:
	Fixed a problem whereby when there was only one period name the
	delete symbol would appear briefly before being removed.
	[003bcd0ae591] <periods_per_area>

	* web/edit_area_room.php:
	Handled the exceptional error case when there are no periods
	defined.
	[22364b27b0a9] <periods_per_area>

2017-04-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php:
	Tweaked CSS
	[f121eedfd1c6] <periods_per_area>

	* web/edit_entry.php, web/js/edit_entry.js.php:
	Fixed checks for maximum duration
	[cb0a5e94fc9f] <periods_per_area>

	* web/functions.inc:
	Merge with default
	[c48bd0b98159] <periods_per_area>

	* web/functions.inc:
	Fixed bug causing an error on the edit_entry page when using periods
	when the times settings fall within certain bounds.
	[76d9c6b86f02]

	* web/edit_entry.php, web/js/edit_entry.js.php:
	Commit of work to date
	[842bd4f37570] <periods_per_area>

2017-04-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc, web/month.php:
	Made period_time_string() consistent with period_date_string().
	[d9cdf2b7aafb] <periods_per_area>

	* web/functions.inc, web/functions_view.inc, web/mrbs_sql.inc,
	web/report.php:
	Fixed durations
	[86cc17606b3e] <periods_per_area>

	* web/functions.inc, web/functions_view.inc, web/mrbs_sql.inc,
	web/pending.php, web/report.php, web/search.php:
	Started fixing the display of period names
	[17f9683caa60] <periods_per_area>

	* Merge with default
	[f2e5f236ae9c] <periods_per_area>

	* tables.my.sql, tables.pg.sql, web/dbsys.inc,
	web/upgrade/50/mysql.sql, web/upgrade/50/pgsql.sql,
	web/upgrade/50/post.inc, web/upgrade/51/mysql.sql,
	web/upgrade/51/pgsql.sql, web/upgrade/51/post.inc:
	Fixed a problem with null values in the periods column (and at the
	same time discovered that upgrade 50 had never been added).
	[4b175e59a81b]

	* web/mrbs_sql.inc:
	Fixed creation of areas so that the correect default is used for
	periods,
	[51691c542d73]

	* Merge with default
	[3cd7962a68ef] <periods_per_area>

	* web/functions.inc, web/internalconfig.inc.php:
	Added handling for null values of periods
	[6c4f074c6d3e]

2017-04-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area_room.php:
	Re-enabled the facility to have different period names in each area.
	[b2344e8b34b0] <periods_per_area>

	* Created a new branch for the development of a feature allowing
	period names to be set on an area basis.
	[8ae44ffe160d] <periods_per_area>

	* web/edit_area_room.php:
	Disabled the facility to have different periods in each area
	[3f616956f135]

	* web/js/edit_area_room.js.php:
	Made sure there's always at least one period.
	[e39eb47cf7a4]

	* web/css/mrbs.css.php:
	Made the cursor a pointer when you hover over the delete period
	symbol.
	[c32bad59e4ba]

	* web/areadefaults.inc.php, web/css/mrbs-ielte8.css,
	web/css/mrbs.css.php, web/edit_area_room.php,
	web/js/edit_area_room.js.php, web/lang/lang.en,
	web/systemdefaults.inc.php:
	Added the ability to add and remove period names in an area.
	[b6e5421acc75]

	* tables.my.sql, tables.pg.sql, web/dbsys.inc, web/edit_area_room.php,
	web/functions.inc, web/js/edit_area_room.js.php, web/lang/lang.en:
	Added the ability to have different period names in each area. See
	SF Support Requests 1214. For the moment every area has to have the
	same number of periods.
	[accc8367b2cd]

	* web/edit_area_room.php:
	Restructured
	[ebe6cb7cedc8]

	* web/edit_area_room.php:
	Restructured
	[e81ce4831d23]

	* web/edit_area_room.php:
	Fixed problem with colon appearing when it shouldn't.
	[3b654cad03f0]

2017-04-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lang/lang.eu, web/lang/lang.sv:
	Removed colons which are now provided by CSS (they must have been
	missed the last time).
	[d70a4b0db506]

	* web/lang/lang.ca, web/lang/lang.es, web/lang/lang.eu,
	web/lang/lang.nb, web/lang/lang.nn, web/lang/lang.no,
	web/lang/lang.sv:
	Removed colons which are now provided by CSS (they must have been
	missed the last time).
	[f7b05599cc73]

	* web/lang/lang.es:
	Fixed syntax errors
	[cde81ecad035]

	* web/lang/lang.es:
	Updated Spanish language file. Thanks to JLMartin. See SF Feature
	Requests #355.
	[bde7a5085ae4]

2017-04-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry_handler.php, web/lib/MRBS/DB.php,
	web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php,
	web/mrbs_sql.inc:
	Fixed transaction problems. See SF Support Requests #977.
	[bca0b4f5b042]

	* web/lib/MRBS/DB.php, web/lib/MRBS/DB_mysql.php,
	web/lib/MRBS/DB_pgsql.php:
	Altered transaction methods to use PDO transaction methods.
	[0b445cca4b04]

2017-04-05  John Beranek  <jberanek@users.sourceforge.net>

	* web/lib/MRBS/DB.php:
	Made the DB connection DSN more strictly correct.
	[e9376b765aa2]

	* web/lib/MRBS/DB.php:
	Support setting $db_host to "" (or unset), to indicate you'd like
	MRBS to use the default Unix domain socket instead of TCP. See
	[bugs:#384]. On Linux at least, this works for both MySQL and
	PostgreSQL.
	[0fe8e6c91c84]

2017-03-30  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_table.inc:
	Renamed variables
	[fb96328cb346]

	* web/functions_table.inc:
	Fixed (hopefully properly this time) bug causing a booking occupying
	a single slot at the end of the day not to show in the day and week
	views. See SF Support Requests 1207.
	[c398a4904bc9]

	* web/functions_table.inc:
	Reverted last change
	[9da195f06ef7]

	* web/functions_table.inc:
	Fixed bug causing a booking occupying a single slot at the end of
	the day not to show in the day and week views. See SF Support
	Requests 1207.
	[3c92a9d2a538]

	* web/edit_entry_handler.php:
	Reverted previous change as it didn't solve the problem. See SF Bugs
	#383.
	[6b7c9093ee1b]

2017-03-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry_handler.php:
	Made the return URL an absolute instead of relative location. See SF
	Bugs #383.
	[ebe0e8bd02a1]

2017-03-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry_handler.php:
	Rewrote the code for getting $returl - see SF Bugs #383
	[6960bb033647]

2017-03-21  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php:
	Improved word breaking slightly on webkit browsers. See SF Support
	Requests #951 and #1200.
	[53347eb130d1]

2017-03-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/view_entry.php:
	Added comment.
	[72e19dde3e61]

	* web/view_entry.php:
	Removed redundant line of code
	[0c686356c109]

2017-03-19  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/del_entry_ajax.php:
	Restricted passing of ids parameter to del_entry_ajax to POST.
	[deef880268e7]

	* web/del_entry.php:
	Made the note form variable POST-only for good measure
	[c4d8a3903f61]

	* web/del_entry.php:
	Restricted passing of id parameter to del_entry to POST.
	[83b31ab4154f]

	* web/view_entry.php:
	Fixed problem with extra colons
	[8fed4546ccfe]

	* web/view_entry.php:
	Fixed bug introduced in recent changes.
	[5d2923fee89b]

	* web/css/mrbs.css.php, web/view_entry.php:
	Restructured and made the view_entry links line up.
	[b25e26ddf9af]

	* web/lang/lang.ca, web/lang/lang.cs, web/lang/lang.da,
	web/lang/lang.de, web/lang/lang.el, web/lang/lang.en,
	web/lang/lang.fi, web/lang/lang.fr, web/lang/lang.he,
	web/lang/lang.hu, web/lang/lang.id, web/lang/lang.it,
	web/lang/lang.nb, web/lang/lang.nl, web/lang/lang.nn,
	web/lang/lang.no, web/lang/lang.pl, web/lang/lang.pt, web/lang/lang
	.pt-br, web/lang/lang.ru, web/lang/lang.sk, web/lang/lang.sl,
	web/lang/lang.sr-rs-latin, web/lang/lang.sv, web/lang/lang.tr,
	web/lang/lang.zh-cn, web/lang/lang.zh-tw:
	Removed new lines from JavaScript confirm messages. Modern browsers
	can handle long lines.
	[b5c294306cad]

	* web/css/mrbs-ielte8.css, web/css/mrbs.css.php, web/view_entry.php:
	Fixed problem with an extra colon on Remind Admin line
	[d07ebb609e20]

	* web/view_entry.php:
	Restructured
	[1bc83a43d623]

	* web/view_entry.php:
	Fixed HTML5 validation error
	[a1520fac8671]

	* web/css/mrbs.css.php, web/view_entry.php:
	Restructured
	[31fbf04b3a6c]

2017-03-18  John Beranek  <jberanek@users.sourceforge.net>

	* web/edit_users.php:
	Disallow password changes from edit_users.php via GET.
	[2e745e6cdcc9]

2017-03-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs-ielte8.css, web/css/mrbs.css.php, web/trailer.inc:
	Moved colons in trailer out of HTML and into CSS.
	[83560c204a88]

	* web/view_entry.php:
	Fixed problem with double colon
	[40787df1fa35]

2017-03-16  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/general.js.php, web/session/functions_session.inc,
	web/session/session_cookie.inc, web/session/session_joomla.inc,
	web/session/session_php.inc, web/session/session_wordpress.inc:
	Restructured
	[df3e77c185ba]

	* web/grab_globals.inc.php, web/session/session_cookie.inc,
	web/session/session_joomla.inc, web/session/session_php.inc,
	web/session/session_wordpress.inc:
	Restricted passing of username and password to POST variables as a
	security measure. See SF Feature Requests #351.
	[9fe6d6ffe075]

	* web/grab_globals.inc.php:
	Restructured code
	[0c7a8ece7592]

	* web/session/functions_session.inc, web/session/session_cookie.inc,
	web/session/session_joomla.inc, web/session/session_php.inc,
	web/session/session_wordpress.inc:
	Restructured code
	[553b69e54c49]

	* web/mrbs_auth.inc:
	Changed access level for check_slot_ajax to match edit_entry.
	[60eca9fd7e31]

	* web/mrbs_auth.inc:
	Made the default access level 1 for the report, search and
	view_entry pages to prevent usernames being revealed. See SF Feature
	Requests #351.
	[835ed3018d6f]

2017-03-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mincals.inc:
	Minor restructuring
	[055b07e16a40]

	* web/mincals.inc:
	Made $html a static variable so that the day names are calculated
	only once, instead of three times.
	[73c16d65dcd6]

	* web/mincals.inc:
	Added a comment
	[34421a853e7c]

	* web/mincals.inc:
	Restructured to improve readability.
	[b9fee9549d8b]

	* web/systemdefaults.inc.php:
	Excluded seconds from the default representation of start and end
	time. See SF Bugs #381.
	[06606446e393]

	* web/functions_table.inc:
	Removed colon from row label header. See SF Feature Requests #349.
	[c5b1ce556f98]

	* web/functions.inc, web/systemdefaults.inc.php:
	Added new config variable $weekdays to define weekdays and weekends,
	allowing for the possibility that weekdays are not the same as
	woreking days.
	[f05820862a08]

	* web/mincals.inc:
	Removed &nbsp; from blank cells. No longer necessary with today's
	browsers.
	[3c25afbae66d]

	* web/functions.inc, web/mincals.inc:
	Changed calculation of whether a day is a weeekend day to use
	$working_days, instead of Saturday and Sunday, to allow for locales,
	eg Saudi Arabia, where the weekend does not fall on Sat and Sun.
	[1a178d511adc]

2017-03-15  John Beranek  <jberanek@users.sourceforge.net>

	* web/mincals.inc:
	Added some CSS classes to the minicals.
	[f279a0acaebb]

2017-03-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lang/lang.sv:
	Amended translation.
	[c91e26f04d09]

	* web/lang/lang.sv:
	Added Swedish translations. Thanks to Lars Olsson. See SF Support
	Requests 1188.
	[8d3e1e28054c]

	* web/lang/lang.en:
	Removed whitespace
	[1f625f508196]

2017-03-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_sql.inc:
	Fixed a bug with the display of entries starting at 0000 in the
	month view. See SF Support Requests #1186.
	[82397e6891f3]

2017-03-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc, web/js/edit_entry.js.php,
	web/js/resizable.js.php, web/report.php:
	Eliminated the function mrbs_entity_decode() as it's unnecessary now
	that the PHP version is at least 5.3.3.
	[6bfad1d8c4d2]

	* web/language.inc:
	Set PHP's default charset
	[9a9c4e996b03]

	* web/report.php:
	Fixed bug with production of a .csv report, introduced during a
	recent change.
	[0b8911af95bf]

	* web/edit_entry.php, web/functions_mail.inc, web/functions_table.inc,
	web/js/functions.js.php, web/month.php, web/mrbs_sql.inc,
	web/pending.php, web/search.php, web/systemdefaults.inc.php:
	Changed the way that period names are defined so that they can now
	contain special chars and are put through htmlspecialchars() before
	being output to the browser. (Previously the site administrator had
	to encode special chars).
	[fef4827b4456]

2017-03-11  John Beranek  <jberanek@users.sourceforge.net>

	* web/functions_mail.inc, web/systemdefaults.inc.php:
	Added even more options for configuring PHPMailer TLS settings.
	[4667e94f6722]

	* web/config.inc.php:
	Added mode/coding hint and removed $Id$ from config.inc.php
	[d7825f877dcb]

2017-03-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Removed the '&nbsp;' characters from the default period descriptions
	as they are unnecessary: CSS ensures that the descriptions don't
	wrap.
	[86341539068a]

	* web/edit_entry.php:
	Fixed problem of '&nbsp;' appearing in period description in slot
	selector.
	[24aed4a02c78]

2017-03-10  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lang/lang.pt:
	Added the translation for "back".
	[4af65c950230]

	* web/js/edit_entry.js.php, web/lang/lang.en, web/lang/lang.fr:
	Moved colons out of .js files and into lang files. (Can't very
	easily produce colons using CSS content property because we're also
	using these strings in the title attribute for a tooltip).
	[a93f1be83329]

	* web/lang/lang.pt:
	Updated Portuguese translation. Thanks to Paulo Resende. See SF
	Support Requests #1178.
	[b3d5d069208d]

	* web/js/edit_entry.js.php:
	Added a comment
	[603fad9aeeec]

	* web/css/mrbs-ielte8.css, web/css/mrbs.css.php, web/edit_entry.php,
	web/edit_entry_handler.php, web/import.php,
	web/js/edit_entry.js.php, web/js/resizable.js.php, web/lang/lang.en,
	web/mrbs_sql.inc:
	Added a warning symbol on the edit_entry page instead of a green
	tick when an admin makes a booking that would normally violate one
	or more of the policy rules. See SF Support Requests 1171.
	[3dcb50054078]

2017-03-09  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs-ielte8.css, web/css/mrbs.css.php, web/edit_entry.php,
	web/js/edit_entry.js.php:
	Moved checkmark and cross on booking form out of HTML and into CSS.
	[9b016fa1083d]

2017-03-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/edit_entry.js.php:
	Removed an unnecessary replacement of the colon at the end of the
	label, now that the colon is not part of the label but generated as
	a CSS pseudo-element.
	[7f24e8633cd0]

	* web/js/edit_entry.js.php:
	Stripped out HTML tags and entities from validation messages. See SF
	Bugs #380.
	[40312b9f58a0]

2017-03-06  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs-ielte8.css, web/css/mrbs.css.php:
	Made use of nbsp hex value in CSS consistent.
	[c14e2a2e995d]

	* web/css/mrbs-ielte8.css, web/css/mrbs.css.php:
	Used pseudo-elements instead of pseudo-classes for before and after.
	[391b2844321f]

	* web/lang/lang.cs, web/lang/lang.da, web/lang/lang.de,
	web/lang/lang.el, web/lang/lang.en, web/lang/lang.fi,
	web/lang/lang.fr, web/lang/lang.hu, web/lang/lang.id,
	web/lang/lang.it, web/lang/lang.ja, web/lang/lang.ko,
	web/lang/lang.nl, web/lang/lang.pl, web/lang/lang.pt, web/lang/lang
	.pt-br, web/lang/lang.ru, web/lang/lang.sk, web/lang/lang.sl,
	web/lang/lang.sr-rs-latin, web/lang/lang.th, web/lang/lang.tr,
	web/lang/lang.zh-cn, web/lang/lang.zh-tw:
	Removed the supplementary information in the 'fulldescription' text
	string. It didn't help and indeed was misleading as things like the
	type have their own form field.
	[33c8b31d8591]

	* web/Themes/default/header.inc:
	Moved colons out of HTML and into CSS
	[d12e8e029b0c]

	* web/functions_view.inc, web/lang/lang.fr, web/view_entry.php:
	Moved colons out of HTML and into CSS
	[db4e7812c046]

	* web/css/mrbs-ielte8.css, web/css/mrbs.css.php, web/help.php:
	Moved colons out of HTML and into CSS
	[4457f4583da2]

	* web/site_faq/site_faq.html, web/site_faq/site_faq_cs.html,
	web/site_faq/site_faq_de.html, web/site_faq/site_faq_es.html,
	web/site_faq/site_faq_fr.html, web/site_faq/site_faq_it.html,
	web/site_faq/site_faq_nl.html, web/site_faq/site_faq_sv.html:
	Added lang attributes to the Help pages.
	[ea842f2046d0]

	* web/Themes/default/header.inc, web/css/mrbs-ielte8.css,
	web/css/mrbs.css.php, web/language.inc:
	Added a language attribute to the <html> element and then adjusted
	the CSS for labels for French.
	[bb9a49995c99]

	* web/admin.php, web/css/mrbs-ielte8.css, web/css/mrbs.css.php,
	web/edit_area_room.php, web/edit_entry.php, web/edit_users.php,
	web/functions.inc, web/import.php, web/js/edit_area_room.js.php,
	web/report.php, web/search.php, web/session/functions_session.inc:
	Moved the colon after form labels out of HTML and into CSS so that
	it can easily be changed for languages that expect a different
	treatment (eg French).
	[b851618aee0c]

2017-03-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc, web/search.php:
	Made parameter order consistent with other functions.
	[f3e264491bb1]

	* web/Themes/default/header.inc, web/functions.inc, web/search.php:
	Restructured
	[02451c91f114]

	* web/admin.php, web/approve_entry_handler.php, web/day.php,
	web/dbsys.inc, web/del.php, web/del_entry.php,
	web/edit_area_room.php, web/edit_entry.php,
	web/edit_entry_handler.php, web/edit_users.php, web/functions.inc,
	web/help.php, web/month.php, web/mrbs_auth.inc, web/pending.php,
	web/report.php, web/search.php, web/session/session_cookie.inc,
	web/session/session_joomla.inc, web/session/session_php.inc,
	web/session/session_wordpress.inc, web/view_entry.php, web/week.php:
	Restuctured code, changing calls to print_header().
	[65b140aa769b]

	* web/Themes/default/header.inc, web/functions.inc:
	Restructured
	[f35a17b2b760]

	* web/Themes/default/header.inc, web/language.inc:
	Eliminated $locale_warning global and moved reporting of locale
	setting problems to the error mechanism rather than the browser.
	[13d639904fc0]

	* web/Themes/default/header.inc, web/functions.inc, web/search.php:
	Eliminated a global.
	[631561099f00]

	* web/session/functions_session.inc:
	Renamed variable
	[244739bbe907]

	* web/.htaccess-apache-2.4, web/.htaccess-apache-pre-2.4:
	Removed "ExpiresActive Off" directive as it is no longer necessary
	given other fixes and could interfere with a site's caching policy.
	See SF Bugs #379.
	[a2bb229020c5]

2017-03-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge
	[53d2a63e0ae7]

	* web/css/mrbs.css.php, web/help.php, web/lang/lang.en:
	Added some configuration information to the Help page (for admins
	only)
	[0cbeff4bdbd3]

2017-03-04  John Beranek  <jberanek@users.sourceforge.net>

	* web/auth/auth_ldap.inc:
	Added missing variable declaration.
	[26b61e6bce67]

2017-03-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/help.php:
	Restricted server details to admins, for security reasons
	[316e73eb000e]

	* web/auth/auth_ldap.inc:
	Added an explicit return.
	[aa2cd6bd259a]

	* web/js/edit_users.js.php, web/js/report.js.php,
	web/js/search.js.php:
	Eliminated use of $HTTP_REFERER, thus allowing the files to be
	cached.
	[b900be2194ae]

2017-03-03  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc, web/help.php, web/lang/lang.en:
	Added Server Software information to the Help information, to help
	with determining the Apache version for choosing a .htaccess file -
	as well as being generally useful for support.
	[635a6c61b6b9]

	* Reintegrated login_with_email_address named branch. MRBS now
	supports login by username or email address, when the authentication
	type allows it. If login by email address is supported then it is
	also possible to login using just the local-part of the email
	address - but this feature has to be enabled by a config variable
	setting.
	[f26a70a2b158]

	* Close login_with_email_address branch
	[11f6ef60f061] <login_with_email_address>

2017-03-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/session/session_http.inc, web/session/session_remote_user.inc:
	Added missing require statements.
	[2b60b1baaeb7] <login_with_email_address>

	* web/session/session_remote_user.inc:
	Moved the position of the user list link for consistency with the
	other session schemes.
	[0e9aaf50b802] <login_with_email_address>

	* web/session/functions_session.inc, web/session/session_cookie.inc,
	web/session/session_http.inc, web/session/session_joomla.inc,
	web/session/session_php.inc, web/session/session_remote_user.inc,
	web/session/session_wordpress.inc:
	Moved generation of user list link out into a function.
	[39262931e0ea] <login_with_email_address>

	* web/session/functions_session.inc, web/session/session_cookie.inc,
	web/session/session_http.inc, web/session/session_joomla.inc,
	web/session/session_php.inc, web/session/session_wordpress.inc:
	Moved generation of Unknown User link and Login button out into
	functions
	[d09bdabf670d] <login_with_email_address>

	* web/session/functions_session.inc, web/session/session_cookie.inc,
	web/session/session_joomla.inc, web/session/session_php.inc,
	web/session/session_wordpress.inc:
	Moved generation of the Logoff button out into a function.
	[c391c0c6e1cd] <login_with_email_address>

	* web/lang/lang.en:
	Changed title text to reflect the fact that the "You are [username]"
	link no longer displays all the user's upcoming entries, but just
	those for the next 60 days (by default).
	[2c2f7d0d46ad] <login_with_email_address>

	* web/Themes/default/header.inc, web/session/functions_session.inc,
	web/session/session_cookie.inc, web/session/session_http.inc,
	web/session/session_joomla.inc, web/session/session_php.inc,
	web/session/session_remote_user.inc,
	web/session/session_wordpress.inc:
	Moved the "You are [username]" link out into a function.
	[a1ef55c35f62] <login_with_email_address>

	* web/.htaccess, web/Themes/default/header.inc, web/css/mrbs.css.php,
	web/lang/lang.en, web/systemdefaults.inc.php:
	Merge with default
	[e31799d3177b] <login_with_email_address>

	* web/functions.inc:
	Fixed bug when using custom themes. See SF Support Requests #1170.
	[3bfd711c5fa5]

2017-03-01  John Beranek  <jberanek@users.sourceforge.net>

	* INSTALL, web/.htaccess, web/.htaccess-apache-2.4, web/.htaccess-
	apache-pre-2.4:
	Moved MRBS's .htaccess file into 2 separate example .htaccess files
	for different versions of Apache. The old .htaccess caused 500
	errors with a stock Apache 2.4 configuration.
	[75e96fcd3e67]

2017-03-01  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lang/lang.en:
	Capitalised "goto" button. See SF Support Requests 1167.
	[d47a9f85fb60]

	* web/Themes/default/header.inc, web/check_slot_ajax.php, web/css
	/mrbs-ielte7.css.php, web/css/mrbs-print.css.php, web/css/mrbs-
	rtl.css.php, web/css/mrbs.css.php, web/edit_entry_handler.php,
	web/edit_users.php, web/functions.inc, web/js/admin.js.php,
	web/js/cell_click.js.php, web/js/datatables.js.php,
	web/js/datepicker.js.php, web/js/edit_area_room.js.php,
	web/js/edit_entry.js.php, web/js/edit_users.js.php,
	web/js/functions.js.php, web/js/general.js.php,
	web/js/multiple.js.php, web/js/pending.js.php,
	web/js/refresh.js.php, web/js/report.js.php,
	web/js/resizable.js.php, web/js/search.js.php, web/report.php,
	web/search.php, web/view_entry.php:
	Restructured code so that when the HTTP headers are sent caching is
	disabled by default. For files that can be cached then the expiry
	date has to be set explicitly in http_headers(). This is to avoid
	problems with files being cached when they shouldn't be.
	[34a7b75dc8c7]

	* web/check_slot_ajax.php, web/edit_users.php, web/report.php,
	web/search.php, web/view_entry.php:
	Added headers to disable caching when sending application data, eg
	JSON or iCalendar. Although the PHP session scheme will normally add
	these headers when $auth['session'] is set to 'php', this won't
	happen in some other session schemes, eg 'cookie'. So MRBS
	explicitly adds the headers itself just to make sure.
	[9e1f7e31c5f5]

	* Merge with 1.6.1
	[9a30929fe771]

	* web/.htaccess, web/functions.inc:
	Made sure that caching is disabled when it should be. See SF Bugs
	#379.
	[b16bd29d0236]

2017-02-26  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_logon.inc, web/session/functions_session.inc,
	web/session/session_cookie.inc, web/session/session_joomla.inc,
	web/session/session_php.inc, web/session/session_wordpress.inc:
	Moved and renamed functions_logon.inc
	[d9f9c8993ad4] <login_with_email_address>

2017-02-27  John Beranek  <jberanek@users.sourceforge.net>

	* web/systemdefaults.inc.php:
	Set the default value of $smtp_settings['secure'] to '', so that TLS
	will not be attempted without the SMTP server advertising TLS
	support.
	[23726c727625]

2017-02-26  John Beranek  <jberanek@users.sourceforge.net>

	* .hgtags:
	Added tag mrbs-1_6_1 for changeset f392e68914ab
	[623bbe92e607]

	* ChangeLog, NEWS:
	Updated ChangeLog and NEWS for release
	[f392e68914ab] [mrbs-1_6_1]

	* web/version_num.inc:
	Updated version number for release
	[0068c1f9867d]

2017-02-26  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/Themes/default/header.inc:
	Yet another fix to merge
	[e946da8db624] <login_with_email_address>

	* web/Themes/default/header.inc:
	Further fix to merge
	[878ff4b748cc] <login_with_email_address>

	* web/Themes/default/header.inc:
	Fixed merge
	[61302b068324] <login_with_email_address>

	* web/Themes/default/header.inc, web/css/mrbs.css.php:
	Merge with default
	[9dd0e62322d9] <login_with_email_address>

	* web/css/mrbs.css.php:
	Fixed the header height when there are error messages sent to the
	browser
	[a0651591b1f3]

	* web/Themes/default/header.inc:
	Made the "simple" banner work, used when there's a fatal error.
	[754af658c049]

2017-02-25  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/Themes/default/header.inc, web/css/mrbs.css.php:
	Fixed header layout problem in IE11 and below when using a tall
	logo. See SF Support Requests #1158.
	[69eb423578d1]

2017-02-23  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge with default
	[a0ef9bc5d9a9] <login_with_email_address>

	* web/approve_entry_handler.php:
	Fixed bug causing incorrect status to be given on mails sent out
	when an entry is approved. See SF Bugs #320.
	[67a6912f5789]

	* web/session/session_cookie.inc:
	Merge with default
	[ecf13f5ce50d] <login_with_email_address>

	* web/session/session_cookie.inc:
	Fixed checking of return value of getUserName()
	[0ab691c6b12c]

	* web/session/session_cookie.inc:
	Fixed checking of return value of getUserName()
	[3c327b64832b] <login_with_email_address>

	* web/session/session_cookie.inc, web/session/session_http.inc,
	web/session/session_joomla.inc, web/session/session_php.inc,
	web/session/session_wordpress.inc:
	Removed redundant use of $url_base (it can't have been doing
	anything anyway as there were no global declarations)
	[70379453a15f] <login_with_email_address>

2017-02-22  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/session/session_http.inc:
	Removed redundant global declaration
	[9fbb1c181d0e] <login_with_email_address>

	* web/auth/auth_db.inc, web/session/session_cookie.inc,
	web/session/session_http.inc, web/session/session_joomla.inc,
	web/session/session_php.inc, web/session/session_remote_user.inc,
	web/session/session_wordpress.inc:
	Restructured - got rid of $user_list_link global
	[0445f066667b] <login_with_email_address>

	* web/Themes/default/header.inc, web/session/session_cookie.inc,
	web/session/session_http.inc, web/session/session_joomla.inc,
	web/session/session_php.inc, web/session/session_remote_user.inc,
	web/session/session_wordpress.inc:
	Renamed PrintLogonBox()
	[63bb7e90a300] <login_with_email_address>

	* web/Themes/default/header.inc:
	Restructured
	[07267ddeb661] <login_with_email_address>

	* web/functions_logon.inc:
	Put the placeholder text in the label title, to help in cases when
	the text is longer than the input (as it is in some languages).
	[ab7357d40b8f] <login_with_email_address>

	* web/session/session_cookie.inc:
	Added session_cookie support for lon by email address
	[d74488bb53dc] <login_with_email_address>

	* web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php:
	Added PostgreSQL support for last change, and also fixed bug in
	MySQL implementation.
	[90d3683f5eae] <login_with_email_address>

	* web/auth/auth_db.inc, web/lib/MRBS/DB_mysql.php,
	web/systemdefaults.inc.php:
	Allowed users just to use the local-part of their email address when
	logging in, provided the authentication type supports it (only 'db'
	at the moment). Enabled by a config variable.
	[73d40778ac8c] <login_with_email_address>

	* web/auth/auth_auth_basic.inc, web/auth/auth_config.inc,
	web/auth/auth_crypt.inc, web/auth/auth_db.inc,
	web/auth/auth_db_ext.inc, web/auth/auth_ext.inc,
	web/auth/auth_imap.inc, web/auth/auth_imap_php.inc,
	web/auth/auth_ldap.inc, web/auth/auth_nis.inc,
	web/auth/auth_none.inc, web/auth/auth_nw.inc,
	web/auth/auth_pop3.inc, web/auth/auth_smtp.inc,
	web/auth/auth_wordpress.inc, web/functions_logon.inc,
	web/session/session_cookie.inc, web/session/session_http.inc,
	web/session/session_php.inc:
	Catered for the possibility of two users having the same password,
	with one having as username the email address of the other.
	[4a980973586b] <login_with_email_address>

2017-02-21  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_wordpress.inc, web/session/session_wordpress.inc:
	Moved printLoginForm() out
	[04544967c996] <login_with_email_address>

	* web/functions_logon.inc, web/lang/lang.ca, web/lang/lang.cs,
	web/lang/lang.da, web/lang/lang.de, web/lang/lang.el,
	web/lang/lang.en, web/lang/lang.es, web/lang/lang.eu,
	web/lang/lang.fi, web/lang/lang.fr, web/lang/lang.he,
	web/lang/lang.hu, web/lang/lang.id, web/lang/lang.it,
	web/lang/lang.ja, web/lang/lang.ko, web/lang/lang.nb,
	web/lang/lang.nl, web/lang/lang.nn, web/lang/lang.no,
	web/lang/lang.pl, web/lang/lang.pt, web/lang/lang.pt-br,
	web/lang/lang.ru, web/lang/lang.sk, web/lang/lang.sl,
	web/lang/lang.sv, web/lang/lang.th, web/lang/lang.tr, web/lang/lang
	.zh-cn, web/lang/lang.zh-tw:
	Added translations.
	[e153efb13096] <login_with_email_address>

	* web/functions_logon.inc, web/session/session_cookie.inc,
	web/session/session_joomla.inc, web/session/session_php.inc:
	Moved printLoginForm() out into a separate file and also made the
	cookie session scheme accept an email address instead of a username,
	when possible.
	[94929e1ebe65] <login_with_email_address>

	* web/session/session_joomla.inc, web/session/session_wordpress.inc:
	Restructured
	[f86a6a7f12c1] <login_with_email_address>

	* web/session/session_cookie.inc, web/session/session_php.inc:
	Removed redundant global declarations
	[80a2abed20b6] <login_with_email_address>

	* web/session/session_cookie.inc:
	Fixed bug causing getUserName() to return '' instead of null in the
	case of a user not being logged in when using the cookie session
	scheme.
	[ef7604ce0988]

	* web/functions.inc:
	Fixed bug to do with the booking day. Haven't worked out what the
	symptoms would be.
	[41cae1cac811]

	* web/session/session_cookie.inc:
	Restructured and fixed bug
	[5fef13225881] <login_with_email_address>

	* web/functions.inc:
	Fixed bug - have't worked out what the symptoms would be.
	[eaffd1ef9caf] <login_with_email_address>

	* web/session/session_php.inc:
	Restructured - made $returl a parameter of printLoginForm()
	[ed6b8df3484d] <login_with_email_address>

	* web/session/session_php.inc:
	Restructured - made the login form action attribute value a
	parameter
	[18e45693368d] <login_with_email_address>

	* web/session/session_cookie.inc, web/session/session_http.inc,
	web/session/session_joomla.inc, web/session/session_php.inc,
	web/session/session_wordpress.inc:
	Started restructuring session code
	[4dfbb32fd68b] <login_with_email_address>

2017-02-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_db.inc, web/css/mrbs.css.php, web/lang/lang.en,
	web/session/session_php.inc:
	Added the ability to use an email address for logging in. (Only
	works at the moment for session=php and auth=db).
	[bb3e245e3beb] <login_with_email_address>

	* web/auth/auth_auth_basic.inc, web/auth/auth_config.inc,
	web/auth/auth_crypt.inc, web/auth/auth_db.inc,
	web/auth/auth_db_ext.inc, web/auth/auth_ext.inc,
	web/auth/auth_imap.inc, web/auth/auth_ldap.inc,
	web/auth/auth_nis.inc, web/auth/auth_none.inc, web/auth/auth_nw.inc,
	web/auth/auth_pop3.inc, web/auth/auth_smtp.inc,
	web/auth/auth_wordpress.inc:
	Made authValidateUser() return a boolean instead of 0/1, for
	consistency
	[02a0f1101714] <login_with_email_address>

	* web/auth/auth_db.inc:
	Restructured code
	[b5b3919db394] <login_with_email_address>

	* web/auth/auth_db.inc:
	Created new named branch for development of code allowing users to
	login with either their email address or username.
	[ccda9c6e53ea] <login_with_email_address>

2017-02-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/Themes/default/header.inc:
	Tidied up escaping for consistency (makes no difference to the
	result).
	[91821fae5745]

	* web/auth/auth_ldap.inc:
	Fixed a namespace problem. See SF Support Requests #1143.
	[ef7f8563f64f]

2017-02-13  John Beranek  <jberanek@users.sourceforge.net>

	* web/css/mrbs.css.php:
	Tweaked $admin_form_label_width in the CSS, to stop the new label in
	"Add Room" from wrapping in the English translation at least.
	[abae2b322e39]

2017-02-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge
	[19b125d31c5e]

	* web/systemdefaults.inc.php:
	Merge
	[57d1e460b0b8]

	* web/systemdefaults.inc.php:
	Added an unset() for $booking_types to make it clearer how they work
	- see SF Bugs #374
	[08582411d9fa]

2017-02-13  John Beranek  <jberanek@users.sourceforge.net>

	* web/add.php, web/admin.php, web/mrbs_sql.inc:
	Added ability to specify the "Room admin email" on creating a room.
	See SF Support Requests [support-requests:#1137].
	[2acf048afe8c]

2017-02-12  John Beranek  <jberanek@users.sourceforge.net>

	* .hgignore:
	Added extra .hginore rules for IDE files.
	[c94106d28d18]

	* AUTHENTICATION, README, README.nwauth, UPGRADE, auth_ldap.pl,
	auth_ldapsearch.pl, badpw.pl, convert_db_to_utf8.php,
	crypt_passwd.pl, grant.pg.sql, help_report.html, purge.my.sql,
	purge.pg.sql, tables.my.sql, tables.pg.sql, upgrade.my.sql,
	upgrade2.my.sql, upgrade2.pg.sql, upgrade3.my.sql,
	web/Themes/classic126/styling.inc, web/Themes/default/footer.inc,
	web/Themes/default/header.inc, web/Themes/default/styling.inc,
	web/add.php, web/admin.php, web/approve_entry_handler.php,
	web/areadefaults.inc.php, web/auth/auth_auth_basic.inc,
	web/auth/auth_config.inc, web/auth/auth_crypt.inc,
	web/auth/auth_db.inc, web/auth/auth_ext.inc, web/auth/auth_imap.inc,
	web/auth/auth_imap_php.inc, web/auth/auth_ldap.inc,
	web/auth/auth_nis.inc, web/auth/auth_none.inc, web/auth/auth_nw.inc,
	web/auth/auth_pop3.inc, web/auth/auth_smtp.inc,
	web/check_slot_ajax.php, web/css/mrbs-ie-rtl.css, web/css/mrbs-
	ie.css, web/css/mrbs-ie8.css, web/css/mrbs-ielte6.css, web/css/mrbs-
	ielte7.css.php, web/css/mrbs-ielte8.css, web/css/mrbs-mail.css,
	web/css/mrbs-print.css.php, web/css/mrbs-rtl.css.php,
	web/css/mrbs.css.php, web/day.php, web/dbsys.inc,
	web/defaultincludes.inc, web/del.php, web/del_entry.php,
	web/del_entry_ajax.php, web/edit_area_room.php, web/edit_entry.php,
	web/edit_entry_handler.php, web/edit_users.php, web/functions.inc,
	web/functions_ical.inc, web/functions_mail.inc,
	web/functions_table.inc, web/functions_view.inc,
	web/grab_globals.inc.php, web/help.php, web/import.php,
	web/index.php, web/internalconfig.inc.php,
	web/jquery/datatables/js/plugins.js, web/js.inc,
	web/js/admin.js.php, web/js/cell_click.js.php,
	web/js/datatables.js.php, web/js/datepicker.js.php,
	web/js/edit_area_room.js.php, web/js/edit_entry.js.php,
	web/js/edit_users.js.php, web/js/functions.js.php,
	web/js/general.js.php, web/js/multiple.js.php,
	web/js/pending.js.php, web/js/refresh.js.php, web/js/report.js.php,
	web/js/resizable.js.php, web/js/search.js.php, web/lang/lang.ca,
	web/lang/lang.cs, web/lang/lang.da, web/lang/lang.de,
	web/lang/lang.el, web/lang/lang.en, web/lang/lang.es,
	web/lang/lang.eu, web/lang/lang.fi, web/lang/lang.fr,
	web/lang/lang.hu, web/lang/lang.id, web/lang/lang.it,
	web/lang/lang.nb, web/lang/lang.nl, web/lang/lang.nn,
	web/lang/lang.no, web/lang/lang.pl, web/lang/lang.pt, web/lang/lang
	.pt-br, web/lang/lang.ru, web/lang/lang.sl, web/lang/lang.sr-rs-
	latin, web/lang/lang.sv, web/lang/lang.th, web/lang/lang.tr,
	web/lang/lang.zh-tw, web/language.inc, web/lib/Locale.php,
	web/lib/autoload.inc, web/mincals.inc, web/month.php,
	web/mrbs_auth.inc, web/mrbs_sql.inc, web/pending.php,
	web/record_activity_ajax.php, web/report.php, web/search.php,
	web/session/session_cookie.inc, web/session/session_host.inc,
	web/session/session_http.inc, web/session/session_ip.inc,
	web/session/session_nt.inc, web/session/session_omni.inc,
	web/session/session_php.inc, web/session/session_remote_user.inc,
	web/site_faq/site_faq.html, web/site_faq/site_faq_cs.html,
	web/site_faq/site_faq_de.html, web/site_faq/site_faq_es.html,
	web/site_faq/site_faq_fr.html, web/site_faq/site_faq_it.html,
	web/site_faq/site_faq_nl.html, web/site_faq/site_faq_sv.html,
	web/standard_vars.inc.php, web/style.inc,
	web/systemdefaults.inc.php, web/theme.inc, web/trailer.inc,
	web/upgrade.inc, web/upgrade/1/mysql.sql, web/upgrade/1/pgsql.sql,
	web/upgrade/10/mysql.sql, web/upgrade/10/pgsql.sql,
	web/upgrade/11/mysql.sql, web/upgrade/11/pgsql.sql,
	web/upgrade/12/mysql.sql, web/upgrade/12/pgsql.sql,
	web/upgrade/13/mysql.sql, web/upgrade/13/pgsql.sql,
	web/upgrade/13/post.inc, web/upgrade/14/mysql.sql,
	web/upgrade/14/pgsql.sql, web/upgrade/15/mysql.sql,
	web/upgrade/15/post.inc, web/upgrade/16/mysql.sql,
	web/upgrade/16/pgsql.sql, web/upgrade/16/post.inc,
	web/upgrade/17/mysql.sql, web/upgrade/17/pgsql.sql,
	web/upgrade/17/post.inc, web/upgrade/18/mysql.sql,
	web/upgrade/18/pgsql.sql, web/upgrade/19/mysql.sql,
	web/upgrade/19/pgsql.sql, web/upgrade/2/mysql.sql,
	web/upgrade/2/pgsql.sql, web/upgrade/2/post.inc,
	web/upgrade/20/mysql.sql, web/upgrade/20/pgsql.sql,
	web/upgrade/21/mysql.sql, web/upgrade/21/post.inc,
	web/upgrade/22/mysql.sql, web/upgrade/22/pgsql.sql,
	web/upgrade/23/mysql.sql, web/upgrade/23/pgsql.sql,
	web/upgrade/24/mysql.sql, web/upgrade/24/pgsql.sql,
	web/upgrade/24/post.inc, web/upgrade/25/mysql.sql,
	web/upgrade/25/pgsql.sql, web/upgrade/26/mysql.sql,
	web/upgrade/26/post.inc, web/upgrade/27/mysql.sql,
	web/upgrade/27/pgsql.sql, web/upgrade/28/mysql.sql,
	web/upgrade/28/pgsql.sql, web/upgrade/29/mysql.sql,
	web/upgrade/29/pgsql.sql, web/upgrade/3/mysql.sql,
	web/upgrade/3/pgsql.sql, web/upgrade/30/mysql.sql,
	web/upgrade/30/pgsql.sql, web/upgrade/31/mysql.sql,
	web/upgrade/31/pgsql.sql, web/upgrade/32/mysql.sql,
	web/upgrade/32/pgsql.sql, web/upgrade/32/post.inc,
	web/upgrade/33/mysql.sql, web/upgrade/34/mysql.sql,
	web/upgrade/34/pgsql.sql, web/upgrade/34/post.inc,
	web/upgrade/35/mysql.sql, web/upgrade/36/mysql.sql,
	web/upgrade/36/pgsql.sql, web/upgrade/37/mysql.sql,
	web/upgrade/38/mysql.sql, web/upgrade/38/pgsql.sql,
	web/upgrade/39/mysql.sql, web/upgrade/4/mysql.sql,
	web/upgrade/4/pgsql.sql, web/upgrade/4/post.inc,
	web/upgrade/40/mysql.sql, web/upgrade/40/pgsql.sql,
	web/upgrade/41/mysql.sql, web/upgrade/41/pgsql.sql,
	web/upgrade/42/mysql.sql, web/upgrade/42/pgsql.sql,
	web/upgrade/43/mysql.sql, web/upgrade/43/pgsql.sql,
	web/upgrade/43/post.inc, web/upgrade/44/mysql.sql,
	web/upgrade/44/pgsql.sql, web/upgrade/45/mysql.sql,
	web/upgrade/45/pgsql.sql, web/upgrade/47/post.inc,
	web/upgrade/49/mysql.sql, web/upgrade/49/pgsql.sql,
	web/upgrade/5/mysql.sql, web/upgrade/5/post.inc,
	web/upgrade/6/mysql.sql, web/upgrade/6/post.inc,
	web/upgrade/7/mysql.sql, web/upgrade/7/post.inc,
	web/upgrade/8/mysql.sql, web/upgrade/8/pgsql.sql,
	web/upgrade/8/post.inc, web/upgrade/9/mysql.sql,
	web/upgrade/9/pgsql.sql, web/upgrade/local/1/mysql.sql,
	web/upgrade/local/1/pgsql.sql, web/version.inc, web/view_entry.php,
	web/week.php:
	Removed all occurrences of $Id$ in MRBS code, it doesn't work with
	Mercurial source control.
	[b6b7543a1ac5]

2017-02-11  John Beranek  <jberanek@users.sourceforge.net>

	* .hgtags:
	Added tag mrbs-1_6_0 for changeset 04c083c470a1
	[14f4f5b4b59c]

	* Merged changes from default branch
	[04c083c470a1] [mrbs-1_6_0]

	* .hgtags:
	Added tag mrbs-1_6_0 for changeset e71136a26776
	[11333837a8ce]

	* NEWS:
	Fixed permissions on NEWS
	[e71136a26776]

	* ChangeLog, NEWS:
	Updated ChangeLog and NEWS for 1.6.0 release
	[f2ba00a8841b]

	* UPGRADE:
	Added MRBS 1.6.0 upgrade step to UPGRADE.
	[8de8b062a9d3]

2017-02-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc:
	Fixed bug introduced in recent commit
	[ce506efb8fac]

2017-02-11  John Beranek  <jberanek@users.sourceforge.net>

	* web/version_num.inc:
	Updated version number in preparation for release
	[7346e8dfc1d6]

2017-01-31  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area_room.php:
	Restructured code
	[93874f9750d0]

	* web/css/mrbs.css.php, web/import.php:
	Restructured code
	[8eb7b2bc4923]

	* web/functions.inc, web/import.php, web/lang/lang.en,
	web/mrbs_sql.inc:
	Added the ability to specify a default room if no LOCATION property
	is given when importing a VEVENT
	[017e435c99b5]

2017-01-30  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/import.php:
	Added the ability to recocgnise type information in imported .ics
	files using the X-MRBS-TYPE property.
	[80052eb62baa]

	* web/functions_ical.inc:
	Added the booking type when exporting as a .ics file
	[7f9da2c50e55]

	* web/import.php:
	Fixed bug preventing an event whose room name includes the area-room
	separator from being imported.
	[ce7ea3de1514]

2017-01-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/Themes/classic126/styling.inc, web/Themes/default/styling.inc,
	web/css/mrbs.css.php, web/functions_table.inc, web/month.php:
	Fixed bug that allowed the type colour to be shown even when the
	type was private. See SF bugs #372.
	[ff4f3916c8eb]

	* web/month.php:
	Fixed bug causing bookings to be shown as private when they weren't.
	[532717464595]

	* web/month.php:
	Restructured code to use new function get_end_last_slot().
	[ebc7c40bb991]

2017-01-18  John Beranek  <jberanek@users.sourceforge.net>

	* web/functions_mail.inc, web/systemdefaults.inc.php:
	Added a new option to disable "Opportunistic TLS" in PHPMailer.
	[336e9f89eb59]

2017-01-18  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	Made sure that the default duration for new bookings doesn't exceed
	the maximum duration
	[e5cec8ee77b5]

2017-01-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	Fixed problem when the default duration takes a booking beyond the
	start day and multiday bookings are not allowed.
	[616210bd53b6]

	* web/functions.inc:
	Fixed bug introduced in recent change. See SF Support Requests
	#1116.
	[17722e310c1a]

2017-01-10  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php, web/functions.inc:
	Fixed problem with default_duration not going past the end of a
	booking day. See SF Support Requests #116
	[81c9eb134647]

2017-01-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_mail.inc:
	Limited use of the error suppression operator when sending mail to
	just those cases where it is necessary, and even then MRBS will
	trigger an E_USER_NOTICE error.
	[7a02bb005992]

2017-01-01  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_mail.inc:
	Fixed bug causing a fatal error in SMTP debug code
	[639d2c8bd5c0]

2016-12-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_mail.inc, web/lib/PHPMailer/VERSION,
	web/lib/PHPMailer/class.phpmailer.php,
	web/lib/PHPMailer/class.phpmaileroauth.php,
	web/lib/PHPMailer/class.phpmaileroauthgoogle.php,
	web/lib/PHPMailer/class.pop3.php, web/lib/PHPMailer/class.smtp.php,
	web/lib/PHPMailer/get_oauth_token.php,
	web/lib/PHPMailer/language/phpmailer.lang-ar.php,
	web/lib/PHPMailer/language/phpmailer.lang-bg.php,
	web/lib/PHPMailer/language/phpmailer.lang-ca.php,
	web/lib/PHPMailer/language/phpmailer.lang-ch.php,
	web/lib/PHPMailer/language/phpmailer.lang-cs.php,
	web/lib/PHPMailer/language/phpmailer.lang-da.php,
	web/lib/PHPMailer/language/phpmailer.lang-de.php,
	web/lib/PHPMailer/language/phpmailer.lang-el.php,
	web/lib/PHPMailer/language/phpmailer.lang-es.php,
	web/lib/PHPMailer/language/phpmailer.lang-fi.php,
	web/lib/PHPMailer/language/phpmailer.lang-fo.php,
	web/lib/PHPMailer/language/phpmailer.lang-gl.php,
	web/lib/PHPMailer/language/phpmailer.lang-he.php,
	web/lib/PHPMailer/language/phpmailer.lang-hr.php,
	web/lib/PHPMailer/language/phpmailer.lang-ja.php,
	web/lib/PHPMailer/language/phpmailer.lang-ka.php,
	web/lib/PHPMailer/language/phpmailer.lang-ko.php,
	web/lib/PHPMailer/language/phpmailer.lang-lt.php,
	web/lib/PHPMailer/language/phpmailer.lang-lv.php,
	web/lib/PHPMailer/language/phpmailer.lang-ms.php,
	web/lib/PHPMailer/language/phpmailer.lang-nb.php,
	web/lib/PHPMailer/language/phpmailer.lang-nl.php,
	web/lib/PHPMailer/language/phpmailer.lang-pl.php,
	web/lib/PHPMailer/language/phpmailer.lang-pt.php,
	web/lib/PHPMailer/language/phpmailer.lang-pt_br.php,
	web/lib/PHPMailer/language/phpmailer.lang-ro.php,
	web/lib/PHPMailer/language/phpmailer.lang-ru.php,
	web/lib/PHPMailer/language/phpmailer.lang-sl.php,
	web/lib/PHPMailer/language/phpmailer.lang-sr.php,
	web/lib/PHPMailer/language/phpmailer.lang-sv.php,
	web/lib/PHPMailer/language/phpmailer.lang-vi.php,
	web/lib/PHPMailer/language/phpmailer.lang-zh_cn.php:
	Upgraded PHPMailer to latest version (5.2.21)
	[f32b475f5377]

	* web/functions_error.inc:
	Fixed the custom error handler so that it doesn't report errors if
	the error suppression operator has been used.
	[b1834d82b9e1]

2016-12-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/day.php, web/month.php, web/week.php:
	Moved the SQL query of the entry table until after the authorisation
	check for the page has been done, to avoid unnecessary database
	queries.
	[5abfcd33114b]

2016-12-09  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_mail.inc:
	Improved error reporting when $mail_settings['from'] not set.
	[891da51bdd07]

	* web/auth/cms/joomla.inc, web/internalconfig.inc.php:
	Got rid of the 'DS' (DIRECTORY_SEPARATOR) constant as it is
	unnecessary and causes clashes with Joomla.
	[32dcfd1f1928]

2016-12-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php, web/mincals.inc:
	Simplified HTML
	[6c4209d3e17a]

	* web/Themes/default/header.inc, web/css/mrbs-print.css.php, web/css
	/mrbs-rtl.css.php, web/css/mrbs.css.php:
	Simplified CSS
	[925b634d53e8]

	* web/css/mrbs-print.css.php, web/day.php, web/month.php,
	web/week.php:
	Simplified HTML
	[edb5504e6dee]

	* web/css/mrbs-rtl.css.php:
	Fixed CSS for Goto nav links for RTL languages
	[c1ccc04f49f8]

	* web/css/mrbs.css.php, web/day.php, web/month.php, web/week.php:
	Simplified HTML for the Go to Day/Week/Month links.
	[89f2e1355f77]

2016-12-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/day.php, web/month.php, web/week.php:
	Removed whitespace that shouldn't be there
	[001b47e6e80c]

	* web/css/mrbs.css.php:
	Simplify CSS
	[69654721884d]

	* web/css/mrbs.css.php:
	Simplified CSS
	[c4a5b686251b]

	* web/css/mrbs.css.php, web/day.php, web/month.php, web/week.php:
	Moved << and >> navigation symbols out of HTML and into CSS.
	[e9ad88b317b2]

	* web/day.php:
	Removed unnecessary <div>
	[b54aa41d7d06]

	* web/day.php:
	Reverted test code accidentally included in previous commit.
	[4737d5b39c01]

	* web/Themes/default/header.inc, web/css/mrbs.css.php, web/day.php:
	Fixed height of header when debugging with display_errors set to
	'1'.
	[d327cca4654e]

	* web/js.inc, web/js/html5shiv.js, web/js/html5shiv.min.js:
	Added HTML5 Shiv version 3.7.3 so that HTML5 elelements such as
	<header> can be styled in IE8 and below.
	[847556466ab8]

2016-11-30  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area_room.php:
	Minor tweak to code layout
	[64d5a8c65b66]

	* web/view_entry.php:
	Fixed fatal error when exporting an entry from the view_entry page
	[988fc0d15ef9]

2016-11-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php:
	Fixed problem with layout of header
	[dad05b9be5c4]

2016-11-16  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_sql.inc:
	Fixed bug causing fatal error when trying to delete a series.
	[5629d1e5b477]

2016-11-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Fixed comment.
	[74832ee64f3e]

2016-11-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php:
	Simplified the CSS and got rid of the occasional 1px gap in the
	month view cells. All browsers nowadays (IE8+, Edge, Firefox, Opera,
	Chrome and Safari) seem to be able to handle sub-pixel rounding
	sensibly.
	[bf3c842d9f98]

2016-11-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/admin.php:
	Replaced '...' with the ellipsis HTML entity.
	[0f0b5e0e0ef2]

	* web/css/mrbs-print.css.php:
	Fixed problem with (a) right border of bookings not appearing when
	using the 'both' option for monthly listings and (b) listings
	wrapping when using 'slot' or 'description'.
	[1698de3cad7d]

	* web/css/mrbs.css.php, web/month.php:
	Moved the width for monthly bookings out from a style attribute to
	the CSS file
	[f579e2084d16]

	* web/css/mrbs-print.css.php:
	Changed the behaviour of the printed month view, getting rid of
	horizontal and vertical scrollbars. Instead, horizontal overflow is
	hidden and the table cell expands to accommodate vertical overflow.
	[51db18c07be9]

2016-11-10  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs-print.css.php:
	Corrected comment
	[8a1ea7a73085]

	* web/css/mrbs-print.css.php:
	Fixed bug that gave a double border on printing. See SF Support
	Requests #1078. Also fixed another bug at the same time - there was
	no border around bookings in the month view on printing.
	[121ca8c114d9]

2016-11-09  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs-print.css.php:
	Reverted the previous change, because although it removes the double
	border it also removes the booking description
	[cefd275617da]

	* web/css/mrbs-print.css.php:
	Fixed problem of double border on some cells when printing the day
	and week views. See SF Support Requests #1078.
	[6681c3d31494]

2016-11-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/internalconfig.inc.php, web/report.php:
	Simplified code
	[c01914aa1740]

	* web/report.php:
	Tidied up code
	[1eddd0728dae]

	* web/internalconfig.inc.php, web/lang/lang.en, web/report.php:
	Changed report form so that for custom checkbox fields you can now
	select checked, unchecked or both. See SF Support Requests #1087
	[9449773680a2]

2016-11-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php, web/systemdefaults.inc.php:
	Made the default setting for the "Do not send email" checkbox a
	configuration variable
	[f9eb27fc309e]

2016-10-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_wordpress.inc:
	Simplified code and added type hinting
	[1be9c48d8f9c]

	* web/auth/auth_joomla.inc:
	Simplified code
	[4269cec9ef42]

2016-10-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/cms/joomla.inc:
	Added some error handling
	[128582afd203]

	* web/auth/auth_joomla.inc, web/auth/auth_wordpress.inc,
	web/auth/cms/joomla.inc, web/auth/cms/wordpress.inc, web/joomla.inc,
	web/session/session_joomla.inc, web/session/session_wordpress.inc,
	web/wordpress.inc:
	Moved joomla.inc and wordpress.inc out of main directory
	[33f7f9a44ca6]

	* AUTHENTICATION:
	Updated for joomla authentication scheme
	[072fc74ae084]

	* web/systemdefaults.inc.php:
	Merge with joomla
	[93e7c9b92280]

	* AUTHENTICATION:
	Updated details of WordPress authentication
	[1276d8cdbfd1]

	* web/auth/auth_wordpress.inc, web/systemdefaults.inc.php:
	Added the config setting $auth['wordpress']['user_roles'] so it is
	possible to define which WordPress users can use MRBS, instead of
	just granting all logged in users access to MRBS.
	[5ded93a54840]

	* web/auth/auth_wordpress.inc:
	Simplified code
	[19a717b0d6d5]

2016-10-27  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_wordpress.inc, web/session/session_wordpress.inc,
	web/wordpress.inc:
	Fixed problem of duplicate define() in WordPress authentication
	[c9602d3ac43b]

	* web/auth/auth_joomla.inc, web/internalconfig.inc.php,
	web/joomla.inc, web/lib/MRBS/JFactory.php, web/lib/MRBS/JUser.php,
	web/session/session_joomla.inc, web/systemdefaults.inc.php:
	First attempt at Joomla! authentication
	[9e92af237808] <joomla>

	* Opened a new named branch for the development of Joomla
	authentication, based on the MRBS Joomla bridge by permission of
	Ocean.
	[41dd1349fc0f] <joomla>

2016-10-22  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/grab_globals.inc.php:
	Set the MRBS server variables to null if they don't exist in order
	to avoid undefined variable errors later
	[7ade092c8e6a]

	* web/js/edit_users.js.php, web/js/search.js.php:
	Tidied up a couple more instances of HTTP_REFERER parsing
	[3bb3e398e659]

	* web/js/report.js.php:
	Fixed undefined offset notice error when there is no query string
	[2960172fd950]

2016-10-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc, web/internalconfig.inc.php:
	Added some earlier checking for $timezone
	[506fd1d7a13e]

	* web/Themes/default/header.inc, web/functions.inc,
	web/functions_error.inc:
	Fixed problem with simple header not being output in some
	circumstances.
	[8f33c1da41a3]

	* web/functions_error.inc:
	Improved formatting of error messages
	[fcd809de0c53]

	* web/functions_error.inc:
	Ensured that the timezone is set before trying to output an error
	message, otherwise further error messages are produced.
	[896e7b8ee1a8]

2016-10-18  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/resizable.js.php:
	Fixed a performance problem when clicking on an empty cell in the
	week view when using hidden days on a large table.
	[8e4ed8a49b50]

	* web/edit_area_room.php, web/functions.inc:
	Fixed bug that resulted in possibly wrong values for enable_periods
	and reminders_enabled being shown on the Edit Area form.
	[fc1092d92649]

2016-10-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lang/lang.ca, web/lang/lang.cs, web/lang/lang.da,
	web/lang/lang.de, web/lang/lang.el, web/lang/lang.en,
	web/lang/lang.es, web/lang/lang.eu, web/lang/lang.fi,
	web/lang/lang.fr, web/lang/lang.he, web/lang/lang.hu,
	web/lang/lang.id, web/lang/lang.it, web/lang/lang.ja,
	web/lang/lang.ko, web/lang/lang.nb, web/lang/lang.nl,
	web/lang/lang.nn, web/lang/lang.no, web/lang/lang.pl,
	web/lang/lang.pt, web/lang/lang.pt-br, web/lang/lang.ru,
	web/lang/lang.sk, web/lang/lang.sl, web/lang/lang.sr-rs-latin,
	web/lang/lang.sv, web/lang/lang.th, web/lang/lang.tr, web/lang/lang
	.zh-cn, web/lang/lang.zh-tw:
	Removed redundant language tokens
	[7d74aba2976c]

	* web/lang/lang.ca, web/lang/lang.cs, web/lang/lang.da,
	web/lang/lang.de, web/lang/lang.el, web/lang/lang.en,
	web/lang/lang.es, web/lang/lang.eu, web/lang/lang.fi,
	web/lang/lang.fr, web/lang/lang.he, web/lang/lang.hu,
	web/lang/lang.id, web/lang/lang.it, web/lang/lang.ja,
	web/lang/lang.ko, web/lang/lang.nb, web/lang/lang.nl,
	web/lang/lang.nn, web/lang/lang.no, web/lang/lang.pl,
	web/lang/lang.pt, web/lang/lang.pt-br, web/lang/lang.ru,
	web/lang/lang.sk, web/lang/lang.sl, web/lang/lang.sr-rs-latin,
	web/lang/lang.sv, web/lang/lang.th, web/lang/lang.tr, web/lang/lang
	.zh-cn, web/lang/lang.zh-tw:
	Removed redundant language tokens
	[f4a10382146d]

2016-10-12  John Beranek  <jberanek@users.sourceforge.net>

	* Merge
	[ea4eaf635cf5]

2016-10-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Turned email addresses in the users list into links.
	[0f83dfa471b5]

	* web/lib/MRBS/DB_pgsql.php:
	Added some error checking to DB_pgsql::table_exists().
	[3e4c500f792c]

2016-10-11  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/DB_pgsql.php:
	Fixed bug in DB_pgsql::table_exists() which meant that it always
	returned true and thus broke the upgrade process, for example.
	[fe0d186d752f]

2016-10-12  John Beranek  <jberanek@users.sourceforge.net>

	* checklang.php, web/session/session_cookie.inc,
	web/session/session_php.inc:
	Removed unnecessary uses of $HTTP_SESSION_VARS and
	$HTTP_COOKIE_VARS.
	[dec2897a7762]

2016-10-08  John Beranek  <jberanek@users.sourceforge.net>

	* NEWS, web/js.inc, web/lang/lang.it, web/mysqli.inc, web/pgsql.inc,
	web/session/session_cookie.inc, web/systemdefaults.inc.php:
	Merged the 'pdo' branch, which changes MRBS to utilise PHP's PDO
	mechanism and use a DB class to perform all SQL. SQL statements are
	now parameterised, and not just escaped in MRBS code.
	[66a6e5425b3a]

2016-10-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/upgrade/32/post.inc, web/upgrade/34/post.inc:
	Changed some 'require's into 'require_once's.
	[669fda56dedb] <pdo>

	* web/functions.inc:
	Added comments
	[2073ef1a3717] <pdo>

2016-10-06  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_error.inc:
	Added escaping of HTML output
	[047424009efa] <pdo>

	* web/upgrade/24/post.inc, web/upgrade/47/post.inc:
	Fixed duplicate function declaration
	[4eadba1977a4] <pdo>

	* web/functions.inc, web/upgrade/24/post.inc, web/upgrade/47/post.inc:
	Fixed duplicate function declaration
	[9636655a05bb] <pdo>

	* web/functions.inc:
	Made get_default_room() independent of database schema
	[d5993c2aa1c4] <pdo>

	* web/functions.inc:
	Further fix to get_area_settings()
	[c2cdf4dbf622] <pdo>

	* web/Themes/default/header.inc, web/functions.inc:
	Made get_area_settings work with all database schema versions
	[92ba2d81490d] <pdo>

	* web/upgrade/6/post.inc:
	Fixed regression introduced in changeset b212448e0d86
	[a23cf160f16d] <pdo>

	* web/Themes/default/header.inc:
	Fixed error in upgrade process
	[761d6587d67e] <pdo>

	* web/functions_error.inc:
	Fixed undefined variable NOTICE error
	[76e387dbcc2d] <pdo>

2016-10-05  John Beranek  <jberanek@users.sourceforge.net>

	* README.sqlapi, web/lib/MRBS/DBStatement.php:
	Removed superfluous DBStatement->free() method
	[f3a2b89b6e47] <pdo>

	* web/Themes/default/header.inc, web/mincals.inc, web/mrbs_auth.inc,
	web/session/session_cookie.inc, web/session/session_http.inc,
	web/session/session_php.inc, web/session/session_wordpress.inc:
	Removed code duplication
	[0de8f79338ac] <pdo>

2016-10-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/check_slot_ajax.php, web/edit_entry_handler.php, web/report.php,
	web/search.php:
	Added more missing JSON Content-Type headers
	[093dca6a5284] <pdo>

	* web/functions.inc, web/js.inc:
	Fixed problem with page specific JavaScript not being loaded
	[3b3f5a78b68b] <pdo>

2016-10-04  John Beranek  <jberanek@users.sourceforge.net>

	* web/edit_users.php:
	Output JSON Content-Type in edit_users.php when appropriate
	[aa0a86b1b546] <pdo>

2016-10-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_sql.inc:
	Got rid of some more unnecessary error checking
	[e54cd5a5be2b] <pdo>

2016-10-04  John Beranek  <jberanek@users.sourceforge.net>

	* Merged
	[31d5a3052491] <pdo>

	* README.sqlapi:
	Updated README.sqlapi for new DB class
	[c43758b6c49f] <pdo>

2016-10-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_error.inc:
	Formatted the error output better for the browser by replacing
	spaces at the beginning of a line with non-breaking spaces
	[b23f255a9577] <pdo>

	* web/auth/auth_ldap.inc, web/dbsys.inc, web/functions_error.inc,
	web/mrbs_sql.inc, web/session/session_php.inc:
	Removed second and third parameters from fatal_error()
	[59e938d185dc] <pdo>

	* web/functions_error.inc:
	Revised error handling
	[8be3f6bdc49f] <pdo>

2016-10-03  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/refresh.js.php, web/js/resizable.js.php:
	Eliminated use of deprecated jQuery.fn.load()
	[9b3d1f4083d5]

	* web/jquery/jquery-2.1.0.js, web/jquery/jquery-2.1.0.min.js,
	web/jquery/jquery-2.2.4.js, web/jquery/jquery-2.2.4.min.js,
	web/jquery/jquery-migrate-1.2.1.js, web/jquery/jquery-
	migrate-1.2.1.min.js, web/jquery/jquery-migrate-1.4.1.js, web/jquery
	/jquery-migrate-1.4.1.min.js, web/js.inc:
	Upgraded to latest version of jQuery 2.x branch
	[095936af1e05]

	* web/jquery/jquery-2.1.0.js, web/js.inc:
	Added uncompressed version of jQuery for debugging
	[d810207df887]

	* web/functions_error.inc:
	Tidied up last commit.
	[db179022c169] <pdo>

	* web/functions_error.inc:
	Combined $_GET and $_POST data into a single message
	[10ca62561eb9] <pdo>

2016-10-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_error.inc:
	Slight changes to error output
	[b4333c35d503] <pdo>

	* web/Themes/default/header.inc:
	Fixed HTML validation error
	[8c36a415b797] <pdo>

	* web/auth/auth_ldap.inc, web/dbsys.inc, web/edit_area_room.php,
	web/edit_entry.php, web/edit_users.php, web/functions.inc,
	web/functions_error.inc, web/functions_ical.inc, web/mrbs_sql.inc,
	web/session/session_cookie.inc, web/session/session_php.inc,
	web/upgrade/17/post.inc:
	Removed the redundant $need_header parameter from fatal_error() - we
	always output a simpole header if a header hasn't already been
	output.
	[bf653504ba1d] <pdo>

	* web/functions_error.inc:
	Always print the simple header on a fatal error
	[50114b7def0d] <pdo>

	* web/Themes/default/header.inc:
	Removed some JavaScript from the simple header
	[49e5eab7878b] <pdo>

	* web/functions.inc:
	Made $done_header a static variable
	[935236324e75] <pdo>

	* web/Themes/default/header.inc, web/functions.inc:
	Simplified print_simple_header()
	[226b9bca3de5] <pdo>

	* web/Themes/default/header.inc, web/functions.inc:
	Changed parameter order for consistency with other functions
	[433abc12af56] <pdo>

	* web/Themes/default/header.inc, web/css/mrbs-print.css.php:
	Simplified
	[3262cd0eca6d] <pdo>

	* web/Themes/default/header.inc, web/js.inc:
	Restructured
	[07472a6fbf7b] <pdo>

	* web/css/mrbs-rtl.css.php, web/css/mrbs.css.php:
	Simplified CSS and fixed banner CSS for RTL languages.
	[aaf69cc62730] <pdo>

	* web/css/mrbs.css.php:
	Removed redundandant CSS
	[938a1a59803b] <pdo>

	* web/Themes/default/header.inc:
	Removed redundant globals
	[efd17c0ccde6] <pdo>

	* web/Themes/default/header.inc:
	Changed header markup
	[a708484dd6c8] <pdo>

	* Merge
	[959349c9cff8] <pdo>

	* web/Themes/default/header.inc, web/css/mrbs.css.php,
	web/mrbs_sql.inc:
	Interim commit before merge
	[9adbc0e1770a] <pdo>

2016-10-02  John Beranek  <jberanek@users.sourceforge.net>

	* Merged latest changes on default branch
	[7a6cf75cc6ef] <pdo>

	* checklang.php:
	A few improvements to checklang.php
	[4537f79f8fe7]

	* web/lang/lang.de:
	Updated German translations from Andrea Beranek
	[675911c25058]

	* web/lang/lang.de:
	Updated German translations from Andrea Beranek
	[39be66c1e27a] <pdo>

2016-09-30  John Beranek  <jberanek@users.sourceforge.net>

	* web/internalconfig.inc.php, web/lib/MRBS/DB.php:
	Removed DB::default_db() static method, and accidental change to
	internconfig.inc.php
	[0aa8c77362ef] <pdo>

	* web/Themes/default/header.inc, web/dbsys.inc, web/import.php,
	web/internalconfig.inc.php, web/mrbs_sql.inc,
	web/upgrade/13/post.inc, web/upgrade/15/post.inc,
	web/upgrade/16/post.inc, web/upgrade/17/post.inc,
	web/upgrade/2/post.inc, web/upgrade/21/post.inc,
	web/upgrade/24/post.inc, web/upgrade/32/post.inc,
	web/upgrade/34/post.inc, web/upgrade/4/post.inc,
	web/upgrade/43/post.inc, web/upgrade/47/post.inc,
	web/upgrade/5/post.inc, web/upgrade/6/post.inc,
	web/upgrade/7/post.inc, web/upgrade/8/post.inc:
	Removed the remainder of the sql_*() calls, and the wrapper
	functions
	[884cad2d2a9f] <pdo>

	* convert_db_to_utf8.php, web/admin.php, web/auth/auth_db.inc,
	web/dbsys.inc, web/del.php, web/del_entry_ajax.php,
	web/edit_area_room.php, web/edit_entry.php,
	web/edit_entry_handler.php, web/edit_users.php, web/functions.inc,
	web/functions_error.inc, web/functions_ical.inc,
	web/functions_mail.inc, web/functions_view.inc, web/help.php,
	web/pending.php, web/report.php, web/search.php, web/upgrade.inc,
	web/view_entry.php:
	Removed sql_*() calls from everywhere but mrbs_sql.inc and the
	upgrade scripts
	[8452098c0f9d] <pdo>

	* web/upgrade/5/post.inc, web/upgrade/6/post.inc:
	Corrected uses of in upgrade scripts
	[7f2f23d25675] <pdo>

2016-09-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/DB.php:
	Added 'public' to function declarations for clarity
	[1b4f33a41b63] <pdo>

	* web/lib/MRBS/DB.php:
	Trivial whitespace removal
	[04f826d24768] <pdo>

	* web/lib/MRBS/DB.php:
	Added in some more notes for those upgrading from earlier versions
	of MRBS
	[6072419a3d82] <pdo>

	* web/lib/MRBS/DB.php:
	Tweaked exception messages
	[e855dcc62b13] <pdo>

	* web/functions_table.inc, web/import.php, web/mrbs_sql.inc,
	web/report.php:
	Removed some more error checking now that we have exceptions.
	[b061874367a1] <pdo>

	* web/auth/auth_db_ext.inc, web/lib/MRBS/DB.php,
	web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php,
	web/upgrade.inc:
	Removed some more error checking now that we have exceptions.
	[712c58de7e5c] <pdo>

	* web/lib/MRBS/DB.php, web/lib/MRBS/DB_mysql.php,
	web/lib/MRBS/DB_pgsql.php:
	Removed error checking from calls to DB::command()
	[7faf747c7fdc] <pdo>

	* web/lib/MRBS/DB.php:
	More conversion to exceptions
	[ec8e273d2560] <pdo>

	* web/dbsys.inc, web/lib/MRBS/DB.php:
	Switched to exceptions in db connection code
	[c1da0208e846] <pdo>

	* web/day.php, web/del.php, web/edit_area_room.php,
	web/edit_users.php, web/functions_ical.inc, web/lib/MRBS/DB.php,
	web/mrbs_sql.inc, web/upgrade.inc, web/upgrade/13/post.inc,
	web/upgrade/15/post.inc, web/upgrade/16/post.inc,
	web/upgrade/17/post.inc, web/upgrade/2/post.inc,
	web/upgrade/21/post.inc, web/upgrade/24/post.inc,
	web/upgrade/32/post.inc, web/upgrade/34/post.inc,
	web/upgrade/4/post.inc, web/upgrade/43/post.inc,
	web/upgrade/47/post.inc, web/upgrade/5/post.inc,
	web/upgrade/6/post.inc, web/upgrade/7/post.inc,
	web/upgrade/8/post.inc:
	Made sql_command() throw an exception and removed error checking
	after calls to sql_command().
	[331249866f8e] <pdo>

	* web/edit_entry_handler.php:
	Changed the error handling following a call to sql_query1() in
	edit_entry_handler.php as a fatal db error is no longer the right
	action.
	[27d0fde3ea6d] <pdo>

	* web/day.php, web/lib/MRBS/DB.php:
	Made sql_query1() throw exceptions if it results in more than one
	row or column
	[c5d0af9e9124] <pdo>

	* web/lib/MRBS/DB.php:
	Fixed comments for sql_query1()
	[883369262044] <pdo>

	* web/Themes/default/header.inc, web/lib/MRBS/DB.php, web/search.php:
	Added exception throwing to sql_query1() and removed some error
	checking of results
	[4f5c8d45272a] <pdo>

	* web/functions_error.inc:
	Fix to ensure that the fatal error messages occur
	[5532bd4936d5] <pdo>

2016-09-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/admin.php, web/auth/auth_db.inc, web/dbsys.inc, web/del.php,
	web/edit_entry.php, web/functions.inc, web/functions_error.inc,
	web/functions_ical.inc, web/lib/MRBS/DB.php, web/mrbs_sql.inc,
	web/pending.php, web/report.php, web/search.php,
	web/upgrade/17/post.inc, web/upgrade/32/post.inc,
	web/upgrade/34/post.inc, web/upgrade/6/post.inc, web/view_entry.php:
	Got rid of error checking following sql_query() calls now that
	there's a default uncaught exception handler.
	[b212448e0d86] <pdo>

	* web/functions_error.inc, web/lib/MRBS/DB.php,
	web/lib/MRBS/DBException.php:
	Added SQL information
	[1e6287dc667c] <pdo>

	* web/defaultincludes.inc, web/functions_error.inc,
	web/internalconfig.inc.php, web/lang/lang.en:
	Added uncaught exception handler
	[335c4cdbb935] <pdo>

	* web/dbsys.inc, web/lang/lang.it, web/lib/MRBS/DB.php,
	web/lib/MRBS/DBFactory.php, web/lib/MRBS/DBStatement.php,
	web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php,
	web/session/session_cookie.inc, web/upgrade.inc:
	Merge
	[a8c96ae5446a] <pdo>

	* web/defaultincludes.inc, web/functions.inc, web/functions_error.inc:
	Restructured
	[8241ae6322a5] <pdo>

2016-09-27  John Beranek  <jberanek@users.sourceforge.net>

	* web/dbsys.inc, web/lang/lang.it, web/lib/MRBS/DB.php,
	web/lib/MRBS/DBFactory.php, web/lib/MRBS/DBStatement.php,
	web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php,
	web/session/session_cookie.inc, web/upgrade.inc:
	Removed executable permissions from a few files
	[ab0e11cd1da9] <pdo>

2016-09-27  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/del.php:
	Trivial formatting change
	[4eb171b2a914] <pdo>

	* web/del.php:
	Fixed problem with last but one merge
	[e8a744a23a95] <pdo>

	* web/del.php:
	Merge with default
	[9222dadeccdc] <pdo>

	* web/del.php:
	Fixed problem with last change
	[12cda8ce787e]

	* web/del.php:
	Merged with latest changes from default branch
	[98759bf7a7da] <pdo>

	* web/del.php:
	Added rollback to transaction
	[5e3b6206f739]

	* web/del_entry.php:
	Removed unnecessary transaction
	[0a52b0f5370b]

2016-09-26  John Beranek  <jberanek@users.sourceforge.net>

	* web/lib/MRBS/DB.php:
	Minor non-code changes in DB class
	[83a401042f02] <pdo>

	* web/config.inc.php:
	Removed one more reference to mysqli
	[c52ca16d42ce] <pdo>

2016-09-26  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lib/MRBS/DB.php, web/lib/MRBS/DB_mysql.php,
	web/lib/MRBS/DB_pgsql.php:
	Restored calls to mrbs_ignore_user_abort() around transactions.
	[c60d8c5c28c8] <pdo>

	* web/lib/MRBS/DB.php:
	Tidied up error handling slightly
	[5041e5f5208c] <pdo>

	* web/lib/MRBS/DB.php:
	Configured PDO to throw exceptions
	[3a630812baee] <pdo>

	* web/dbsys.inc, web/edit_entry_handler.php, web/lib/MRBS/DB.php,
	web/mrbs_sql.inc:
	Merged with latest changes from default branch
	[3cf9451777a6] <pdo>

	* web/dbsys.inc, web/edit_entry_handler.php, web/mrbs_sql.inc,
	web/mysqli.inc:
	Wrapped the edit procedure in a transaction. See SF Support Requests
	#1064
	[804e65cfa16b]

	* web/mrbs_sql.inc:
	Trivial whitespace change
	[95fcee4c20b8] <pdo>

	* web/mrbs_sql.inc:
	Paremeterised another query
	[56f7c586fcd9] <pdo>

	* INSTALL, README.sqlapi, web/config.inc.php,
	web/internalconfig.inc.php, web/systemdefaults.inc.php:
	Made the standard name for the MySQL driver 'mysql' instead of
	'mysqli', though 'mysqli' will still be accepted.
	[e7cb8d0d5281] <pdo>

	* web/lib/MRBS/DBFactory.php:
	Threw an exception for an unsupported db driver
	[871ef6c75fd0] <pdo>

2016-09-25  John Beranek  <jberanek@users.sourceforge.net>

	* web/lib/MRBS/DBStatement.php:
	On second thoughts, DBStatement doesn't extent PDOStatement, except
	notionally
	[434775b177dc] <pdo>

	* convert_db_to_utf8.php, web/auth/auth_db_ext.inc, web/dbsys.inc,
	web/lib/MRBS/DB.php, web/lib/MRBS/DBStatement.php,
	web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php:
	Took DB abstraction further, by building a DBStatement class
	[c362f89e8be9] <pdo>

	* web/lib/MRBS/DB_mysql.php:
	Fixed mysql version of syntax_caseless_contains()
	[717100a34911] <pdo>

	* web/dbtest.php:
	Removed testing file
	[44ff81dc6463] <pdo>

	* web/edit_users.php, web/lib/MRBS/DB.php, web/search.php:
	Fixed a few bugs, including an odd one in search.php which only
	threw an error for pgsql
	[fb8a5207f03a] <pdo>

2016-09-24  John Beranek  <jberanek@users.sourceforge.net>

	* web/dbsys.inc, web/lib/MRBS/DB_pgsql.php:
	Fixed some bugs in the pgsql class, plus fixed
	sql_syntax_caseless_contains()
	[546b3d749d34] <pdo>

	* web/lib/MRBS/DB.php:
	Base DB base class variables protected instead of private, so the
	subclasses can use them
	[62e54aeb80bf] <pdo>

	* web/dbsys.inc, web/upgrade/34/post.inc:
	Fixed sql_syntax_casesensitive_equals() wrapper and syntax error in
	upgrade 34
	[66614ee0790d] <pdo>

	* web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php:
	Added missing 'use' statements in sub-classes
	[a249e4325e0f] <pdo>

	* convert_db_to_utf8.php:
	Fixed call to DBFactory::create
	[39ee8419bb34] <pdo>

	* web/auth/auth_db_ext.inc, web/lib/MRBS/DB_mysql.php:
	Fixed db_ext auth scheme, and a syntax method in DB_mysql
	[6d6b5bab1c14] <pdo>

	* convert_db_to_utf8.php:
	Converted convert_db_to_utf8.php to the DB class
	[f24a6d49742e] <pdo>

	* web/auth/auth_db_ext.inc, web/lib/MRBS/DB.php,
	web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php:
	Removed references to the sql_* wrappers in internal code
	[2132567531a1] <pdo>

	* web/auth/auth_db_ext.inc, web/dbsys.inc, web/dbtest.php,
	web/lib/MRBS/DB.php, web/lib/MRBS/DB_mysql.php,
	web/lib/MRBS/DB_pgsql.php, web/mysqli.inc, web/pgsql.inc,
	web/upgrade.inc:
	Worked version using classes, with sql_*() wrappers in dbsys.inc
	[23a136da33a7] <pdo>

	* web/dbtest.php, web/lib/MRBS/DB.php, web/lib/MRBS/DBFactory.php,
	web/lib/MRBS/DB_mysql.php, web/lib/MRBS/DB_pgsql.php:
	New DB classes, to replace mysqli.inc, pgsql.inc and most of
	dbsys.inc
	[ccd01b3edd4f] <pdo>

2016-09-20  John Beranek  <jberanek@users.sourceforge.net>

	* Merged
	[fd741544b502] <pdo>

2016-09-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mysqli.inc:
	Removed debug code and switched to try ... catch.
	[f4d2e7a888ce] <pdo>

	* web/mysqli.inc:
	Added some error handling for the case when PDO encounters old style
	MySQL passwords.
	[0f7b141a8228] <pdo>

2016-09-20  John Beranek  <jberanek@users.sourceforge.net>

	* web/auth/auth_db_ext.inc, web/systemdefaults.inc.php:
	Added 'password_hash' support to the 'db_ext' auth scheme, and also
	fixed a syntax error I introduced on the PDO branch.
	[e22d901a86e9] <pdo>

2016-09-19  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mysqli.inc, web/pgsql.inc:
	Fixed problem with PDOException
	[43da4a3a5e46] <pdo>

2016-09-18  John Beranek  <jberanek@users.sourceforge.net>

	* web/pgsql.inc:
	Corrected variable name in sql_pgsql_syntax_caseless_contains()
	[12346937d643] <pdo>

	* README.sqlapi, web/dbsys.inc, web/mysqli.inc, web/pgsql.inc,
	web/report.php, web/search.php:
	Modified sql_syntax_caseless_contains() to no longer perform
	escaping, and instead to modify the caller's SQL params array
	instead.

	Updated README.sqlapi a bit, still needs more work to describe the
	new parameterised calls.
	[50705e14cc81] <pdo>

	* NEWS, web/auth/auth_db.inc, web/auth/auth_db_ext.inc, web/dbsys.inc,
	web/edit_area_room.php, web/mysqli.inc, web/pgsql.inc,
	web/report.php, web/systemdefaults.inc.php:
	Changed sql_syntax_casesensitive_equals() so you pass the SQL params
	array by reference for it to modify.

	Fixed varags usage in new parameterised SQL calls.
	[f91156d63be0] <pdo>

2016-09-17  John Beranek  <jberanek@users.sourceforge.net>

	* web/mysqli.inc:
	Fixed typo in mysqli.inc
	[8be20a19a8be] <pdo>

	* web/mysqli.inc, web/pgsql.inc:
	Fixed a few things in mysqli abstraction, and removed TABs from
	pgsql.inc
	[b3c432bb1344] <pdo>

	* web/admin.php:
	Parameterised admin.php
	[aa651180c556] <pdo>

	* web/mrbs_sql.inc:
	Fixed SQL parameterisation in mrbsApproveEntry()
	[47c5817a8209] <pdo>

	* web/del.php, web/edit_area_room.php, web/edit_entry.php,
	web/edit_entry_handler.php, web/functions.inc,
	web/functions_mail.inc, web/mrbs_sql.inc, web/upgrade.inc,
	web/view_entry.php:
	Paramaterised more SQL statements
	[c504cb7190d4] <pdo>

	* web/report.php:
	Fixed by reference passing of SQL params
	[d2b0254ffe16] <pdo>

	* web/dbsys.inc, web/functions_ical.inc, web/import.php,
	web/mysqli.inc, web/pgsql.inc, web/report.php,
	web/upgrade/15/post.inc, web/upgrade/21/post.inc,
	web/upgrade/34/post.inc:
	Removed all remaining references to sql_escape()
	[b3661954f347] <pdo>

	* Merge
	[3d4daa0a0f89] <pdo>

	* web/pgsql.inc:
	Minor change to UTF8 connection setup
	[bc57c643cd09] <pdo>

	* convert_db_to_utf8.php:
	Merged
	[edb4a913f18b] <pdo>

	* web/pgsql.inc:
	pgsql abtraction updated to PDO
	[d4316bea4fb8] <pdo>

	* web/search.php:
	Fixed incorrect use of sql_syntax_caseless_contains
	[cc0038ba740b] <pdo>

	* web/config.inc.php:
	Reverted accidental file changes
	[aeb55a1aa62f] <pdo>

	* web/mrbs_sql.inc:
	Finished parameterisation of mrbs_sql.inc
	[7d80e093122f] <pdo>

	* web/Themes/default/header.inc:
	Parameterised SQL in header
	[6e0aa8dfd402] <pdo>

	* web/config.inc.php, web/edit_users.php:
	Parameterised SQL queries in edit_users.php
	[31b95cb1598a] <pdo>

	* web/auth/auth_db.inc, web/auth/auth_db_ext.inc, web/dbsys.inc,
	web/edit_area_room.php, web/mrbs_sql.inc, web/mysqli.inc,
	web/pending.php, web/search.php, web/upgrade/5/post.inc,
	web/upgrade/6/post.inc:
	More SQL statements parameterised
	[2a45140bb5e1] <pdo>

	* web/mysqli.inc:
	PDO branch, mysqli abstraction converted to PDO, without any query
	parameterisation yet.
	[a07908a5aac3] <pdo>

2016-09-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Fixed comment (see SF Bugs #365)
	[35e9b7736f57]

2016-09-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge with namespace
	[96572ec1bb00]

	* Close namespace branch
	[832bc38f42d7] <namespace>

	* web/mysqli.inc:
	Fixed problem when using MySQL
	[897b00b802de] <namespace>

	* web/auth/auth_wordpress.inc:
	Fixed problem with WordPress authentication
	[4d558678be30] <namespace>

	* web/edit_users.php:
	Fixed bug when adding a new user
	[104c2bb4dc1f] <namespace>

	* web/auth/auth_db.inc, web/edit_users.php:
	Fixed use of PasswordCompat
	[2cd7377f971d] <namespace>

	* web/functions.inc, web/report.php:
	Fixed use of DateInterval class
	[95170415092e] <namespace>

	* web/functions.inc, web/functions_mail.inc, web/report.php:
	Fixed various bugs preventing mail being sent.
	[e9d3df213e27] <namespace>

	* web/mrbs_sql.inc:
	Fixed bug with making bookings
	[b0d01bc931b6] <namespace>

	* web/lib/MRBS/Exception.php:
	Fixed exception throwing
	[e9c590eaf391] <namespace>

	* web/dbsys.inc:
	Added comment
	[102fce3c4814] <namespace>

2016-09-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/Themes/classic126/styling.inc, web/Themes/default/footer.inc,
	web/Themes/default/header.inc, web/Themes/default/styling.inc,
	web/add.php, web/admin.php, web/approve_entry_handler.php,
	web/areadefaults.inc.php, web/auth/auth_auth_basic.inc,
	web/auth/auth_config.inc, web/auth/auth_crypt.inc,
	web/auth/auth_db.inc, web/auth/auth_db_ext.inc,
	web/auth/auth_ext.inc, web/auth/auth_imap.inc,
	web/auth/auth_imap_php.inc, web/auth/auth_ldap.inc,
	web/auth/auth_nis.inc, web/auth/auth_none.inc, web/auth/auth_nw.inc,
	web/auth/auth_pop3.inc, web/auth/auth_smtp.inc,
	web/auth/auth_wordpress.inc, web/check_slot_ajax.php,
	web/config.inc.php, web/css/mrbs-ielte7.css.php, web/css/mrbs-
	print.css.php, web/css/mrbs-rtl.css.php, web/css/mrbs.css.php,
	web/day.php, web/dbsys.inc, web/defaultincludes.inc, web/del.php,
	web/del_entry.php, web/del_entry_ajax.php, web/edit_area_room.php,
	web/edit_entry.php, web/edit_entry_handler.php, web/edit_users.php,
	web/functions.inc, web/functions_ical.inc, web/functions_mail.inc,
	web/functions_table.inc, web/functions_view.inc,
	web/grab_globals.inc.php, web/help.php, web/import.php,
	web/index.php, web/internalconfig.inc.php, web/js.inc,
	web/js/admin.js.php, web/js/cell_click.js.php,
	web/js/datatables.js.php, web/js/datepicker.js.php,
	web/js/edit_area_room.js.php, web/js/edit_entry.js.php,
	web/js/edit_users.js.php, web/js/functions.js.php,
	web/js/general.js.php, web/js/multiple.js.php,
	web/js/pending.js.php, web/js/refresh.js.php, web/js/report.js.php,
	web/js/resizable.js.php, web/js/search.js.php, web/language.inc,
	web/lib/Locale.php, web/mincals.inc, web/month.php,
	web/mrbs_auth.inc, web/mrbs_sql.inc, web/mysqli.inc,
	web/pending.php, web/pgsql.inc, web/record_activity_ajax.php,
	web/report.php, web/search.php, web/session/session_cookie.inc,
	web/session/session_host.inc, web/session/session_http.inc,
	web/session/session_ip.inc, web/session/session_nt.inc,
	web/session/session_omni.inc, web/session/session_php.inc,
	web/session/session_remote_user.inc,
	web/session/session_wordpress.inc, web/standard_vars.inc.php,
	web/style.inc, web/systemdefaults.inc.php, web/theme.inc,
	web/trailer.inc, web/upgrade.inc, web/upgrade/13/post.inc,
	web/upgrade/15/post.inc, web/upgrade/16/post.inc,
	web/upgrade/17/post.inc, web/upgrade/2/post.inc,
	web/upgrade/21/post.inc, web/upgrade/24/post.inc,
	web/upgrade/26/post.inc, web/upgrade/32/post.inc,
	web/upgrade/34/post.inc, web/upgrade/4/post.inc,
	web/upgrade/43/post.inc, web/upgrade/46/post.inc,
	web/upgrade/47/post.inc, web/upgrade/48/post.inc,
	web/upgrade/5/post.inc, web/upgrade/6/post.inc,
	web/upgrade/7/post.inc, web/upgrade/8/post.inc, web/version.inc,
	web/version_num.inc, web/view_entry.php, web/week.php:
	First attempt
	[a2c2893afabe] <namespace>

	* New branch for adding namespacing
	[27ee894aead7] <namespace>

	* web/lang/lang.en:
	Trivial change to test commit
	[8153a7626cec]

	* web/auth/auth_ext.inc, web/escapeshellarg.inc:
	Removed redundant code now that we only support PHP 5.3.0 and
	greater
	[dc7b7af18e03]

2016-08-27  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/month.php:
	Simplified code
	[a0ba6af5a90a]

	* web/month.php:
	Simplified code
	[68201685dd13]

	* web/month.php:
	Simplified code
	[cb7e5ae0640d]

	* web/month.php:
	Restructured code
	[ccc32cc82ba7]

	* web/month.php:
	Fixed bug whereby bookings for the last slot were not being
	displayed properly in the month view
	[7e4376b7d270]

	* web/month.php:
	Simplified code
	[08e75881e217]

	* web/month.php:
	Got rid of some SQL from month.php
	[1637af6fc966]

	* web/month.php:
	Removed redundant line of code
	[98fd06ddbec4]

	* web/systemdefaults.inc.php:
	Added comment
	[6b6a36eae73e]

	* web/month.php:
	Restructured code
	[dbab75e55723]

	* web/js.inc, web/month.php, web/style.inc:
	Changed refresh mechanism for month view to Ajax from meta refresh.
	[29a6a9d34e94]

	* web/js/general.js.php:
	Fixed bug causing form validation to fail when using datalist inputs
	[a014f5654e12]

2016-08-26  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/functions.js.php:
	Added comment
	[bb0432ba6d64]

	* web/js/functions.js.php, web/js/refresh.js.php:
	Disabled page refresh if running over a metered network connection.
	[26efe3bc4f8e]

2016-08-25  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/lang/lang.de:
	Changed German translation for rep_num_weeks. Thanks to Michael
	Hellwig.
	[34ce794ea426]

2016-08-18  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php:
	Fixed bug preventing the username being set to '0'
	[68875197b0e9]

	* web/edit_users.php:
	Fixed bug preventing the password being set to '0' (not that you'd
	want to do that)
	[580cff0d105b]

	* web/edit_users.php:
	Fixed bug causing password validation not to be performed.
	[e57d8eb0d7db]

2016-08-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_table.inc, web/js/resizable.js.php:
	Fixed bug introduced in changeset ccbec44d3779 causing resized
	bookings to be set the to the default type.
	[e97775100e4d]

	* web/functions.inc:
	Made MRBS fall back to the default footer if none exists in the
	theme (as happens with the header).
	[68f49b0e54e5]

2016-08-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_users.php, web/systemdefaults.inc.php:
	Allowed custom fields in the users table to be writable only by
	admins
	[568384810b7d]

2016-08-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/session/session_wordpress.inc:
	Fixed bug causing WordPress plugins not to recognise login errors
	[f916461ef2e6]

	* web/session/session_wordpress.inc:
	replaced the value of the login Submit button with the WordPress
	text.
	[5d812c09bdc1]

	* web/session/session_wordpress.inc:
	Restructured code
	[473376989314]

	* web/session/session_php.inc, web/session/session_wordpress.inc:
	Removed redundant global declarations.
	[2ccc15be1b56]

	* web/session/session_wordpress.inc:
	Replaced login form labels with WordPress text strings
	[7f5aa1a3e434]

2016-08-10  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/session/session_wordpress.inc:
	Added apply_filters() to login error message so that any plugin
	filters will be aaplied correctly.
	[f97399a6b69a]

	* web/session/session_wordpress.inc:
	Changed the login error message to be the standard WordPress merror
	message when using WordPress authentication.
	[21c0eea889fb]

2016-08-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* AUTHENTICATION, web/systemdefaults.inc.php:
	Changed the default admin role in the WordPress authentication
	scheme to be the WordPress 'Administrator' role. Also added
	documentation on changes necessary to the WordPress wp-config.php
	file to enable authentication cookies to be shared between MRBS and
	WordPress.
	[8291498fe3c0]

	* web/session/session_wordpress.inc:
	Changed setting of 'remember_me' to FALSE when logging on through
	MRBS using the WordPress authentication scheme. (Even so, the
	default WordPress behaviour is to remember for 2 days. Setting
	'remember_me' extends it to 14.5 days).
	[974b9bbcc2e7]

2016-08-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/defaultincludes.inc, web/grab_globals.inc.php:
	Fixed problem with slashing of $_GET and $_POST variables when using
	WordPress authentication. (See SF Support Requests #1034).
	[3b337fc380e1]

	* web/grab_globals.inc.php:
	Got rid of usage of $HTTP_GET_VARS, $HTTP_POST_VARS and
	$HTTP_SERVER_VARS (no longer necessary)
	[0095b456f19e]

2016-07-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* AUTHENTICATION, web/auth/auth_wordpress.inc,
	web/internalconfig.inc.php, web/session/session_wordpress.inc,
	web/systemdefaults.inc.php:
	Added WordPress authentication (for WordPress installations running
	on the same server as MRBS).
	[3a55ae0c20dc]

2016-07-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/edit_entry.js.php:
	Fixed some JSHint problems
	[fca0ff99c225]

	* web/month.php:
	Fixed potential problem with end time selector in edit_entry.php
	being blank when coming from the month view. See SF Support Requests
	#983.
	[194ff48a6fa8]

	* web/js/edit_entry.js.php:
	Restored the close button to the policy/schedule results dialog. (It
	disappeared during the upgrade to later versions of jQuery UI).
	[f18107b76b67]

	* web/js/edit_entry.js.php:
	Reformatted code
	[619761c9c32d]

	* web/js/edit_entry.js.php:
	Fixed problem with Schedule and Policy tabs not appearing. See SF
	Bugs #362.
	[0b7ac777c33f]

2016-07-19  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/jquery/datatables/js/plugins.js, web/js/report.js.php:
	Fixed problem with Bulk Delete on the report page. See SF Bugs #361.
	[78c142e23822]

	* web/edit_entry.php:
	Fixed problem with the endtime selector not having a selected value
	in the very rare case that the area's morningstarts or resolution is
	changed in between refreshes of the browser on the edit_entry page.
	See also SF Support Requests #983.
	[58243e4763ec]

2016-07-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/css/mrbs.css.php, web/edit_entry.php,
	web/edit_entry_handler.php, web/lang/lang.en,
	web/systemdefaults.inc.php:
	Added config options to allow users (or just admins) to specify that
	an email shouldn't be sent when making a booking. Useful if you are
	just making a minor change or are creating a whole lot of bookings
	at the beginning of a term or season. See SF Support requests #974.
	[1d716f2ddafa]

2016-07-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/js/general.js.php:
	Added missing semicolon
	[8d611ed5f07a]

	* web/functions.inc, web/js/general.js.php:
	Fixed problem with Chrome not showing datalist options (see SF bugs
	#360).
	[8fe051e7e468]

2016-07-07  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Modified systemdefaults.inc.php to give info to site admins who do
	not want to use booking types
	[6e7516dc0671]

	* web/report.php:
	Ignored type field in reports if there are fewer than two types
	[2ea31357779f]

	* web/functions_mail.inc:
	Removed type from email notifications if there are fewer than two
	booking types.
	[c71d1df8d101]

	* web/functions_view.inc:
	Removed type from view_entry if there are fewer than two booking
	types.
	[2460a8438b54]

	* web/edit_entry.php, web/edit_entry_handler.php:
	Removed the type field from the booking form if there are fewer than
	two types. (The default type is used for the booking when writing to
	the database).
	[ccbec44d3779]

2016-07-06  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc:
	Modified show_colour_key() so that the colour key is not shown if
	there are fewer than two types. (See SF Support Requests #1019)
	[90b350b0b3b9]

2016-05-29  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mincals.inc:
	Fixed problem with week number link in mincals. See SF Bugs #357.
	[15ed7818167c]

	* web/mincals.inc:
	Simplified code
	[ff1ed3365eb8]

2016-05-09  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_mail.inc:
	Fixed validation of email addresses to allow for addresses that
	include a display name
	[623ac079a12d]

2016-04-25  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Added '' as an option for $smtp_settings['secure']. See SF Support
	Requests #954.
	[615bba812c51]

2016-04-20  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge
	[3e911455667a]

	* web/css/mrbs.css.php:
	Fixed problem with long words in brief descriptions causing unequal
	width columns in the calendar views. See SF Support Requests #951.
	[419e5688ff9e]

2016-04-13  John Beranek  <jberanek@users.sourceforge.net>

	* web/auth/auth_ldap.inc:
	Added a little more debug into the LDAP auth code.
	[2d2c49441bc5]

2016-04-08  John Beranek  <jberanek@users.sourceforge.net>

	* web/auth/auth_ldap.inc:
	Minor changes to LDAP debug to improve clarity
	[0cadb00077ca]

2016-04-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* Merge
	[9f7ad601e523]

	* web/functions_ical.inc:
	Removed some debug code which had been accidentally committed
	[eccf8ddfcd4c]

2016-03-24  John Beranek  <jberanek@users.sourceforge.net>

	* web/lang/lang.it:
	Added Italian translation contributor's name
	[644b8faf51de]

2016-03-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/report.php:
	When a field with $select_options or $datalist_options is being used
	in the report form, remove any options that have an empty key or
	value as they will be meaningless for the search.
	[f4af27f9944c]

2016-03-03  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/report.php:
	Added a datalist input to report inputs when the standard fields
	have select_options or datalist_options defined. See SF Support
	Requests #909
	[df33d386fd2b]

	* web/functions.inc:
	Fixed datalists so that empty strings aren't presented as options
	[88a8afcb8e5d]

	* web/report.php:
	Restructured code
	[152f438173c8]

	* web/report.php:
	Restructured code
	[fcc76af7edc2]

	* web/report.php:
	Restructured code
	[e7e40fda1282]

2016-03-02  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/dbsys.inc:
	Removed disabling off error reporting for the connection to the
	dabase during a database upgrade. If the site admin wants errors to
	go to the browser, eg for debugging, then they should.
	[b1558582b85d]

2016-03-01  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area_room.php, web/functions.inc, web/functions_ical.inc,
	web/functions_mail.inc, web/js.inc, web/language.inc,
	web/lib/autoload.inc, web/upgrade.inc:
	Replaced calls to file_exists() with is_readable() to cover the
	theoretical case when a file exists but doesn't have read
	permissions.
	[0464bab6319a]

	* web/mysqli.inc:
	Fixed bug (academic only) causing persistent connections not to be
	used when running mysqli and PHP 5.3.0
	[98f9944c95b2]

2016-02-27  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/systemdefaults.inc.php:
	Changed the default character encoding for CSV files as the latest
	versions of Excel now seem to recognise UTF-8 automatically.
	[52e1df1932f1]

	* web/admin.php, web/edit_entry.php, web/functions.inc,
	web/report.php:
	Sorted by area sort_key where appropriate
	[538d31cb85e7]

	* web/mrbs_sql.inc:
	Sorted areas by sort_key
	[5097f707ed44]

	* web/edit_area_room.php:
	Allowed the area sort_key to be edited (but it still isn't used for
	sorting)
	[4729e19b384e]

	* web/edit_area_room.php:
	Changed order of fields in form for better clarity
	[f8ea36102d48]

	* tables.my.sql, tables.pg.sql, web/dbsys.inc, web/mrbs_sql.inc,
	web/report.php, web/upgrade/49/mysql.sql, web/upgrade/49/pgsql.sql:
	Added a sort key for the area table (doesn't do anything yet)
	[63f7695c2c89]

2016-02-19  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area_room.php, web/functions_mail.inc:
	Restructured code
	[d9449994a06a]

	* web/defaultincludes.inc, web/functions.inc, web/functions_mail.inc:
	Restructured code and fixed bug introduced in recent changes
	[4bb13f52e4b8]

	* web/functions.inc:
	Fixed bug introduced in last change
	[949a2b8e55aa]

	* web/functions.inc:
	Switched to using PHPMailer's email address validation
	[7b4e071ce254]

	* web/functions.inc, web/functions_mail.inc:
	Tweaked last change (changeset 2a31d5467ac8)
	[6a68e2e11d49]

	* web/functions_mail.inc:
	Added some email address validation (see SF Support Requests #897)
	[2a31d5467ac8]

	* web/mrbs_sql.inc:
	Xixed bug introduced in last change (changeset 9787b28ead03)
	[4a8075aa6847]

2016-02-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_sql.inc:
	Added room name to conflict details following suggestion on general
	mailing list.
	[9787b28ead03]

	* web/lang/lang.pl:
	Updated Polish translation. Thanks to Anonymous from SF Bugs #347.
	[5bf86b598e53]

2016-02-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_sql.inc:
	Fixed bug when requesting More Info. See SF Bugs #347.
	[379f936761d0]

2016-02-12  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/Themes/default/header.inc:
	Removed redundant global declarations.
	[954376d66867]

	* web/language.inc:
	Fixed problem whereby the locale could not be set when automatic
	language changing was disabled and no override locale was set. See
	SF Support Requests #891.
	[aa0968bdf7ea]

2016-01-28  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	Simplified code
	[d4367ca04907]

	* web/js/edit_entry.js.php:
	Made the JavaScript code handling mandatory fields on the edit_entry
	page a little bit more generic.
	[c6135653693f]

	* web/edit_entry.php:
	Added a comment
	[c69ce45d85b8]

	* web/edit_entry.php, web/functions_ical.inc,
	web/js/edit_entry.js.php, web/lang/lang.en,
	web/systemdefaults.inc.php:
	Allowed the type field to be mandatory (see SF Support Requests 876)
	[4bdd18d18dbc]

2016-01-18  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_sql.inc:
	Changed the behaviour of MRBS when making a repeat booking that
	results in just a single entry (for example a daily repeat starting
	and ending on the same day). Previously this was treated as a
	special case and converted into a single entry. However it seems
	more logical to treat it as a series with just one entry. This
	enables the repeat characteristics to be edited in the future.
	[399fd6cc76c9]

	* web/mrbs_sql.inc:
	Fixed bug causing a booking to be made even if the specified repeat
	results in no bookings (eg a weekly repeat for Thursdays starting
	and ending on the same day, which isn't a Thursday)
	[342f4bafa72b]

2016-01-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions.inc:
	Removed unnecessary trailing space from the result of
	get_rep_day_list()
	[c07bd1ce42c0]

2016-01-13  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/language.inc, web/report.php:
	Fixed bug in CSV reports when running on Windows (see SF Support
	Requests 860)
	[43abc59cf1c1]

2016-01-04  Markus Gilli  <m.gi@gmx.ch>

	* AUTHENTICATION, web/auth/auth_db_ext.inc:
	allow to read user access level from external database
	[a1b97fe52dde]

	* web/auth/auth_db_ext.inc:
	added sha256 authentication support for db_ext
	[38808e08ed66]

2016-01-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/help.php:
	Corrected an HTML5 validation error when using a display name
	containing spaces in $mrbs_admin_email
	[f5d01dd5fe1c]

2016-01-03  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_area_room.php, web/mrbs_sql.inc:
	Moved some SQL into mebs_sql.inc
	[435480e0e6ef]

	* web/mrbs_sql.inc:
	Added comments
	[08a2efc7a634]

	* web/edit_area_room.php, web/mrbs_sql.inc:
	Moved some SQL into mrbs_sql.inc
	[93b2af4be396]

2015-12-30  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_table.inc:
	Fixed potential bug when getWritable() makes use of the $room
	parameter
	[be2f221cd7ce]

2015-12-22  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* INSTALL, README.sqlapi, tables.my.sql, tables.pg.sql,
	web/config.inc.php, web/dbsys.inc, web/internalconfig.inc.php,
	web/mysqli.inc, web/pgsql.inc, web/systemdefaults.inc.php,
	web/upgrade/48/mysql.sql, web/upgrade/48/pgsql.sql,
	web/upgrade/48/post.inc:
	Changed MRBS default behaviour to be *not* to use persistent
	database connections, as they can cause problems with transactions
	and locks. At the same time changed the config variable to be
	$db_persist instead of $db_nopersist.
	[9afad0b9a784]

2015-12-19  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_sql.inc:
	Restructured code
	[7bca8a61c4c3]

	* web/js/edit_entry.js.php:
	Fixed bug whereby the conflict checker wasn't firing when the repeat
	end date changed
	[db90cfd72f8f]

	* web/dbsys.inc, web/mrbs_sql.inc:
	Added some sql_free() calls for good measure and at the same time
	modified sql_free() to do nothing if the argument is not a resource
	(probably because it has already been freed)
	[a9ff93ffd0dd]

	* web/edit_entry.php, web/mrbs_sql.inc:
	Moved some SQL into mrbs_sql.inc
	[413150c1a64b]

	* web/edit_entry.php:
	Fixed issue with undefined variable
	[afb52fbd5e23]

	* web/mrbs_sql.inc:
	Fixed bug whereby the limit on the number of bookings isn't applied
	properly if an existing series is being modified and there is at
	least one single entry in the same interval.
	[f1368b72e879]

2015-12-18  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_table.inc, web/mrbs_sql.inc:
	Removed some more SQL from functions_table.inc
	[ebf568ed6bd4]

	* web/mrbs_sql.inc:
	Fixed bug that caused MRBS to miss conflicts with single entries
	when modifying a series. See SF Bugs #338.
	[2e45eb4c1568]

	* web/functions_table.inc:
	Fixed problem with day links in the wek view. See SF bugs #339
	[70f0280c07a8]

2015-12-16  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_table.inc:
	Changed parameter name for consistency
	[df37ca6806f8]

	* web/functions_table.inc:
	Changed parameter names for consistency
	[67203bb1c36f]

	* web/functions_table.inc:
	Removed unnecesary global
	[7a9898a9e539]

	* web/functions_table.inc, web/mrbs_sql.inc:
	Moved some SQL into mrbs_sql.inc
	[ed4a01ad86b7]

	* web/functions_table.inc:
	Removed redundant globals
	[c2c2c0e1e524]

	* web/functions_table.inc:
	Moved SQL into mrbs_sql.inc
	[533558c8349a]

	* web/functions_table.inc:
	Simplified
	[9877328bdfa2]

	* web/functions_table.inc:
	Simplified
	[ed2bbc9e7433]

	* web/functions_table.inc:
	Simplified
	[016150c6bd0e]

	* web/functions_table.inc:
	Simplified
	[48589ef8ca63]

	* web/functions_table.inc:
	Simplified
	[475a8b63e76c]

	* web/edit_area_room.php, web/functions.inc, web/mrbs_sql.inc:
	Renamed get_areas() to get_area_names() for consistency with
	get_rooms()
	[2a917c0224d4]

2015-12-15  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/functions_table.inc:
	Got rid of some more SQL
	[e1d4817162ba]

	* web/functions_table.inc:
	Renamed parameter, for consistency
	[f3483a8fd30a]

	* web/dbsys.inc, web/functions_table.inc, web/mrbs_sql.inc:
	Restructured, moving some SQL into mrbs_sql.inc
	[2aa1854ff52f]

2015-12-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/dbsys.inc, web/mysqli.inc, web/pgsql.inc:
	Added quoting of the table name in a qualified identifier to
	sql_quote().
	[7600498849d9]

2015-12-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mysqli.inc, web/pgsql.inc, web/report.php:
	Fixed bug in reports: the case sensitivity of types was not being
	recognised (see SF Support Requests #776)
	[bfe364ee42a8]

2015-11-24  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/Themes/default/header.inc, web/auth/auth_db.inc,
	web/edit_entry_handler.php, web/functions_mail.inc,
	web/functions_table.inc, web/import.php, web/mrbs_sql.inc,
	web/mysqli.inc, web/pgsql.inc, web/search.php:
	Moved SQL error handling into sql_query1() to avoid having to check
	for errors after every call.
	[927e879b2e34]

2015-11-17  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/defaultincludes.inc:
	Added a comment
	[92167a5bec4a]

	* web/defaultincludes.inc, web/internalconfig.inc.php:
	Moved the PHP version check to happen earlier, otherwise MRBS will
	fail with obscure error messages if the PHP version is too low. See
	SF Bugs #337.
	[92a8e3e94cf5]

2015-11-14  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/edit_entry.php:
	Fixed a problem with the end time not being selected on the booking
	form if the default duration is not an integral number of slots
	[dbc0e7ea98f7]

2015-11-13  John Beranek  <jberanek@users.sourceforge.net>

	* web/auth/auth_ldap.inc:
	Improved debugging in auth_ldap a bit, to show errors from the ldap
	extension.
	[67bb72966a5a]

2015-11-09  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/mrbs_sql.inc:
	Added a check to make sure that custom field names don't contain
	spaces. (See SF Support Requests #816)
	[e406bf4124dd]

	* web/search.php:
	Fixed another problem with unquoted column names
	[1004daa79fd8]

	* web/mrbs_sql.inc:
	Fixed bug with unquoted column names. See SF Support Requests #816.
	[c7a94a70a159]

2015-11-06  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* tables.my.sql, tables.pg.sql:
	Expanded comments about changing the 'mrbs_' prefix. See SF bugs
	#336
	[93cf38dcad62]

2015-11-05  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/auth/auth_ldap.inc:
	Cached resiults in authGetUserLevel() in order to improve
	performance. See SF Bugs #335.
	[d7da8202a300]

2015-11-04  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/session/session_php.inc:
	Added a return NULL statement to make it clear what's happening (no
	change to result)
	[31ed162e3fc3]

2015-10-26  Campbell Morrison  <cimorrison@hg.code.sf.net>

	* web/tzurl/zoneinfo-outlook/Africa/Abidjan.ics, web/tzurl/zoneinfo-
	outlook/Africa/Accra.ics, web/tzurl/zoneinfo-
	outlook/Africa/Addis_Ababa.ics, web/tzurl/zoneinfo-
	outlook/Africa/Algiers.ics, web/tzurl/zoneinfo-
	outlook/Africa/Asmara.ics, web/tzurl/zoneinfo-
	outlook/Africa/Bamako.ics, web/tzurl/zoneinfo-
	outlook/Africa/Bangui.ics, web/tzurl/zoneinfo-
	outlook/Africa/Banjul.ics, web/tzurl/zoneinfo-
	outlook/Africa/Bissau.ics, web/tzurl/zoneinfo-
	outlook/Africa/Blantyre.ics, web/tzurl/zoneinfo-
	outlook/Africa/Brazzaville.ics, web/tzurl/zoneinfo-
	outlook/Africa/Bujumbura.ics, web/tzurl/zoneinfo-
	outlook/Africa/Cairo.ics, web/tzurl/zoneinfo-
	outlook/Africa/Casablanca.ics, web/tzurl/zoneinfo-
	outlook/Africa/Ceuta.ics, web/tzurl/zoneinfo-
	outlook/Africa/Conakry.ics, web/tzurl/zoneinfo-
	outlook/Africa/Dakar.ics, web/tzurl/zoneinfo-
	outlook/Africa/Dar_es_Salaam.ics, web/tzurl/zoneinfo-
	outlook/Africa/Djibouti.ics, web/tzurl/zoneinfo-
	outlook/Africa/Douala.ics, web/tzurl/zoneinfo-
	outlook/Africa/El_Aaiun.ics, web/tzurl/zoneinfo-
	outlook/Africa/Freetown.ics, web/tzurl/zoneinfo-
	outlook/Africa/Gaborone.ics, web/tzurl/zoneinfo-
	outlook/Africa/Harare.ics, web/tzurl/zoneinfo-
	outlook/Africa/Johannesburg.ics, web/tzurl/zoneinfo-
	outlook/Africa/Juba.ics, web/tzurl/zoneinfo-
	outlook/Africa/Kampala.ics, web/tzurl/zoneinfo-
	outlook/Africa/Khartoum.ics, web/tzurl/zoneinfo-
	outlook/Africa/Kigali.ics, web/tzurl/zoneinfo-
	outlook/Africa/Kinshasa.ics, web/tzurl/zoneinfo-
	outlook/Africa/Lagos.ics, web/tzurl/zoneinfo-
	outlook/Africa/Libreville.ics, web/tzurl/zoneinfo-
	outlook/Africa/Lome.ics, web/tzurl/zoneinfo-
	outlook/Africa/Luanda.ics, web/tzurl/zoneinfo-
	outlook/Africa/Lubumbashi.ics, web/tzurl/zoneinfo-
	outlook/Africa/Lusaka.ics, web/tzurl/zoneinfo-
	outlook/Africa/Malabo.ics, web/tzurl/zoneinfo-
	outlook/Africa/Maputo.ics, web/tzurl/zoneinfo-
	outlook/Africa/Maseru.ics, web/tzurl/zoneinfo-
	outlook/Africa/Mbabane.ics, web/tzurl/zoneinfo-
	outlook/Africa/Mogadishu.ics, web/tzurl/zoneinfo-
	outlook/Africa/Monrovia.ics, web/tzurl/zoneinfo-
	outlook/Africa/Nairobi.ics, web/tzurl/zoneinfo-
	outlook/Africa/Ndjamena.ics, web/tzurl/zoneinfo-
	outlook/Africa/Niamey.ics, web/tzurl/zoneinfo-
	outlook/Africa/Nouakchott.ics, web/tzurl/zoneinfo-
	outlook/Africa/Ouagadougou.ics, web/tzurl/zoneinfo-outlook/Africa
	/Porto-Novo.ics, web/tzurl/zoneinfo-outlook/Africa/Sao_Tome.ics,
	web/tzurl/zoneinfo-outlook/Africa/Tripoli.ics, web/tzurl/zoneinfo-
	outlook/Africa/Tunis.ics, web/tzurl/zoneinfo-
	outlook/Africa/Windhoek.ics, web/tzurl/zoneinfo-
	outlook/America/Adak.ics, web/tzurl/zoneinfo-
	outlook/America/Anchorage.ics, web/tzurl/zoneinfo-
	outlook/America/Anguilla.ics, web/tzurl/zoneinfo-
	outlook/America/Antigua.ics, web/tzurl/zoneinfo-
	outlook/America/Araguaina.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Buenos_Aires.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Catamarca.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Cordoba.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Jujuy.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/La_Rioja.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Mendoza.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Rio_Gallegos.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Salta.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/San_Juan.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/San_Luis.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Tucuman.ics, web/tzurl/zoneinfo-
	outlook/America/Argentina/Ushuaia.ics, web/tzurl/zoneinfo-
	outlook/America/Aruba.ics, web/tzurl/zoneinfo-
	outlook/America/Asuncion.ics, web/tzurl/zoneinfo-
	outlook/America/Atikokan.ics, web/tzurl/zoneinfo-
	outlook/America/Bahia.ics, web/tzurl/zoneinfo-
	outlook/America/Bahia_Banderas.ics, web/tzurl/zoneinfo-
	outlook/America/Barbados.ics, web/tzurl/zoneinfo-
	outlook/America/Belem.ics, web/tzurl/zoneinfo-
	outlook/America/Belize.ics, web/tzurl/zoneinfo-outlook/America
	/Blanc-Sablon.ics, web/tzurl/zoneinfo-outlook/America/Boa_Vista.ics,
	web/tzurl/zoneinfo-outlook/America/Bogota.ics, web/tzurl/zoneinfo-
	outlook/America/Boise.ics, web/tzurl/zoneinfo-
	outlook/America/Cambridge_Bay.ics, web/tzurl/zoneinfo-
	outlook/America/Campo_Grande.ics, web/tzurl/zoneinfo-
	outlook/America/Cancun.ics, web/tzurl/zoneinfo-
	outlook/America/Caracas.ics, web/tzurl/zoneinfo-
	outlook/America/Cayenne.ics, web/tzurl/zoneinfo-
	outlook/America/Cayman.ics, web/tzurl/zoneinfo-
	outlook/America/Chicago.ics, web/tzurl/zoneinfo-
	outlook/America/Chihuahua.ics, web/tzurl/zoneinfo-
	outlook/America/Costa_Rica.ics, web/tzurl/zoneinfo-
	outlook/America/Creston.ics, web/tzurl/zoneinfo-
	outlook/America/Cuiaba.ics, web/tzurl/zoneinfo-
	outlook/America/Curacao.ics, web/tzurl/zoneinfo-
	outlook/America/Danmarkshavn.ics, web/tzurl/zoneinfo-
	outlook/America/Dawson.ics, web/tzurl/zoneinfo-
	outlook/America/Dawson_Creek.ics, web/tzurl/zoneinfo-
	outlook/America/Denver.ics, web/tzurl/zoneinfo-
	outlook/America/Detroit.ics, web/tzurl/zoneinfo-
	outlook/America/Dominica.ics, web/tzurl/zoneinfo-
	outlook/America/Edmonton.ics, web/tzurl/zoneinfo-
	outlook/America/Eirunepe.ics, web/tzurl/zoneinfo-
	outlook/America/El_Salvador.ics, web/tzurl/zoneinfo-
	outlook/America/Fort_Nelson.ics, web/tzurl/zoneinfo-
	outlook/America/Fortaleza.ics, web/tzurl/zoneinfo-
	outlook/America/Glace_Bay.ics, web/tzurl/zoneinfo-
	outlook/America/Godthab.ics, web/tzurl/zoneinfo-
	outlook/America/Goose_Bay.ics, web/tzurl/zoneinfo-
	outlook/America/Grand_Turk.ics, web/tzurl/zoneinfo-
	outlook/America/Grenada.ics, web/tzurl/zoneinfo-
	outlook/America/Guadeloupe.ics, web/tzurl/zoneinfo-
	outlook/America/Guatemala.ics, web/tzurl/zoneinfo-
	outlook/America/Guayaquil.ics, web/tzurl/zoneinfo-
	outlook/America/Guyana.ics, web/tzurl/zoneinfo-
	outlook/America/Halifax.ics, web/tzurl/zoneinfo-
	outlook/America/Havana.ics, web/tzurl/zoneinfo-
	outlook/America/Hermosillo.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Indianapolis.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Knox.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Marengo.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Petersburg.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Tell_City.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Vevay.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Vincennes.ics, web/tzurl/zoneinfo-
	outlook/America/Indiana/Winamac.ics, web/tzurl/zoneinfo-
	outlook/America/Inuvik.ics, web/tzurl/zoneinfo-
	outlook/America/Iqaluit.ics, web/tzurl/zoneinfo-
	outlook/America/Juneau.ics, web/tzurl/zoneinfo-
	outlook/America/Kentucky/Louisville.ics, web/tzurl/zoneinfo-
	outlook/America/Kentucky/Monticello.ics, web/tzurl/zoneinfo-
	outlook/America/Kralendijk.ics, web/tzurl/zoneinfo-
	outlook/America/La_Paz.ics, web/tzurl/zoneinfo-
	outlook/America/Lima.ics, web/tzurl/zoneinfo-
	outlook/America/Los_Angeles.ics, web/tzurl/zoneinfo-
	outlook/America/Lower_Princes.ics, web/tzurl/zoneinfo-
	outlook/America/Maceio.ics, web/tzurl/zoneinfo-
	outlook/America/Managua.ics, web/tzurl/zoneinfo-
	outlook/America/Manaus.ics, web/tzurl/zoneinfo-
	outlook/America/Marigot.ics, web/tzurl/zoneinfo-
	outlook/America/Martinique.ics, web/tzurl/zoneinfo-
	outlook/America/Matamoros.ics, web/tzurl/zoneinfo-
	outlook/America/Mazatlan.ics, web/tzurl/zoneinfo-
	outlook/America/Menominee.ics, web/tzurl/zoneinfo-
	outlook/America/Merida.ics, web/tzurl/zoneinfo-
	outlook/America/Metlakatla.ics, web/tzurl/zoneinfo-
